/* ******************************************* */
/* WorkflowGen v7.12.0 or later                */
/* Updated: 7/27/2020                          */
/* ******************************************* */

CREATE TABLE DIR_V100 (
DIR_ID               int                  NOT NULL,
DIR_NAME             nvarchar(255)        NOT NULL,
DIR_DESCRIPTION      nvarchar(255)        NULL
)
go

CREATE UNIQUE INDEX DIR_V100_ID ON DIR_V100 (
DIR_ID
)
go

CREATE UNIQUE INDEX DIR_V100_NAME ON DIR_V100 (
DIR_NAME
)
go

CREATE TABLE DIR_GROUPS_V100 (
GROUPS_ID            int                  NOT NULL,
GROUPS_ID_DIRECTORY  int                  NULL,
GROUPS_GROUPNAME     nvarchar(255)        NULL,
GROUPS_DESCRIPTION   nvarchar(255)        NULL,
GROUPS_DATE_CREATION datetime             NULL,
GROUPS_DATE_UPDATE   datetime             NULL,
GROUPS_EMAIL         nvarchar(255)        NULL,
GROUPS_ADS_PATH      nvarchar(255)        NULL,
GROUPS_ADS_CN        nvarchar(255)        NULL,
GROUPS_ADS_DN        nvarchar(255)        NULL,
GROUPS_GROUPNUMBER   nvarchar(255)        NULL,
GROUPS_OBJECTSID     nvarchar(255)        NULL,
DIR_NAME             nvarchar(255)        NOT NULL
)
go

CREATE UNIQUE INDEX DIR_GROUPS_V100_ID ON DIR_GROUPS_V100 (
GROUPS_ID
)
go

CREATE TABLE DIR_USERS_V100 (
USER_ID              int                  NOT NULL,
USER_ID_DIRECTORY    int                  NULL,
USER_DATE_CREATION   datetime             NULL,
USER_DATE_UPDATE     datetime             NULL,
USER_LASTNAME        nvarchar(255)        NULL,
USER_FIRSTNAME       nvarchar(255)        NULL,
USER_USERNAME        nvarchar(255)        NULL,
USER_PASSWORD        nvarchar(255)        NULL,
USER_EMAIL           nvarchar(255)        NULL,
USER_ACTIVE          nvarchar(1)          NULL,
USER_BUILTIN         nvarchar(1)          NULL,
USER_PHONE           nvarchar(255)        NULL,
USER_MOBILE          nvarchar(255)        NULL,
USER_PAGER           nvarchar(255)        NULL,
USER_FAX             nvarchar(255)        NULL,
USER_OFFICE          nvarchar(255)        NULL,
USER_DEPARTMENT      nvarchar(255)        NULL,
USER_COMPANY         nvarchar(255)        NULL,
USER_JOBTITLE        nvarchar(255)        NULL,
USER_INITIALS        nvarchar(255)        NULL,
USER_PERSONALTITLE   nvarchar(255)        NULL,
USER_EMPLOYEENUMBER  nvarchar(255)        NULL,
USER_EMPLOYEETYPE    nvarchar(255)        NULL,
USER_POSTALADDRESS   nvarchar(255)        NULL,
USER_POSTALCODE      nvarchar(255)        NULL,
USER_CITY            nvarchar(255)        NULL,
USER_STATE           nvarchar(255)        NULL,
USER_COUNTRY         nvarchar(255)        NULL,
USER_ADS_PATH        nvarchar(255)        NULL,
USER_ADS_DN          nvarchar(255)        NULL,
USER_ADS_CN          nvarchar(255)        NULL,
USER_ARCHIVE         nvarchar(1)          NULL,
USER_DATE_ARCHIVE    datetime             NULL,
USER_DATE_LAST_VISIT datetime             NULL,
USER_EXTATT_1        nvarchar(255)        NULL,
USER_EXTATT_2        nvarchar(255)        NULL,
USER_EXTATT_3        nvarchar(255)        NULL,
USER_EXTATT_4        nvarchar(255)        NULL,
USER_EXTATT_5        nvarchar(255)        NULL,
USER_OBJECTSID       nvarchar(255)        NULL,
USER_LANGUAGE        nvarchar(255)        NULL,
USER_LANGUAGE_PREF   nvarchar(255)        NULL,
DIR_NAME             nvarchar(255)        NOT NULL
)
go

CREATE UNIQUE INDEX DIR_USERS_V100_ID ON DIR_USERS_V100 (
USER_ID
)
go

CREATE UNIQUE INDEX DIR_USERS_V100_USERNAME ON DIR_USERS_V100 (
USER_USERNAME
)
go

CREATE TABLE DIR_USERS_GROUPS_V100 (
USER_ID              int                  NOT NULL,
USER_USERNAME        nvarchar(255)        NULL,
USER_LASTNAME        nvarchar(255)        NULL,
USER_FIRSTNAME       nvarchar(255)        NULL,
GROUP_ID             int                  NOT NULL,
GROUP_NAME           nvarchar(255)        NULL,
DIR_NAME             nvarchar(255)        NOT NULL
)
go

CREATE TABLE REQ_DATA_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
REAL_REQUESTER_ID    int                  NULL, 
REQUESTER_USERNAME   nvarchar(255)        NULL,
REQUESTER_LASTNAME   nvarchar(255)        NULL,
REQUESTER_FIRSTNAME  nvarchar(255)        NULL,
REQUESTER_EMAIL      nvarchar(255)        NULL,
REQUESTER_PHONE      nvarchar(255)        NULL,
REQUESTER_JOBTITLE   nvarchar(255)        NULL,
REQUESTER_EMPLOYEENUMBER nvarchar(255)    NULL,
REQUESTER_EMPLOYEETYPE nvarchar(255)      NULL,
REQUESTER_OFFICE     nvarchar(255)        NULL,
REQUESTER_DEPARTMENT nvarchar(255)        NULL,
REQUESTER_COMPANY    nvarchar(255)        NULL,
REQUESTER_CITY       nvarchar(255)        NULL,
REQUESTER_STATE      nvarchar(255)        NULL,
REQUESTER_COUNTRY    nvarchar(255)        NULL,
REQUESTER_ARCHIVE    nvarchar(1)          NULL,
REQUESTER_DIRNAME    nvarchar(255)        NOT NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_DATA_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
REAL_REQUESTER_ID    int                  NULL, 
REQUESTER_USERNAME   nvarchar(255)        NULL,
REQUESTER_LASTNAME   nvarchar(255)        NULL,
REQUESTER_FIRSTNAME  nvarchar(255)        NULL,
REQUESTER_EMAIL      nvarchar(255)        NULL,
REQUESTER_PHONE      nvarchar(255)        NULL,
REQUESTER_JOBTITLE   nvarchar(255)        NULL,
REQUESTER_EMPLOYEENUMBER nvarchar(255)    NULL,
REQUESTER_EMPLOYEETYPE nvarchar(255)      NULL,
REQUESTER_OFFICE     nvarchar(255)        NULL,
REQUESTER_DEPARTMENT nvarchar(255)        NULL,
REQUESTER_COMPANY    nvarchar(255)        NULL,
REQUESTER_CITY       nvarchar(255)        NULL,
REQUESTER_STATE      nvarchar(255)        NULL,
REQUESTER_COUNTRY    nvarchar(255)        NULL,
REQUESTER_ARCHIVE    nvarchar(1)          NULL,
REQUESTER_DIRNAME    nvarchar(255)        NOT NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_ACTION_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL
)
go

CREATE TABLE REQ_ACTION_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL
)
go

CREATE TABLE REQ_ACTION_DATA_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_ACTION_DATA_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_FILE_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
REAL_REQUESTER_ID    int                  NULL, 
REQUESTER_USERNAME   nvarchar(255)        NULL,
REQUESTER_LASTNAME   nvarchar(255)        NULL,
REQUESTER_FIRSTNAME  nvarchar(255)        NULL,
REQUESTER_EMAIL      nvarchar(255)        NULL,
REQUESTER_PHONE      nvarchar(255)        NULL,
REQUESTER_JOBTITLE   nvarchar(255)        NULL,
REQUESTER_EMPLOYEENUMBER nvarchar(255)    NULL,
REQUESTER_EMPLOYEETYPE nvarchar(255)      NULL,
REQUESTER_OFFICE     nvarchar(255)        NULL,
REQUESTER_DEPARTMENT nvarchar(255)        NULL,
REQUESTER_COMPANY    nvarchar(255)        NULL,
REQUESTER_CITY       nvarchar(255)        NULL,
REQUESTER_STATE      nvarchar(255)        NULL,
REQUESTER_COUNTRY    nvarchar(255)        NULL,
REQUESTER_ARCHIVE    nvarchar(1)          NULL,
REQUESTER_DIRNAME    nvarchar(255)        NOT NULL,
RELDATA_ID           int                  NULL,
DATA_ID              int                  NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_STOREINDB       nvarchar(1)          NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
DATA_VALUE_FILE_NAME nvarchar(255)        NULL,
DATA_VALUE_FILE_SIZE float                NULL,
DATA_VALUE_FILE_CONTENTTYPE nvarchar(255) NULL,
DATA_VALUE_FILE_DESCRIPTION nvarchar(255) NULL,
DATA_VALUE_FILE_DATELASTMOD datetime      NULL,
DATA_VALUE_FILE_CONTENT varbinary(max)    NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_FILE_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
REAL_REQUESTER_ID    int                  NULL, 
REQUESTER_USERNAME   nvarchar(255)        NULL,
REQUESTER_LASTNAME   nvarchar(255)        NULL,
REQUESTER_FIRSTNAME  nvarchar(255)        NULL,
REQUESTER_EMAIL      nvarchar(255)        NULL,
REQUESTER_PHONE      nvarchar(255)        NULL,
REQUESTER_JOBTITLE   nvarchar(255)        NULL,
REQUESTER_EMPLOYEENUMBER nvarchar(255)    NULL,
REQUESTER_EMPLOYEETYPE nvarchar(255)      NULL,
REQUESTER_OFFICE     nvarchar(255)        NULL,
REQUESTER_DEPARTMENT nvarchar(255)        NULL,
REQUESTER_COMPANY    nvarchar(255)        NULL,
REQUESTER_CITY       nvarchar(255)        NULL,
REQUESTER_STATE      nvarchar(255)        NULL,
REQUESTER_COUNTRY    nvarchar(255)        NULL,
REQUESTER_ARCHIVE    nvarchar(1)          NULL,
REQUESTER_DIRNAME    nvarchar(255)        NOT NULL,
RELDATA_ID           int                  NULL,
DATA_ID              int                  NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_STOREINDB       nvarchar(1)          NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
DATA_VALUE_FILE_NAME nvarchar(255)        NULL,
DATA_VALUE_FILE_SIZE float                NULL,
DATA_VALUE_FILE_CONTENTTYPE nvarchar(255) NULL,
DATA_VALUE_FILE_DESCRIPTION nvarchar(255) NULL,
DATA_VALUE_FILE_DATELASTMOD datetime      NULL,
DATA_VALUE_FILE_CONTENT varbinary(max)    NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_ACTION_FILE_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL,
RELDATA_ID           int                  NULL,
DATA_ID              int                  NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_STOREINDB       nvarchar(1)          NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
DATA_VALUE_FILE_NAME nvarchar(255)        NULL,
DATA_VALUE_FILE_SIZE float                NULL,
DATA_VALUE_FILE_CONTENTTYPE nvarchar(255) NULL,
DATA_VALUE_FILE_DESCRIPTION nvarchar(255) NULL,
DATA_VALUE_FILE_DATELASTMOD datetime      NULL,
DATA_VALUE_FILE_CONTENT varbinary(max)    NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_ACTION_FILE_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
ACTION_ID            int                  NOT NULL,
ACTION_NAME          nvarchar(64)         NULL,
ACTION_DESCRIPTION   nvarchar(255)        NULL,
ACTION_DATE_OPEN     datetime             NULL,
ACTION_DATE_START    datetime             NULL,
ACTION_DATE_CLOSE    datetime             NULL,
ACTION_DATE_UPDATE   datetime             NULL,
ACTION_DATE_LIMIT    datetime             NULL,
ACTION_STATE         nvarchar(20)         NULL,
ACTION_SUBSTATE      nvarchar(30)         NULL,
ACTION_ID_SUBPROCESS_INST int             NULL,
ACTION_ID_EXCEPTION_TYPE nvarchar(64)     NULL,
ACTIVITY_ID          int                  NULL,
ACTIVITY_NAME        nvarchar(64)         NULL,
ACTIVITY_TYPE        nvarchar(64)         NULL,
ACTIVITY_ID_EXEC_TYPE nvarchar(64)        NULL,
ACTIVITY_SUBPROCESS  nvarchar(64)         NULL,
PARTICIPANT_NAME     nvarchar(64)         NULL,
APPLICATION_NAME     nvarchar(255)        NULL,
INITIATOR_ID         int                  NULL,
ASSIGNEDBY_ID        int                  NULL,
ACTION_CANCELLEDBY_ID int                 NULL,
ASSIGNEE_ID          int                  NULL,
REAL_ASSIGNEE_ID     int                  NULL,
ASSIGNEE_USERNAME    nvarchar(255)        NULL,
ASSIGNEE_LASTNAME    nvarchar(255)        NULL,
ASSIGNEE_FIRSTNAME   nvarchar(255)        NULL,
ASSIGNEE_EMAIL       nvarchar(255)        NULL,
ASSIGNEE_PHONE       nvarchar(255)        NULL,
ASSIGNEE_JOBTITLE    nvarchar(255)        NULL,
ASSIGNEE_EMPLOYEENUMBER nvarchar(255)     NULL,
ASSIGNEE_EMPLOYEETYPE nvarchar(255)       NULL,
ASSIGNEE_OFFICE      nvarchar(255)        NULL,
ASSIGNEE_DEPARTMENT  nvarchar(255)        NULL,
ASSIGNEE_COMPANY     nvarchar(255)        NULL,
ASSIGNEE_CITY        nvarchar(255)        NULL,
ASSIGNEE_STATE       nvarchar(255)        NULL,
ASSIGNEE_COUNTRY     nvarchar(255)        NULL,
ASSIGNEE_ARCHIVE     nvarchar(1)          NULL,
ASSIGNEE_DIRNAME     nvarchar(255)        NOT NULL,
RELDATA_ID           int                  NULL,
DATA_ID              int                  NULL,
DATA_NAME            nvarchar(64)         NULL,
DATA_DIRECTION       nvarchar(64)         NULL,
DATA_TYPE            nvarchar(64)         NULL,
DATA_STOREINDB       nvarchar(1)          NULL,
DATA_NUM_VALUE       int                  NULL,
DATA_VALUE_TEXT      nvarchar(max)        NULL,
DATA_VALUE_NUMERIC   float                NULL,
DATA_VALUE_DATETIME  datetime             NULL,
DATA_VALUE_FILE_NAME nvarchar(255)        NULL,
DATA_VALUE_FILE_SIZE float                NULL,
DATA_VALUE_FILE_CONTENTTYPE nvarchar(255) NULL,
DATA_VALUE_FILE_DESCRIPTION nvarchar(255) NULL,
DATA_VALUE_FILE_DATELASTMOD datetime      NULL,
DATA_VALUE_FILE_CONTENT varbinary(max)    NULL,
PROCESS_DATA_VISIBLE nvarchar(50)         NULL,
PROCESS_DATA_DISP_HOME nvarchar(50)       NULL,
PROCESS_DATA_DISP_LIST nvarchar(50)       NULL,
PROCESS_DATA_DISP_SEARCH nvarchar(50)     NULL,
PROCESS_DATA_DISP_SIZE int                NULL
)
go

CREATE TABLE REQ_COMMENT_V100T (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
COMMENT_NUMBER       int                  NOT NULL,
COMMENT_DATE_POST    datetime             NULL,
COMMENT_TEXT         nvarchar(2000)       NULL,
AUTHOR_ID            int                  NOT NULL,
AUTHOR_USERNAME      nvarchar(255)        NULL,
AUTHOR_LASTNAME      nvarchar(255)        NULL,
AUTHOR_FIRSTNAME     nvarchar(255)        NULL,
AUTHOR_EMAIL         nvarchar(255)        NULL,
AUTHOR_PHONE         nvarchar(255)        NULL,
AUTHOR_JOBTITLE      nvarchar(255)        NULL,
AUTHOR_EMPLOYEENUMBER nvarchar(255)       NULL,
AUTHOR_EMPLOYEETYPE  nvarchar(255)        NULL,
AUTHOR_OFFICE        nvarchar(255)        NULL,
AUTHOR_DEPARTMENT    nvarchar(255)        NULL,
AUTHOR_COMPANY       nvarchar(255)        NULL,
AUTHOR_CITY          nvarchar(255)        NULL,
AUTHOR_STATE         nvarchar(255)        NULL,
AUTHOR_COUNTRY       nvarchar(255)        NULL,
AUTHOR_ARCHIVE       nvarchar(1)          NULL,
AUTHOR_DIRNAME       nvarchar(255)        NOT NULL
)
go

CREATE TABLE REQ_COMMENT_V100 (
REQUEST_ID           int                  NOT NULL,
REQUEST_NAME         nvarchar(64)         NULL,
REQUEST_DESCRIPTION  nvarchar(255)        NULL,
REQUEST_DATE_START   datetime             NULL,
REQUEST_DATE_CLOSE   datetime             NULL,
REQUEST_DATE_UPDATE  datetime             NULL,
REQUEST_DATE_LIMIT   datetime             NULL,
REQUEST_STATE        nvarchar(20)         NULL,
REQUEST_SUBSTATE     nvarchar(30)         NULL,
REQUEST_ID_PARENTPROCESS_INST int         NULL,
REQUEST_ID_PARENTACTIVITY_INST int        NULL,
REQUEST_ID_EXEC_TYPE nvarchar(64)         NULL,
REQUEST_ID_EXCEPTION_TYPE nvarchar(64)    NULL,
PROCESS_ID           int                  NULL,
PROCESS_NAME         nvarchar(64)         NOT NULL,
PROCESS_VERSION      int                  NOT NULL,
PROCESS_SUBFLOW      nvarchar(1)          NULL,
REQUEST_CANCELLEDBY_ID int                NULL,
REQUESTER_ID         int                  NULL,
COMMENT_NUMBER       int                  NOT NULL,
COMMENT_DATE_POST    datetime             NULL,
COMMENT_TEXT         nvarchar(2000)       NULL,
AUTHOR_ID            int                  NOT NULL,
AUTHOR_USERNAME      nvarchar(255)        NULL,
AUTHOR_LASTNAME      nvarchar(255)        NULL,
AUTHOR_FIRSTNAME     nvarchar(255)        NULL,
AUTHOR_EMAIL         nvarchar(255)        NULL,
AUTHOR_PHONE         nvarchar(255)        NULL,
AUTHOR_JOBTITLE      nvarchar(255)        NULL,
AUTHOR_EMPLOYEENUMBER nvarchar(255)       NULL,
AUTHOR_EMPLOYEETYPE  nvarchar(255)        NULL,
AUTHOR_OFFICE        nvarchar(255)        NULL,
AUTHOR_DEPARTMENT    nvarchar(255)        NULL,
AUTHOR_COMPANY       nvarchar(255)        NULL,
AUTHOR_CITY          nvarchar(255)        NULL,
AUTHOR_STATE         nvarchar(255)        NULL,
AUTHOR_COUNTRY       nvarchar(255)        NULL,
AUTHOR_ARCHIVE       nvarchar(1)          NULL,
AUTHOR_DIRNAME       nvarchar(255)        NOT NULL
)
go