IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'VIEW_PUB_REQ_ACTION_DATA_V100')
DROP VIEW VIEW_PUB_REQ_ACTION_DATA_V100
go

CREATE VIEW VIEW_PUB_REQ_ACTION_DATA_V100 AS

SELECT 
WFPROCESS_INST.ID_PROCESS_INST AS REQUEST_ID,
WFPROCESS_INST.NAME AS REQUEST_NAME,
WFPROCESS_INST.DESCRIPTION AS REQUEST_DESCRIPTION,
WFPROCESS_INST.DATE_START AS REQUEST_DATE_START,
WFPROCESS_INST.DATE_CLOSE AS REQUEST_DATE_CLOSE,
WFPROCESS_INST.DATE_UPDATE AS REQUEST_DATE_UPDATE,
WFPROCESS_INST.DATE_LIMIT AS REQUEST_DATE_LIMIT,
WFPROCESS_INST.ID_STATE AS REQUEST_STATE,
WFPROCESS_INST.ID_SUBSTATE AS REQUEST_SUBSTATE,
WFPROCESS_INST.ID_PARENTPROCESS_INST AS REQUEST_ID_PARENTPROCESS_INST,
WFPROCESS_INST.ID_PARENTACTIVITY_INST AS REQUEST_ID_PARENTACTIVITY_INST,
WFPROCESS_INST.ID_EXEC_TYPE AS REQUEST_ID_EXEC_TYPE,
WFPROCESS_INST.ID_EXCEPTION_TYPE AS REQUEST_ID_EXCEPTION_TYPE,
WFPROCESS_INST.ID_PROCESS AS PROCESS_ID,
WFPROCESS.NAME AS PROCESS_NAME,
WFPROCESS.VERSION AS PROCESS_VERSION,
WFPROCESS.SUBFLOW AS PROCESS_SUBFLOW,
WFPROCESS_INST.ID_USER_REQUESTER AS REQUESTER_ID,
WFPROCESS_INST.ID_USER_ABORTED AS REQUEST_CANCELLEDBY_ID,

WFACTIVITY_INST.ID_ACTIVITY_INST AS ACTION_ID,
WFACTIVITY_INST.NAME AS ACTION_NAME,
WFACTIVITY_INST.DESCRIPTION AS ACTION_DESCRIPTION,
WFACTIVITY_INST.DATE_OPEN AS ACTION_DATE_OPEN,
WFACTIVITY_INST.DATE_START AS ACTION_DATE_START,
WFACTIVITY_INST.DATE_CLOSE AS ACTION_DATE_CLOSE,
WFACTIVITY_INST.DATE_UPDATE AS ACTION_DATE_UPDATE,
WFACTIVITY_INST.DATE_LIMIT AS ACTION_DATE_LIMIT,
WFACTIVITY_INST.ID_STATE AS ACTION_STATE,
WFACTIVITY_INST.ID_SUBSTATE AS ACTION_SUBSTATE,
WFACTIVITY_INST.ID_SUBPROCESS_INST AS ACTION_ID_SUBPROCESS_INST,
WFACTIVITY_INST.ID_EXCEPTION_TYPE AS ACTION_ID_EXCEPTION_TYPE,
WFACTIVITY_INST.ID_ACTIVITY AS ACTIVITY_ID,
WFACTIVITY.NAME AS ACTIVITY_NAME,
WFACTIVITY.ID_ACTIVITY_TYPE AS ACTIVITY_TYPE,
WFACTIVITY.ID_EXEC_TYPE AS ACTIVITY_ID_EXEC_TYPE,
WFACTIVITY.SUBPROCESS AS ACTIVITY_SUBPROCESS,
WFPARTICIPANT.NAME AS PARTICIPANT_NAME,
WFAPPLICATION.NAME AS APPLICATION_NAME,

WFACTIVITY_INST.ID_USER_REQUESTER AS INITIATOR_ID,
WFACTIVITY_INST.ID_USER_ASSIGNED_BY AS ASSIGNEDBY_ID,
WFACTIVITY_INST.ID_USER_ABORTED AS ACTION_CANCELLEDBY_ID,

WFACTIVITY_INST.ID_USER_ASSIGNEE AS ASSIGNEE_ID,
WFACTIVITY_INST.ID_USER_ASSIGNEE_REAL AS REAL_ASSIGNEE_ID,
USERS.USERNAME AS ASSIGNEE_USERNAME,
USERS.LASTNAME AS ASSIGNEE_LASTNAME,
USERS.FIRSTNAME AS ASSIGNEE_FIRSTNAME,
USERS.EMAIL AS ASSIGNEE_EMAIL,
USERS.PHONE AS ASSIGNEE_PHONE,
USERS.JOBTITLE AS ASSIGNEE_JOBTITLE,
USERS.EMPLOYEENUMBER AS ASSIGNEE_EMPLOYEENUMBER,
USERS.EMPLOYEETYPE AS ASSIGNEE_EMPLOYEETYPE,
USERS.OFFICE AS ASSIGNEE_OFFICE,
USERS.DEPARTMENT AS ASSIGNEE_DEPARTMENT,
USERS.COMPANY AS ASSIGNEE_COMPANY,
USERS.CITY AS ASSIGNEE_CITY,
USERS.STATE AS ASSIGNEE_STATE,
USERS.COUNTRY AS ASSIGNEE_COUNTRY,
USERS.ARCHIVE AS ASSIGNEE_ARCHIVE,
DIRECTORY.DIRNAME AS ASSIGNEE_DIRNAME,

WFRELDATA.NAME AS DATA_NAME,
WFACTIVITY_INST_RELDATA.DIRECTION AS DATA_DIRECTION,
WFDATASET.ID_DATATYPE AS DATA_TYPE,
WFDATASET_VALUE.NUM_VALUE AS DATA_NUM_VALUE, 
WFDATASET_VALUE.VALUE_TEXT AS DATA_VALUE_TEXT,
WFDATASET_VALUE.VALUE_NUMERIC AS DATA_VALUE_NUMERIC, 
WFDATASET_VALUE.VALUE_DATETIME AS DATA_VALUE_DATETIME,
WFPROCESS_RELDATA.VISIBLE AS PROCESS_DATA_VISIBLE, 
WFPROCESS_RELDATA.DISP_HOME AS PROCESS_DATA_DISP_HOME,
WFPROCESS_RELDATA.DISP_LIST AS PROCESS_DATA_DISP_LIST, 
WFPROCESS_RELDATA.DISP_SEARCH AS PROCESS_DATA_DISP_SEARCH,
WFPROCESS_RELDATA.DISP_SIZE AS PROCESS_DATA_DISP_SIZE

FROM
WFPROCESS_INST,
WFACTIVITY_INST,
(WFACTIVITY LEFT JOIN WFAPPLICATION ON WFACTIVITY.ID_APPLICATION=WFAPPLICATION.ID_APPLICATION) LEFT JOIN WFPARTICIPANT ON WFACTIVITY.ID_PARTICIPANT=WFPARTICIPANT.ID_PARTICIPANT,
WFPROCESS,
USERS,
DIRECTORY,
WFACTIVITY_INST_RELDATA,
WFDATASET,
WFDATASET_VALUE,
WFPROCESS_RELDATA,
WFRELDATA

WHERE
WFPROCESS.ID_PROCESS=WFACTIVITY.ID_PROCESS AND
WFPROCESS_INST.ID_PROCESS_INST=WFACTIVITY_INST.ID_PROCESS_INST AND
WFPROCESS_INST.ID_PROCESS=WFPROCESS.ID_PROCESS AND
WFACTIVITY_INST.ID_ACTIVITY=WFACTIVITY.ID_ACTIVITY AND
WFACTIVITY_INST.ID_USER_ASSIGNEE=USERS.ID_USER AND
USERS.ID_DIRECTORY=DIRECTORY.ID_DIRECTORY AND

WFRELDATA.ID_RELDATA = WFACTIVITY_INST_RELDATA.ID_RELDATA AND
WFACTIVITY_INST.ID_PROCESS_INST = WFACTIVITY_INST_RELDATA.ID_PROCESS_INST AND 
WFACTIVITY_INST.ID_ACTIVITY_INST = WFACTIVITY_INST_RELDATA.ID_ACTIVITY_INST AND 
WFACTIVITY_INST_RELDATA.ID_DATASET = WFDATASET.ID_DATASET AND
WFDATASET.ID_DATASET = WFDATASET_VALUE.ID_DATASET AND
WFPROCESS_RELDATA.ID_RELDATA = WFRELDATA.ID_RELDATA AND
WFPROCESS_RELDATA.ID_PROCESS = WFACTIVITY.ID_PROCESS AND

WFPROCESS_INST.TEST<>N'Y' AND
WFDATASET.ID_DATATYPE <> N'FILE'

go