IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'VIEW_PUB_REQ_COMMENT_V100')
DROP VIEW VIEW_PUB_REQ_COMMENT_V100
go

CREATE VIEW VIEW_PUB_REQ_COMMENT_V100 AS

SELECT 
WFPROCESS_INST.ID_PROCESS_INST AS REQUEST_ID,
WFPROCESS_INST.NAME AS REQUEST_NAME,
WFPROCESS_INST.DESCRIPTION AS REQUEST_DESCRIPTION,
WFPROCESS_INST.DATE_START AS REQUEST_DATE_START,
WFPROCESS_INST.DATE_CLOSE AS REQUEST_DATE_CLOSE,
WFPROCESS_INST.DATE_UPDATE AS REQUEST_DATE_UPDATE,
WFPROCESS_INST.DATE_LIMIT AS REQUEST_DATE_LIMIT,
WFPROCESS_INST.ID_STATE AS REQUEST_STATE,
WFPROCESS_INST.ID_SUBSTATE AS REQUEST_SUBSTATE,
WFPROCESS_INST.ID_PARENTPROCESS_INST AS REQUEST_ID_PARENTPROCESS_INST,
WFPROCESS_INST.ID_PARENTACTIVITY_INST AS REQUEST_ID_PARENTACTIVITY_INST,
WFPROCESS_INST.ID_EXEC_TYPE AS REQUEST_ID_EXEC_TYPE,
WFPROCESS_INST.ID_EXCEPTION_TYPE AS REQUEST_ID_EXCEPTION_TYPE,
WFPROCESS_INST.ID_PROCESS AS PROCESS_ID,
WFPROCESS.NAME AS PROCESS_NAME,
WFPROCESS.VERSION AS PROCESS_VERSION,
WFPROCESS.SUBFLOW AS PROCESS_SUBFLOW,
WFPROCESS_INST.ID_USER_REQUESTER AS REQUESTER_ID,
WFPROCESS_INST.ID_USER_ABORTED AS REQUEST_CANCELLEDBY_ID,

WFPROCESS_INST_COMMENT.NUM_COMMENT AS COMMENT_NUMBER,
WFPROCESS_INST_COMMENT.DATE_POST AS COMMENT_DATE_POST,
WFPROCESS_INST_COMMENT.MESSAGE AS COMMENT_TEXT,
WFPROCESS_INST_COMMENT.ID_USER_AUTHOR AS AUTHOR_ID,
USERS.USERNAME AS AUTHOR_USERNAME,
USERS.LASTNAME AS AUTHOR_LASTNAME,
USERS.FIRSTNAME AS AUTHOR_FIRSTNAME,
USERS.EMAIL AS AUTHOR_EMAIL,
USERS.PHONE AS AUTHOR_PHONE,
USERS.JOBTITLE AS AUTHOR_JOBTITLE,
USERS.EMPLOYEENUMBER AS AUTHOR_EMPLOYEENUMBER,
USERS.EMPLOYEETYPE AS AUTHOR_EMPLOYEETYPE,
USERS.OFFICE AS AUTHOR_OFFICE,
USERS.DEPARTMENT AS AUTHOR_DEPARTMENT,
USERS.COMPANY AS AUTHOR_COMPANY,
USERS.CITY AS AUTHOR_CITY,
USERS.STATE AS AUTHOR_STATE,
USERS.COUNTRY AS AUTHOR_COUNTRY,
USERS.ARCHIVE AS AUTHOR_ARCHIVE,
DIRECTORY.DIRNAME AS AUTHOR_DIRNAME

FROM
WFPROCESS_INST,
WFPROCESS_INST_COMMENT,
WFPROCESS,
USERS,
DIRECTORY

WHERE
WFPROCESS_INST.ID_PROCESS_INST=WFPROCESS_INST_COMMENT.ID_PROCESS_INST AND
WFPROCESS_INST.ID_PROCESS=WFPROCESS.ID_PROCESS AND
WFPROCESS_INST_COMMENT.ID_USER_AUTHOR=USERS.ID_USER AND
USERS.ID_DIRECTORY=DIRECTORY.ID_DIRECTORY AND
WFPROCESS_INST.TEST<>N'Y'
go