IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'VIEW_PUB_REQ_FILE_V100')
DROP VIEW VIEW_PUB_REQ_FILE_V100
go

CREATE VIEW VIEW_PUB_REQ_FILE_V100 AS

SELECT
WFPROCESS_INST.ID_PROCESS_INST AS REQUEST_ID,
WFPROCESS_INST.NAME AS REQUEST_NAME,
WFPROCESS_INST.DESCRIPTION AS REQUEST_DESCRIPTION,
WFPROCESS_INST.DATE_START AS REQUEST_DATE_START,
WFPROCESS_INST.DATE_CLOSE AS REQUEST_DATE_CLOSE,
WFPROCESS_INST.DATE_UPDATE AS REQUEST_DATE_UPDATE,
WFPROCESS_INST.DATE_LIMIT AS REQUEST_DATE_LIMIT,
WFPROCESS_INST.ID_STATE AS REQUEST_STATE,
WFPROCESS_INST.ID_SUBSTATE AS REQUEST_SUBSTATE,
WFPROCESS_INST.ID_PARENTPROCESS_INST AS REQUEST_ID_PARENTPROCESS_INST,
WFPROCESS_INST.ID_PARENTACTIVITY_INST AS REQUEST_ID_PARENTACTIVITY_INST,
WFPROCESS_INST.ID_EXEC_TYPE AS REQUEST_ID_EXEC_TYPE,
WFPROCESS_INST.ID_EXCEPTION_TYPE AS REQUEST_ID_EXCEPTION_TYPE,
WFPROCESS_INST.ID_PROCESS AS PROCESS_ID,
WFPROCESS.NAME AS PROCESS_NAME,
WFPROCESS.VERSION AS PROCESS_VERSION,
WFPROCESS.SUBFLOW AS PROCESS_SUBFLOW,
WFPROCESS_INST.ID_USER_REQUESTER AS REQUESTER_ID,
WFPROCESS_INST.ID_USER_REQUESTER_REAL AS REAL_REQUESTER_ID,
WFPROCESS_INST.ID_USER_ABORTED AS REQUEST_CANCELLEDBY_ID,

USERS.USERNAME AS REQUESTER_USERNAME,
USERS.LASTNAME AS REQUESTER_LASTNAME,
USERS.FIRSTNAME AS REQUESTER_FIRSTNAME,
USERS.EMAIL AS REQUESTER_EMAIL,
USERS.PHONE AS REQUESTER_PHONE,
USERS.JOBTITLE AS REQUESTER_JOBTITLE,
USERS.EMPLOYEENUMBER AS REQUESTER_EMPLOYEENUMBER,
USERS.EMPLOYEETYPE AS REQUESTER_EMPLOYEETYPE,
USERS.OFFICE AS REQUESTER_OFFICE,
USERS.DEPARTMENT AS REQUESTER_DEPARTMENT,
USERS.COMPANY AS REQUESTER_COMPANY,
USERS.CITY AS REQUESTER_CITY,
USERS.STATE AS REQUESTER_STATE,
USERS.COUNTRY AS REQUESTER_COUNTRY,
USERS.ARCHIVE AS REQUESTER_ARCHIVE,
DIRECTORY.DIRNAME AS REQUESTER_DIRNAME,

WFRELDATA.ID_RELDATA AS RELDATA_ID,
WFDATASET.ID_DATASET AS DATA_ID,
WFRELDATA.NAME AS DATA_NAME,
WFPROCESS_INST_RELDATA.DIRECTION AS DATA_DIRECTION,
WFDATASET.ID_DATATYPE AS DATA_TYPE,
WFDATASET.STOREINDB AS DATA_STOREINDB,
WFDATASET_VALUE.NUM_VALUE AS DATA_NUM_VALUE,
WFDATASET_VALUE.VALUE_TEXT AS DATA_VALUE_TEXT,
WFDATASET_VALUE.VALUE_NUMERIC AS DATA_VALUE_NUMERIC,
WFDATASET_VALUE.VALUE_DATETIME AS DATA_VALUE_DATETIME,
WFDATASET_VALUE.VALUE_FILE_NAME AS DATA_VALUE_FILE_NAME,
WFDATASET_VALUE.VALUE_FILE_SIZE AS DATA_VALUE_FILE_SIZE,
WFDATASET_VALUE.VALUE_FILE_CONTENTTYPE AS DATA_VALUE_FILE_CONTENTTYPE,
WFDATASET_VALUE.VALUE_FILE_DESCRIPTION AS DATA_VALUE_FILE_DESCRIPTION,
WFDATASET_VALUE.VALUE_FILE_DATELASTMODIFIED AS DATA_VALUE_FILE_DATELASTMOD,
WFDATASET_VALUE.VALUE_FILE_CONTENT AS DATA_VALUE_FILE_CONTENT,
WFPROCESS_RELDATA.VISIBLE AS PROCESS_DATA_VISIBLE,
WFPROCESS_RELDATA.DISP_HOME AS PROCESS_DATA_DISP_HOME,
WFPROCESS_RELDATA.DISP_LIST AS PROCESS_DATA_DISP_LIST,
WFPROCESS_RELDATA.DISP_SEARCH AS PROCESS_DATA_DISP_SEARCH,
WFPROCESS_RELDATA.DISP_SIZE AS PROCESS_DATA_DISP_SIZE

FROM
WFPROCESS_INST,
WFPROCESS,
WFPROCESS_INST_RELDATA,
WFRELDATA,
WFDATASET LEFT JOIN WFDATASET_VALUE ON WFDATASET.ID_DATASET=WFDATASET_VALUE.ID_DATASET,
USERS,
DIRECTORY,
WFPROCESS_RELDATA

WHERE
WFPROCESS_INST.ID_PROCESS=WFPROCESS.ID_PROCESS AND
WFPROCESS_INST.ID_PROCESS_INST=WFPROCESS_INST_RELDATA.ID_PROCESS_INST  AND
WFRELDATA.ID_RELDATA=WFPROCESS_INST_RELDATA.ID_RELDATA AND
WFDATASET.ID_DATASET=WFPROCESS_INST_RELDATA.ID_DATASET AND
WFPROCESS_INST.ID_USER_REQUESTER=USERS.ID_USER AND
USERS.ID_DIRECTORY=DIRECTORY.ID_DIRECTORY AND
WFPROCESS_RELDATA.ID_PROCESS = WFPROCESS.ID_PROCESS AND
WFPROCESS_RELDATA.ID_RELDATA = WFRELDATA.ID_RELDATA AND
WFPROCESS_INST.TEST<>N'Y'
go