"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * server.js
 * Contains the initialization code of the application.
 */
const bodyParser = __importStar(require("body-parser"));
const cookie_parser_1 = __importDefault(require("cookie-parser"));
const express_1 = __importDefault(require("express"));
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const path = __importStar(require("path"));
const config_1 = __importDefault(require("./config"));
const keysController_1 = __importDefault(require("./controllers/keysController"));
const oidcController_1 = __importDefault(require("./controllers/oidcController"));
const tokenController_1 = __importDefault(require("./controllers/tokenController"));
const token_1 = require("./models/token");
const logger_1 = __importDefault(require("./utils/logger"));
const config = config_1.default.getInstance();
const app = express_1.default();
const ROOT_URL = '(\/\\w+)?\/auth'; // eslint-disable-line
const KEYS_URL = `${ROOT_URL}/keys`;
const BLANK_URL = `${ROOT_URL}/blank`;
// The following rule has been disabled because TypeScript tries to import the
// function first which is deprecated instead of the namespace. This behavior is
// caused by the TS option esModuleInterop which can't be deactivated for the project.
// tslint:disable-next-line: deprecation
app.use(bodyParser.urlencoded({ extended: true }));
app.use(cookie_parser_1.default());
app.use(ROOT_URL, tokenController_1.default);
app.use(ROOT_URL, oidcController_1.default);
app.use(KEYS_URL, keysController_1.default);
app.use(ROOT_URL, express_1.default.static(path.join(__dirname, 'static')));
app.set('views', path.join(__dirname, '..', 'views'));
app.set('view engine', 'pug');
// Debug endpoints
/* istanbul ignore next */
if (process.env.NODE_ENV === 'development') {
    // eslint-disable-next-line global-require
    app.use(ROOT_URL, require('./controllers/debugController').default);
}
app.get(BLANK_URL, (req, res) => {
    logger_1.default('DEBUG', `${req.path}: Render debug blank page`);
    const sessionToken = req.cookies[config.session.cookies.token];
    // This injects the expire time of the token in the page so that it can be
    // retreived by client side code to be re-calculated.
    if (sessionToken) {
        const decoded = jsonwebtoken_1.default.decode(sessionToken, { complete: true });
        if (!decoded || !token_1.Validators.isJWTToken(decoded)) {
            res.status(400).render('error', {
                error: 'Invalid session token',
            });
            return;
        }
        res.render('blank', { exp: decoded.payload.exp });
        return;
    }
    res.render('blank');
});
// Else path is never taken in tests.
/* istanbul ignore else */
if (process.env.NODE_ENV === 'test') {
    module.exports = app;
}
else {
    // Start Express Server
    app.listen(config.app.port, () => {
        logger_1.default('INFO', `Authentication Server running on port ${config.app.port}`);
    });
}
