'use strict';
var status = '';
var message = null;
var isCheckSessionStopped = false;
var timerId = null;
var targetOrigin = null;
var refreshInterval = 3000;
function checkSession() {
    if (isCheckSessionStopped) {
        clearInterval(timerId);
        return;
    }
    /** @type {HTMLIFrameElement | null} */
    // @ts-ignore
    var op = document.getElementById('op');
    if (!op) {
        console.error('The element "op" is not defined');
        clearInterval(timerId);
        return;
    }
    if (!op.contentWindow) {
        console.error('The "op" element has no content.');
        clearInterval(timerId);
        return;
    }
    op.contentWindow.postMessage(message, targetOrigin);
}
/**
 * @param {MessageEvent} e Message event.
 */
function messageReceived(e) {
    console.log('messageReceived: ' + e.data);
    if (e.origin !== targetOrigin) {
        isCheckSessionStopped = true;
        alert('Invalid targetOrigin: ' + e.origin);
        return;
    }
    if (typeof e.data !== 'string') {
        console.error('Message data should be a string.');
        return;
    }
    status = e.data;
    if (status === 'error') {
        isCheckSessionStopped = true;
        alert('Check session error from op');
        return;
    }
    if (status === 'changed') {
        isCheckSessionStopped = true;
        alert('Session changed');
    }
}
// Init is called in generated code from the server.
/* eslint-disable no-unused-vars */
function init(clientId, sessionState, providerOrigin) {
    /* eslint-enable */
    message = clientId + ' ' + sessionState;
    targetOrigin = providerOrigin;
    window.addEventListener('message', messageReceived, false);
    timerId = setInterval(checkSession, refreshInterval);
}
/* eslint-disable no-unused-vars */
function setRefreshSessionInterval(tte, src) {
    /* eslint-enable */
    /** @type {HTMLIFrameElement | null} */
    // @ts-ignore
    var refreshSessionIFrame = document.getElementById('refresh-session-iframe');
    var contentDocument;
    if (!refreshSessionIFrame) {
        console.error('No refresh session iframe found.');
        return;
    }
    refreshSessionIFrame.addEventListener('load', function () {
        try {
            contentDocument = (this.contentDocument
                || (this.contentWindow && this.contentWindow.document));
            if (!contentDocument) {
                console.error('The iframe has no content document.');
                return;
            }
        }
        catch (_) {
            // Gracefully handle the cross-origin access error. Only same-origin will not throw.
            return;
        }
        var hiddenError = contentDocument.getElementById('error-hidden');
        if (hiddenError && hiddenError.getAttribute('value')) {
            window.location.href = '/wfgen/auth/debug';
        }
    });
    setInterval(function () {
        if (refreshSessionIFrame) {
            refreshSessionIFrame.setAttribute('src', src);
        }
    }, tte);
}
