"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Get users by username.
 * @param context A context.
 * @param keys keys An Array of keys.
 * @return A promise resolved with an Array of values.
 */
function getBatchUsersByUserName(context, keys) {
    return __awaiter(this, void 0, void 0, function* () {
        const result = yield context.workflow.service.invoke('getUsers', context.workflow.context, {
            userNames: keys,
            isBatch: true
        });
        return keys.map(key => {
            const user = result.items.find(item => item.userName.toLowerCase() === key);
            if (!user) {
                throw new Error('The username does not exist.');
            }
            return user;
        });
    });
}
exports.getBatchUsersByUserName = getBatchUsersByUserName;
