"use strict";
/**
 * category.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    Category: {
        processes(category, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getProcesses',
                args: Object.extend(args, {
                    filter: Object.extend(args.filter || {}, { categoryId: category.id }),
                    userId: category.userId || undefined,
                    onBehalfOf: category.onBehalfOf || undefined
                })
            });
        },
        launchableProcesses(category, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getLaunchableProcesses',
                args: Object.extend(args, {
                    filter: Object.extend(args.filter || {}, { categoryId: category.id }),
                    userId: category.userId || undefined,
                    onBehalfOf: category.onBehalfOf || undefined
                })
            });
        }
    }
};
