"use strict";
/**
 * comment.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    Comment: {
        author(comment, args, context) {
            context.incrementResolverCount();
            return context.loaders.users.load(comment.authorId);
        },
        subject(comment, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getRequest',
                args: Object.extend({}, {
                    id: comment.subjectId,
                    userId: comment.userId,
                    onBehalfOf: comment.onBehalfOf || undefined
                })
            });
        }
    }
};
