"use strict";
/**
 * delegation.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    Delegation: {
        delegator(delegation, args, context) {
            context.incrementResolverCount();
            return context.loaders.users.load(delegation.delegatorId);
        },
        delegatee(delegation, args, context) {
            context.incrementResolverCount();
            return context.loaders.users.load(delegation.delegateeId);
        },
        process(delegation, args, context) {
            if (delegation.processId === null) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.processes.load(delegation.processId);
        },
        participant(delegation, args, context) {
            if (delegation.participantId === null) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.participants.load(delegation.participantId);
        }
    },
    DelegableProcessParticipant: {
        process(delegableProcessParticipant, args, context) {
            if (delegableProcessParticipant.processId === null) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.processes.load(delegableProcessParticipant.processId);
        },
        participant(delegableProcessParticipant, args, context) {
            if (delegableProcessParticipant.participantId === null) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.participants.load(delegableProcessParticipant.participantId);
        }
    }
};
