"use strict";
/**
 * favorite.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    Favorite: {
        owner(favorite, args, context) {
            context.incrementResolverCount();
            return context.loaders.users.load(favorite.ownerId);
        },
        item(favorite, args, context) {
            context.incrementResolverCount();
            const loadArgs = Object.assign(args, { id: favorite.itemId });
            return favorite.type === 'PROCESS'
                ? context.loaders.operations.load({ operation: 'getProcess', args: loadArgs })
                : context.loaders.operations.load({ operation: 'getView', args: loadArgs });
        }
    }
};
