"use strict";
/**
 * globallist.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    GlobalList: {
        manager(globallist, args, context) {
            if (!globallist.managerId) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getParticipant',
                args: Object.extend(args, {
                    id: globallist.managerId,
                    userId: globallist.userId || undefined,
                    onBehalfOf: globallist.onBehalfOf || undefined
                })
            });
        },
        updatedBy(globallist, args, context) {
            context.incrementResolverCount();
            return context.loaders.users.load(globallist.updatedById);
        }
    }
};
