"use strict";
/**
 * group.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    Group: {
        directory(group, args, context) {
            if (!group.directoryId) {
                return null;
            }
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getDirectory',
                args: { id: group.directoryId }
            });
        },
        users(group, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getUsers',
                args: Object.extend(args, { groupId: group.id })
            });
        }
    }
};
