"use strict";
/**
 * processfolder.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    ProcessFolder: {
        manager(processFolder, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getGlobalParticipant',
                args: Object.extend(args, {
                    id: processFolder.managerId || args.id || undefined
                })
            });
        },
        processes(processFolder, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getProcesses',
                args: Object.extend(args, {
                    filter: Object.extend(args.filter || {}, { processFolderId: processFolder.id })
                })
            });
        }
    }
};
