"use strict";
/**
 * processparticipantprofile.ts
 * GraphQL resolvers
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    ProcessParticipantProfile: {
        process(processParticipantProfile, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getProcess',
                args: Object.extend(args, {
                    id: processParticipantProfile.processId,
                    userId: processParticipantProfile.userId || undefined
                })
            });
        },
        participant(processParticipantProfile, args, context) {
            context.incrementResolverCount();
            return context.loaders.operations.load({
                operation: 'getParticipant',
                args: Object.extend(args, {
                    id: processParticipantProfile.participantId,
                    userId: processParticipantProfile.userId || undefined
                })
            });
        }
    }
};
