"use strict";
/**
 * activityparameter.ts
 * GraphQL Type definitions using schema language
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = `

# An activity parameter.
type ActivityParameter implements Node {

  # Activity parameter date and time value.
  dateTimeValue: DateTime

  # Activity parameter direction.
  direction: ParameterDirection!

  # Activity parameter file value.
  fileValue: File

  # Indicates if the activity parameter has a value.
  hasValue: Boolean!

  # Activity parameter identifier.
  id: ID!

  # Activity parameter name.
  name: String!

  # Activity parameter numeric value.
  numericValue: Float

  # Activity parameter text value.
  textValue: String

  # Activity parameter data type.
  type: WorkflowDataType!
}

# A paginated list of activity parameters.
type ActivityParameterListPage {

  # Identifies the total count of items in the page.
  totalCount: Int!

  # Indicates if there are more pages to fetch.
  hasNextPage: Boolean!

  # Indicates if there are any pages prior to the current page.
  hasPreviousPage: Boolean!

  # List of activity parameters.
  items: [ActivityParameter]
}

`;
