"use strict";
/**
 * file.ts
 * GraphQL Type definitions using schema language
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = `

# A File.
type File {

  # File blob URL.
  blobUrl: URI!

  # File content type.
  contentType: String!

  # File description.
  description: String

  # File name.
  name: String!

  # File size in bytes.
  size: Int

  # Identifies the date and time when the file was updated.
  updatedAt: DateTime

  # File URL.
  url: URI
}

# A File input.
input FileInput {

  # File content in base64 encoding.
  content: String

  # File content type.
  contentType: String

  # File description.
  description: String

  # File name.
  name: String

  # File size in bytes.
  size: Int

  # Identifies the date and time when the file was updated.
  updatedAt: DateTime

  # File upload.
  upload: Upload

  # File URL.
  url: URI
}
`;
