"use strict";
/**
 * parameter.ts
 * GraphQL Type definitions using schema language
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = `

# A parameter input.
input ParameterInput {

  # Parameter date and time value.
  dateTimeValue: DateTime

  # Parameter file value.
  fileValue: FileInput

  # Parameter name.
  name: String!

  # Parameter numeric value.
  numericValue: Float

  # Parameter text value.
  textValue: String
}

# Parameter direction enumeration.
enum ParameterDirection {

  # Identifies an input parameter.
  IN

  # Identifies an output parameter.
  OUT

  # Identifies an input and output parameter.
  INOUT
}

`;
