"use strict";
/**
 * workflowdata.ts
 * GraphQL Type definitions using schema language
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = `

# A workflow data.
interface WorkflowData {

  # Identifies if the workflow data has a value.
  hasValue: Boolean!

  # Workflow data name.
  name: String!

  # Workflow data type.
  type: WorkflowDataType
}

# List of possible process data types.
enum WorkflowDataType {

  # Identifies a text value.
  TEXT

  # Identifies a numeric value.
  NUMERIC

  # Identifies a date and time value.
  DATETIME

  # Identifies a file value.
  FILE
}

`;
