"use strict";
/**
 * extensions.ts
 * Contains several utilities for lists and objects.
 */
Object.extend = function (target, source) {
    if (!source) {
        return target;
    }
    const sourceCopy = Object.assign({}, source);
    Object.entries(Object.getOwnPropertyDescriptors(source))
        .filter(([propName, descriptor]) => typeof descriptor.value === 'undefined')
        .forEach(([propName, descriptor]) => delete sourceCopy[propName]);
    return Object.assign(target, sourceCopy);
};
