"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * logger.ts
 * Contains some helpers for logging messages.
 */
const altlogger_1 = require("../../utils/altlogger");
/**
 * This function logs a message to the synchronization log. Since getting the
 * name of the directory is asynchronous, this function takes care of the problem
 * for you. You just have to call this synchronously like any normal log.
 * @param action The WFG action to log.
 * @param directory The directory object that performs the action.
 * @param message String or format for string that represents the message to log.
 */
function logToFile(action, directory, ...message) {
    return __awaiter(this, void 0, void 0, function* () {
        const info = yield directory.getInfo();
        try {
            yield altlogger_1.logger.file.info(...message, { action, directory: info.name });
        }
        catch (err) {
            altlogger_1.logger.console.error(err.message);
        }
    });
}
exports.logToFile = logToFile;
