"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Groups an array by a property.
 * @see {@link http://codereview.stackexchange.com/a/37132}
 */
function groupBy(array, f) {
    const groups = {};
    array.forEach(o => {
        const group = JSON.stringify(f(o));
        groups[group] = groups[group] || [];
        groups[group].push(o);
    });
    return Object.keys(groups).map(group => groups[group]);
}
exports.groupBy = groupBy;
/**
 * Gets the values common in the two arrays.
 */
function intersect(array1, array2) {
    return array1.filter(e => array2.includes(e));
}
exports.intersect = intersect;
