"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * extensions.ts
 * Contains extension methods to add functionality to base objects.
 */
const express = __importStar(require("express"));
/**
 * Cleans an object of null properties. Recursive function.
 */
Object.cleanProperties = function (objectToClean, cleanAll = true) {
    for (let key in objectToClean) {
        if (typeof objectToClean[key] === 'undefined') {
            delete objectToClean[key];
        }
        else if (cleanAll && objectToClean[key] === null) {
            delete objectToClean[key];
        }
        else if (objectToClean[key] instanceof Array &&
            (cleanAll && (objectToClean[key].length <= 0 || key === '_requiredAttributes'))) { // Empty array
            delete objectToClean[key];
        }
        else if (objectToClean[key] instanceof Array) {
            for (let value of objectToClean[key]) {
                Object.cleanProperties(value, cleanAll); // All values in array of a user are objects.
            }
        }
        else if (typeof objectToClean[key] === 'object' &&
            objectToClean[key] !== null &&
            !(objectToClean[key] instanceof Date) &&
            global.Object.keys(objectToClean[key]).length <= 0) { // Empty object
            delete objectToClean[key];
        }
        else if (typeof objectToClean[key] === 'object') {
            Object.cleanProperties(objectToClean[key], cleanAll);
        }
    }
};
/**
 * Simple test to check is an object is assigned.
 */
Object.isNullOrUndefined = function (object) {
    return typeof object === 'undefined' || object === null;
};
/**
 * Returns the base URL of the Express request.
 */
express.request.getBaseUrl = function () {
    return `${'encrypted' in this.connection ? 'https://' : 'http://'}${this.headers.host}${this.baseUrl}`;
};
