/* ----- BEGIN Create_WFG_SQL_Tables.sql ----- */


CREATE TABLE [dbo].[DIRECTORY] (
	[ID_DIRECTORY] [int] NOT NULL ,
	[DIRNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL ,
	[DEFAULTDIR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[AUTH] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PREFIX_GROUPNAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MODE_USER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MODE_GROUP] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIR_USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIR_PASSWORD] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PREFIX_USERNAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_USERS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_GROUPS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_SUBTREE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DOMAIN_NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_AUTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USER_DELETION_MODE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FREQUENCY] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_FIELD_USER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_FIELD_GROUP] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TEXT_SEPARATOR] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FILE_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_QUERY_GROUPS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_QUERY_USERS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FIELDS_MAPPING_USERS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FIELDS_MAPPING_GROUPS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NEW_USER_ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NEW_USER_SELFACTIVATION] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[GROUPS] (
	[ID_GROUP] [int] NOT NULL ,
	[ID_DIRECTORY] [int] NOT NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[GROUPNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_DN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_CN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[GROUPNUMBER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OBJECTSID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNCHRO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATASOURCE_QUERY] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[PROFILE] (
	[ID_PROFILE] [int] NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS] (
	[ID_USER] [int] NOT NULL ,
	[ID_DIRECTORY] [int] NOT NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[LASTNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[FIRSTNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SALT] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PHONE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MOBILE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PAGER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FAX] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OFFICE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEPARTMENT] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[COMPANY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[JOBTITLE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[INITIALS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PERSONALTITLE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMPLOYEENUMBER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMPLOYEETYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[POSTALADDRESS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[POSTALCODE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CITY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[STATE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[COUNTRY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_DN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_CN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ARCHIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_ARCHIVE] [datetime] NULL ,
	[DATE_LAST_VISIT] [datetime] NULL ,
	[EXTATT_1] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_2] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_3] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_4] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_5] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OBJECTSID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNCHRO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LANGUAGE] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LANGUAGE_PREF] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_USER_MANAGER] [int] NULL ,
	[ID_TIMEZONE] [int] NULL ,
	[DATE_ACTIVATION] [datetime] NULL ,
	[CONN_ATTEMPTS] [int] NULL ,
	[RESETPWD_TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[RESETPWD_TIME] [datetime] NULL ,
	[ACCESS_TOKEN] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_GROUPS] (
	[ID_USER] [int] NOT NULL ,
	[ID_GROUP] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_PREFS] (
	[ID_USER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[VALUE] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_VIEWS] (
	[ID_USER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DEFAULT] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[QUERY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PORTAL] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[NUM_VIEW] [int] NOT NULL,
	[FILTER_ID_PROCESS] [int] NULL,
	[SHARED] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[USERS_VIEWS_MAPTO] (
	[ID_USER] [int] NOT NULL,
	[NUM_VIEW] [int] NOT NULL,
	[ID_PARTICIPANT] [int] NOT NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[USERS_PROFILE] (
	[ID_USER] [int] NOT NULL ,
	[ID_PROFILE] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_APPLICATION] [int] NULL ,
	[ID_ACTIVITY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[HELP] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_LINK] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_MAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LIMIT] [float] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_ASSIGN_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_PROCESS_ASSIGN_AS] [int] NULL ,
	[ID_ACTIVITY_ASSIGN_AS] [int] NULL ,
	[ID_PROCESS_ASSIGN] [int] NULL ,
	[ID_RELDATA_ASSIGN] [int] NULL ,
	[ID_RELDATA_LIMIT] [int] NULL ,
	[OVERDUE_DURATION] [int] NULL ,
	[OVERDUE_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[VISIBLE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_ASSIGN_TODO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_TODO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_DELAY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_CANCEL_ASSIGN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_ERROR_ASSIGN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DURATION_WORKHOUR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXEC_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBPROCESS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBPROCESS_VERSION] [int] ,
	[COMPLETE_ASYNC] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SKIP_FIRST_DELAY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIRECT_LOOP_HISTORY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SPLIT] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_ACTIVITY_BLOCK] [int] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_ASSIGN_TYPE] (
	[ID_ASSIGN_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DATE_OPEN] [datetime] NOT NULL ,
	[DATE_START] [datetime] NULL ,
	[DATE_ASSIGN] [datetime] NULL ,
	[DATE_CLOSE] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[DATE_STATE_UPDATE] [datetime] NULL ,
	[DATE_NOTIFY_DELAY] [datetime] NULL ,
	[DATE_REASSIGN_DELAY] [datetime] NULL ,
	[DATE_LIMIT] [datetime] NULL ,
	[ID_USER_REQUESTER] [int] NULL ,
	[ID_USER_ASSIGNEE] [int] NULL ,
	[ID_USER_ASSIGNEE_REAL] [int] NULL ,
	[ID_USER_ASSIGNED_BY] [int] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_USER_ABORTED] [int] NULL ,
	[ID_SUBPROCESS_INST] [int] NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MSG_THREAD_INDEX] [nvarchar] (32) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_CODE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_MSG] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_SOURCE] [nvarchar] (70) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_NUMBER] [int] NULL ,
	[DIRECT_LOOP_COUNT] [int] NULL ,
	[ID_ACTIVITY_INST_BLOCK] [int] NULL ,
	[ID_ACTIVITY_INST_PBLOCK] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_MAPTO] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_USER] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_NOTIFY_OVERDUE] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NUM_NOTIFY] [int] NOT NULL ,
	[DATE_NOTIFY] [datetime] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_RELDATA] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_DATASET] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_NOTIFY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NUM_NOTIFY] [int] NOT NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_NOTIFY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_PROCESS_NOTIFY] [int] NULL ,
	[ID_ACTIVITY_NOTIFY] [int] NULL ,
	[EMAILS_ADDR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONDITION] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_RELDATA] [int] NULL ,
	[ID_RELDATA_TEMPLATE] [int] NULL ,
	[CONDITION_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_PARAM] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[PARAM] [nvarchar] (440) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_RELDATA] [int] NULL ,
	[VALUE_TEXT] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_RELDATA_DEFAULT] [int] NULL ,
	[PARAM_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_TYPE] (
	[ID_ACTIVITY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[HELP_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION] (
	[ID_APPLICATION] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_APP_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ENCTYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[URL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[WSDL_URL] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[WEBMETHOD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONTEXT_SCHEMA] [nvarchar] (25) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONTEXT_SCHEMA_EMBEDDED] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEFAULTAPP] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ASSEMBLY] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CLASS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CLIENT_ID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION_PARAM] (
	[ID_APPLICATION] [int] NOT NULL ,
	[NUM_PARAM] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DEFAULT] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[REQUIRED] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION_TYPE] (
	[ID_APP_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFCATEGORY] (
	[ID_CATEGORY] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFCOUNTER] (
	[ID_COUNTER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[COUNTER_VALUE] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATASET] (
	[ID_DATASET] [int] NOT NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DATE_CREATION] [datetime] NOT NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[RUNTIME] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[STOREINDB] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATASET_VALUE] (
	[ID_DATASET] [int] NOT NULL ,
	[NUM_VALUE] [int] NOT NULL ,
	[VALUE_TEXT] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_DATETIME] [datetime] NULL ,
	[VALUE_NUMERIC] [float] NULL ,
	[VALUE_FILE_NAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_SIZE] [float] NULL ,
	[VALUE_FILE_CONTENTTYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_ORIGINALPATH] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_DATELASTMODIFIED] [datetime] NULL,
	[VALUE_FILE_CONTENT] [varbinary] (max) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATATYPE] (
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDELEGATE] (
	[ID_DELEGATE] [int] NOT NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_USER] [int] NOT NULL ,
	[ID_USER_DELEGATE] [int] NOT NULL ,
	[DATE_BEGIN] [datetime] NULL ,
	[DATE_END] [datetime] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDURATION_UNIT] (
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFFOLDER] (
	[ID_FOLDER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFFOLDER_PERM] (
	[ID_FOLDER] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL ,
	[ID_PERM_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFNOTIFY_TYPE] (
	[ID_NOTIFY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT] (
	[ID_PARTICIPANT] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[GLOBAL_SCOPE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_PARTICIPANT_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_MAPTO] (
	[ID_PARTICIPANT] [int] NOT NULL ,
	[NUM_MAPTO] [int] NOT NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_DIRECTORY] [int] NULL ,
	[ID_GROUP] [int] NULL ,
	[ID_USER] [int] NULL ,
	[COORDINATOR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_ROLE] (
	[ID_PARTICIPANT_ROLE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_TYPE] (
	[ID_PARTICIPANT_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPERM_TYPE] (
	[ID_PERM_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_FOLDER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[VERSION] [int] NOT NULL ,
	[LIMIT] [int] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS_STATUS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DATE_CREATION] [datetime] NOT NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[ID_USER_CREATION] [int] NOT NULL ,
	[ID_USER_UPDATE] [int] NULL ,
	[HELP] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_LINK] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_MAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ARCHIVE_ACTIVITY_RESULT] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[NOTIFY_COMPLETE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[XPDL_WF] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DURATION_WORKHOUR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBFLOW] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ACCESSLEVEL] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[RELDATA_STOREINDB] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[BUILTIN_FORM] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_CATEGORY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_CATEGORY] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_USER_REQUESTER] [int] NOT NULL ,
	[ID_USER_REQUESTER_REAL] [int] NULL ,
	[ID_USER_ABORTED] [int] NULL ,
	[DATE_OPEN] [datetime] NOT NULL ,
	[DATE_START] [datetime] NULL ,
	[DATE_CLOSE] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[DATE_STATE_UPDATE] [datetime] NULL ,
	[DATE_LIMIT] [datetime] NULL ,
	[DATE_LOCK] [datetime] NULL ,
	[TEST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_PARENTPROCESS_INST] [int] NULL ,
	[ID_PARENTACTIVITY_INST] [int] NULL ,
	[ID_EXEC_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_CODE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_MSG] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS_INST_REL] [int] NULL ,
	[ID_PROCESS_INST_REL_MONTH] [int] NULL ,
	[ID_PROCESS_INST_REL_YEAR] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST_RELDATA] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_DATASET] [int] NOT NULL ,
	[DATALOCK] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DATE_LOCK] [datetime] NULL ,
	[ID_USER_LOCK_BY] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST_COMMENT] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[NUM_COMMENT] [int] NOT NULL ,
	[ID_USER_AUTHOR] [int] NOT NULL ,
	[DATE_POST] [datetime] NOT NULL ,
	[MESSAGE] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_PARTICIPANT] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL ,
	[ID_PARTICIPANT_ROLE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[VIEW_GRAPHICS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ACCESS_ALL_REQUESTS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[REASSIGN_ACTION] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CANCEL_REQUEST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VIEW_STATISTICS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUPERVISOR_ACCESSRIGHTS] [int] NULL,
	[DATASOURCE_QUERY] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[COMMENTS_PERMISSIONS] [nvarchar] (5) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_RELDATA] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[ID_DATASET_DEFAULT] [int] NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[RESTRICT_ALL] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[DISP_HOME] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_LIST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_SEARCH] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_SIZE] [int] NULL ,
	[READ_ONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[VISIBLE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_RELDATA_RESTRICT] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_STATUS] (
	[ID_PROCESS_STATUS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_TRANSITION] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_TRANSITION] [int] NOT NULL ,
	[ID_PROCESS_FROM] [int] NOT NULL ,
	[ID_ACTIVITY_FROM] [int] NOT NULL ,
	[ID_PROCESS_TO] [int] NULL ,
	[ID_ACTIVITY_TO] [int] NULL ,
	[CONDITION] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_CONDITION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONDITION_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFRELDATA] (
	[ID_RELDATA] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_PROCESS] [int] NOT NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[FORMAT_STRING] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FORMAT_CULTURE] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FORMAT_PRECISION] [int] NULL ,
	[FORMAT_TIMEZONE] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFSTATE] (
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFSUBSTATE] (
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DISP_ORDER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFLIST](
	[ID_LIST] [int] NOT NULL,
	[NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ID_PARTICIPANT] [int] NULL,
	[DATE_UPDATE] [datetime] NOT NULL,
	[ID_USER_UPDATE] [int] NULL,
	[NB_ITEMS] [int] NOT NULL,
	[FIELD1_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD1_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELDS_ALL_NAME] [nvarchar](max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_MODE] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_NAME] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_STRING] [nvarchar](500) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[PROVIDER_NAME] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[SELECT_COMMAND] [nvarchar](max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFLIST_ITEMS](
	[ID_LIST] [int] NOT NULL,
	[LANGUAGE] [nvarchar](7) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DISP_ORDER] [int] NOT NULL,
	[FIELD1_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD1_NUMERIC] [float] NULL,
	[FIELD1_DATE] [datetime] NULL,
	[FIELD2_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_NUMERIC] [float] NULL,
	[FIELD2_DATE] [datetime] NULL,
	[FIELD3_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_NUMERIC] [float] NULL,
	[FIELD3_DATE] [datetime] NULL,
	[FIELD4_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_NUMERIC] [float] NULL,
	[FIELD4_DATE] [datetime] NULL,
	[FIELD5_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_NUMERIC] [float] NULL,
	[FIELD5_DATE] [datetime] NULL,
	[FIELD6_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_NUMERIC] [float] NULL,
	[FIELD6_DATE] [datetime] NULL,
	[FIELD7_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_NUMERIC] [float] NULL,
	[FIELD7_DATE] [datetime] NULL,
	[FIELD8_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_NUMERIC] [float] NULL,
	[FIELD8_DATE] [datetime] NULL,
	[FIELD9_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_NUMERIC] [float] NULL,
	[FIELD9_DATE] [datetime] NULL,
	[FIELD10_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_NUMERIC] [float] NULL,
	[FIELD10_DATE] [datetime] NULL,
	[FIELD11_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_NUMERIC] [float] NULL,
	[FIELD11_DATE] [datetime] NULL,
	[FIELD12_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_NUMERIC] [float] NULL,
	[FIELD12_DATE] [datetime] NULL,
	[FIELD13_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_NUMERIC] [float] NULL,
	[FIELD13_DATE] [datetime] NULL,
	[FIELD14_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_NUMERIC] [float] NULL,
	[FIELD14_DATE] [datetime] NULL,
	[FIELD15_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_NUMERIC] [float] NULL,
	[FIELD15_DATE] [datetime] NULL,
	[FIELD16_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_NUMERIC] [float] NULL,
	[FIELD16_DATE] [datetime] NULL,
	[FIELD17_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_NUMERIC] [float] NULL,
	[FIELD17_DATE] [datetime] NULL,
	[FIELD18_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_NUMERIC] [float] NULL,
	[FIELD18_DATE] [datetime] NULL,
	[FIELD19_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_NUMERIC] [float] NULL,
	[FIELD19_DATE] [datetime] NULL,
	[FIELD20_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_NUMERIC] [float] NULL,
	[FIELD20_DATE] [datetime] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[FAVORITE_TYPE] (
	[ID_FAVORITE_TYPE] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DESCRIPTION] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[FAVORITE] (
	[ID_FAVORITE] [int] NOT NULL,
	[ID_USER_FAVORITE] [int] NOT NULL,
	[ID_FAVORITE_TYPE] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DESCRIPTION] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ID_PROCESS] [int] NULL,
	[ID_USER] [int] NULL,
	[NUM_VIEW] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[USERS_PUSH_TOKENS](
	[ID_USER] [int] NOT NULL,
	[PUSH_TOKEN] [nvarchar](255) NOT NULL
)ON [PRIMARY]
GO


/* ----- END Create_WFG_SQL_Tables.sql ----- */


/* ----- BEGIN Create_WFG_SQL_PKeys.sql ----- */


ALTER TABLE [DIRECTORY] ADD 
	CONSTRAINT [PK_DIRECTORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_DIRECTORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [GROUPS] ADD 
	CONSTRAINT [PK_GROUPS] PRIMARY KEY  CLUSTERED 
	(
		[ID_GROUP]
	)  ON [PRIMARY] 
GO


ALTER TABLE [PROFILE] ADD 
	CONSTRAINT [PK_PROFILE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROFILE]
	)  ON [PRIMARY] 
GO



ALTER TABLE [USERS] ADD 
	CONSTRAINT [PK_USERS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [USERS_GROUPS] ADD 
	CONSTRAINT [PK_USERS_GROUPS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[ID_GROUP]
	)  ON [PRIMARY] 
GO


ALTER TABLE [USERS_PREFS] ADD 
	CONSTRAINT [PK_USERS_PREFS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[NAME]
	)  ON [PRIMARY] 
GO

ALTER TABLE [USERS_VIEWS] ADD 
	CONSTRAINT [PK_USERS_VIEWS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[NUM_VIEW]
	)  ON [PRIMARY] 
GO

ALTER TABLE [USERS_VIEWS_MAPTO] ADD 
	CONSTRAINT [PK_USERS_VIEWS_MAPTO] PRIMARY KEY CLUSTERED 
	(
		[ID_USER], 
		[NUM_VIEW], 
		[ID_PARTICIPANT]
	) ON [PRIMARY] 
GO

ALTER TABLE [USERS_PROFILE] ADD 
	CONSTRAINT [PK_USERS_PROFILE] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[ID_PROFILE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY] ADD 
	CONSTRAINT [PK_WFACTIVITY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_ASSIGN_TYPE] ADD 
	CONSTRAINT [PK_WFACTIVITY_ASSIGN_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_ASSIGN_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_MAPTO] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_MAPTO] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_USER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_NOTIFY_OVERDUE] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_NOTIFY_OVER] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_PROCESS],
		[ID_ACTIVITY],
		[NUM_NOTIFY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_RELDATA] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_NOTIFY] ADD 
	CONSTRAINT [PK_WFACTIVITY_NOTIFY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY],
		[NUM_NOTIFY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_PARAM] ADD 
	CONSTRAINT [PK_WFACTIVITY_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY],
		[PARAM]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_TYPE] ADD 
	CONSTRAINT [PK_WFACTIVITY_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_ACTIVITY_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION] ADD 
	CONSTRAINT [PK_WFAPPLICATION] PRIMARY KEY  CLUSTERED 
	(
		[ID_APPLICATION]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION_PARAM] ADD 
	CONSTRAINT [PK_WFAPPLICATION_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[ID_APPLICATION],
		[NUM_PARAM]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION_TYPE] ADD 
	CONSTRAINT [PK_WFAPPLICATION_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_APP_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFCATEGORY] ADD 
	CONSTRAINT [PK_WFCATEGORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_CATEGORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFCOUNTER] ADD 
	CONSTRAINT [PK_WFCOUNTER] PRIMARY KEY  CLUSTERED 
	(
		[ID_COUNTER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATASET] ADD 
	CONSTRAINT [PK_WFDATASET] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATASET]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATASET_VALUE] ADD 
	CONSTRAINT [PK_WFDATASET_VALUE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATASET],
		[NUM_VALUE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATATYPE] ADD 
	CONSTRAINT [PK_WFDATATYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATATYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDELEGATE] ADD 
	CONSTRAINT [PK_WFDELEGATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DELEGATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDURATION_UNIT] ADD 
	CONSTRAINT [PK_WFDURATION_UNIT] PRIMARY KEY  CLUSTERED 
	(
		[ID_DURATION_UNIT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFFOLDER] ADD 
	CONSTRAINT [PK_WFFOLDER] PRIMARY KEY  CLUSTERED 
	(
		[ID_FOLDER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFFOLDER_PERM] ADD 
	CONSTRAINT [PK_WFFOLDER_PERM] PRIMARY KEY  CLUSTERED 
	(
		[ID_FOLDER],
		[ID_PARTICIPANT],
		[ID_PERM_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFNOTIFY_TYPE] ADD 
	CONSTRAINT [PK_WFNOTIFY_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_NOTIFY_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT] ADD 
	CONSTRAINT [PK_WFPARTICIPANT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_MAPTO] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_MAPTO] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT],
		[NUM_MAPTO]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_ROLE] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_ROLE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT_ROLE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_TYPE] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPERM_TYPE] ADD 
	CONSTRAINT [PK_WFPERM_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PERM_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS] ADD 
	CONSTRAINT [PK_WFPROCESS] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_CATEGORY] ADD 
	CONSTRAINT [PK_WFPROCESS_CATEGORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_CATEGORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST] ADD 
	CONSTRAINT [PK_WFPROCESS_INST] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST_RELDATA] ADD 
	CONSTRAINT [PK_WFPROCESS_INST_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST_COMMENT] ADD 
	CONSTRAINT [PK_WFPROCESS_INST_COMMENT] PRIMARY KEY CLUSTERED 
	(
		[ID_PROCESS_INST], 
		[NUM_COMMENT]
	) ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_PARTICIPANT] ADD 
	CONSTRAINT [PK_WFPROCESS_PARTICIPANT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_RELDATA] ADD 
	CONSTRAINT [PK_WFPROCESS_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_RELDATA_RESTRICT] ADD 
	CONSTRAINT [PK_WFPROCESS_RELDATA_RESTRICT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_RELDATA],
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_STATUS] ADD 
	CONSTRAINT [PK_WFPROCESS_STATUS] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_STATUS]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_TRANSITION] ADD 
	CONSTRAINT [PK_WFPROCESS_TRANSITION] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_TRANSITION]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFRELDATA] ADD 
	CONSTRAINT [PK_WFRELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFSTATE] ADD 
	CONSTRAINT [PK_WFSTATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_STATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFSUBSTATE] ADD 
	CONSTRAINT [PK_WFSUBSTATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_STATE],
		[ID_SUBSTATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFLIST] ADD 
	CONSTRAINT [PK_WFLIST] PRIMARY KEY CLUSTERED 
	(
		[ID_LIST] ASC
	) ON [PRIMARY]
GO


ALTER TABLE [WFLIST_ITEMS] ADD 
	CONSTRAINT [PK_WFLIST_ITEMS] PRIMARY KEY CLUSTERED 
	(
		[ID_LIST] ASC,
		[LANGUAGE] ASC,
		[DISP_ORDER] ASC
	) ON [PRIMARY]
GO

ALTER TABLE [FAVORITE_TYPE] ADD 
	CONSTRAINT [PK_FAVORITE_TYPE] PRIMARY KEY CLUSTERED 
	(
		[ID_FAVORITE_TYPE] ASC
	) ON [PRIMARY]
GO

ALTER TABLE [FAVORITE] ADD 
	CONSTRAINT [PK_FAVORITE] PRIMARY KEY CLUSTERED 
	(
		[ID_FAVORITE] ASC
	) ON [PRIMARY]
GO

ALTER TABLE [USERS_PUSH_TOKENS] ADD 
	CONSTRAINT [PK_USERS_PUSH_TOKENS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[PUSH_TOKEN]
	)  ON [PRIMARY] 
GO





/* ----- END Create_WFG_SQL_PKeys.sql ----- */


/* ----- BEGIN Create_WFG_SQL_FKeys.sql ----- */



ALTER TABLE [USERS_PREFS] ADD 
	CONSTRAINT [FK_USERS_PREFS_REFERENCE_USERS] FOREIGN KEY 
	(
		[ID_USER]
	) REFERENCES [USERS] (
		[ID_USER]
	) ON DELETE CASCADE 
GO


ALTER TABLE [USERS_VIEWS] ADD 
	CONSTRAINT [FK_USERS_VIEWS_REFERENCE_USERS] FOREIGN KEY 
	(
		[ID_USER]
	) REFERENCES [USERS] (
		[ID_USER]
	) ON DELETE CASCADE 
GO

ALTER TABLE [USERS_VIEWS_MAPTO]  WITH CHECK ADD  
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_USERS_VIEWS] FOREIGN KEY([ID_USER], [NUM_VIEW])
	REFERENCES [USERS_VIEWS] ([ID_USER], [NUM_VIEW])
	ON DELETE CASCADE
GO

ALTER TABLE [USERS_VIEWS_MAPTO] CHECK 
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_USERS_VIEWS]
GO

ALTER TABLE [USERS_VIEWS_MAPTO]  WITH CHECK ADD  
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_WFPARTICIPANT] FOREIGN KEY([ID_PARTICIPANT])
	REFERENCES [WFPARTICIPANT] ([ID_PARTICIPANT])
	ON DELETE CASCADE
GO

ALTER TABLE [USERS_VIEWS_MAPTO] CHECK 
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_WFPARTICIPANT]
GO

ALTER TABLE [WFDELEGATE] ADD 
	CONSTRAINT [FK_WFDELEGA_REFERENCE_WFPROCES] FOREIGN KEY 
	(
		[ID_PROCESS],
		[ID_PARTICIPANT]
	) REFERENCES [WFPROCESS_PARTICIPANT] (
		[ID_PROCESS],
		[ID_PARTICIPANT]
	) ON DELETE CASCADE 
GO

ALTER TABLE [WFLIST]  ADD  
	CONSTRAINT [FK_WFLIST_USERS] FOREIGN KEY
	(
		[ID_USER_UPDATE]
	) REFERENCES [USERS] ([ID_USER])
	ON UPDATE CASCADE
	ON DELETE SET NULL
GO

ALTER TABLE [WFLIST] CHECK CONSTRAINT [FK_WFLIST_USERS]
GO

ALTER TABLE [WFLIST]  ADD  
	CONSTRAINT [FK_WFLIST_WFPARTICIPANT] FOREIGN KEY
	(
		[ID_PARTICIPANT]
	) REFERENCES [WFPARTICIPANT] ([ID_PARTICIPANT])
	ON UPDATE CASCADE
	ON DELETE SET NULL
GO

ALTER TABLE [WFLIST] CHECK CONSTRAINT [FK_WFLIST_WFPARTICIPANT]
GO

ALTER TABLE [WFLIST_ITEMS]  ADD  
	CONSTRAINT [FK_WFLIST_ITEMS_WFLIST] FOREIGN KEY
	(
		[ID_LIST]
	) REFERENCES [WFLIST] ([ID_LIST])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [WFLIST_ITEMS] CHECK CONSTRAINT [FK_WFLIST_ITEMS_WFLIST]
GO


ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_FAVORITE_TYPE] FOREIGN KEY
	(
		[ID_FAVORITE_TYPE]
	) REFERENCES [FAVORITE_TYPE] ([ID_FAVORITE_TYPE])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_FAVORITE_TYPE]
GO

ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_WFPROCESS] FOREIGN KEY
	(
		[ID_PROCESS]
	) REFERENCES [WFPROCESS] ([ID_PROCESS])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_WFPROCESS]
GO

ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_USERS_VIEWS] FOREIGN KEY
	(
		[ID_USER],[NUM_VIEW]
	) REFERENCES [USERS_VIEWS] ([ID_USER],[NUM_VIEW])
	ON UPDATE CASCADE
	ON DELETE CASCADE

GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_USERS_VIEWS]
GO

ALTER TABLE [USERS_PUSH_TOKENS] ADD 
	CONSTRAINT [FK_USERS_PUSH_TOKENS_REFERENCE_USERS] FOREIGN KEY 
	(
		[ID_USER]
	) REFERENCES [USERS] (
		[ID_USER]
	) ON DELETE CASCADE 
GO



/* ----- END Create_WFG_SQL_FKeys.sql ----- */


/* ----- BEGIN Create_WFG_SQL_Indexes.sql ----- */


 CREATE  UNIQUE  INDEX [DIRNAME] ON [DIRECTORY]([DIRNAME]) ON [PRIMARY]
GO


 CREATE  INDEX [GROUPS_ID_DIRECTORY] ON [GROUPS]([ID_DIRECTORY]) ON [PRIMARY]
GO

 CREATE  INDEX [GROUPNAME] ON [GROUPS]([GROUPNAME]) ON [PRIMARY]
GO


 CREATE  INDEX [USERS_ID_DIRECTORY] ON [USERS]([ID_DIRECTORY]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [USERNAME] ON [USERS]([USERNAME]) ON [PRIMARY]
GO

 CREATE  INDEX [LASTNAME] ON [USERS]([LASTNAME]) ON [PRIMARY]
GO


 CREATE  INDEX [USERS_GROUPS_ID_GROUP] ON [USERS_GROUPS]([ID_GROUP]) ON [PRIMARY]
GO

 CREATE  INDEX [USERS_GROUPS_ID_USER] ON [USERS_GROUPS]([ID_USER]) ON [PRIMARY]
GO


 CREATE  INDEX [ID_PROFILE_USERS_PROFILE] ON [USERS_PROFILE]([ID_PROFILE]) ON [PRIMARY]
GO

 CREATE  INDEX [ID_USER_USERS_PROFILE] ON [USERS_PROFILE]([ID_USER]) ON [PRIMARY]
GO


 CREATE  INDEX [WFAPPLICATIONWFPROCESS_ACTIVIT] ON [WFACTIVITY]([ID_APPLICATION]) ON [PRIMARY]
GO

 CREATE  INDEX [WFDURATION_UNITWFPROCESS_ACTIV] ON [WFACTIVITY]([ID_DURATION_UNIT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITY_ASSIGN_TYPE] ON [WFACTIVITY]([ID_ASSIGN_TYPE]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITY_TYPEWFPROCE] ON [WFACTIVITY]([ID_ACTIVITY_TYPE]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_ACTIVITY] ON [WFACTIVITY]([ID_PROCESS]) ON [PRIMARY]
GO

 CREATE  INDEX [REFERENCE_30_FK] ON [WFACTIVITY]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [REFERENCE_62_FK] ON [WFACTIVITY]([ID_PROCESS_ASSIGN], [ID_RELDATA_ASSIGN]) ON [PRIMARY]
GO

 CREATE  INDEX [IDX_WFACTIVITY_ID_RELDATA_LIMI] ON [WFACTIVITY]([ID_RELDATA_LIMIT]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFACTIVITY_NAME] ON [WFACTIVITY]([NAME]) ON [PRIMARY]
GO

SET QUOTED_IDENTIFIER ON;
GO

 CREATE UNIQUE NONCLUSTERED INDEX [IDX_UNIQUE_ACTIVITY_BLOCK] ON [WFACTIVITY]
 (
	[ID_PROCESS] ASC,
	[ID_ACTIVITY_BLOCK] ASC
 )
 WHERE ([ID_ACTIVITY_BLOCK] IS NOT NULL) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFACTIVITY_INST] ON [WFACTIVITY_INST]([ID_USER_ASSIGNEE]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFACTIVITY_INST1] ON [WFACTIVITY_INST]([ID_USER_ASSIGNED_BY]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSABORTED_WFACTIVITY_INST] ON [WFACTIVITY_INST]([ID_USER_ABORTED]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITYWFACTIVITY_I] ON [WFACTIVITY_INST]([ID_PROCESS], [ID_ACTIVITY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_INSTWFACTIVITY_INST] ON [WFACTIVITY_INST]([ID_PROCESS_INST]) ON [PRIMARY]
GO

 CREATE  INDEX [WFSUBSTATEWFACTIVITY_INST] ON [WFACTIVITY_INST]([ID_STATE], [ID_SUBSTATE]) ON [PRIMARY]
GO

 CREATE  INDEX [DATELIMITWFACTIVITY_INST] ON [WFACTIVITY_INST]([ID_STATE], [DATE_LIMIT]) ON [PRIMARY]
GO

 CREATE  INDEX [REFERENCE_59_FK] ON [WFACTIVITY_INST]([ID_USER_REQUESTER]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFACTIVITY_INST_DATE_OPEN] ON [WFACTIVITY_INST] ([DATE_OPEN]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFACTIVITY_INST_DATE_CLOSE] ON [WFACTIVITY_INST] ([DATE_CLOSE]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFACTIVITY_INST_DATE_LIMIT] ON [WFACTIVITY_INST] ([DATE_LIMIT]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFACTIVITY_INST_DATE_ASSIGN] ON [WFACTIVITY_INST] ([DATE_ASSIGN]) ON [PRIMARY]
GO

 CREATE  INDEX [WFACTIVITY_INSTWFACTIVITY_INST] ON [WFACTIVITY_INST_RELDATA]([ID_PROCESS_INST], [ID_ACTIVITY_INST]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFACTIVITY_INST_RELDATA_ID_DATASET] ON [WFACTIVITY_INST_RELDATA]([ID_DATASET]) ON [PRIMARY]
GO

 CREATE  INDEX [WFREVDATAWFACTIVITY_INST_REVDA] ON [WFACTIVITY_INST_RELDATA]([ID_RELDATA]) ON [PRIMARY]
GO


 CREATE  INDEX [NUM_NOTIFY2] ON [WFACTIVITY_NOTIFY]([MAPTO]) ON [PRIMARY]
GO

 CREATE  INDEX [NUM_NOTIFY1] ON [WFACTIVITY_NOTIFY]([NUM_NOTIFY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPARTICIPANTWFPROCESS_TRANSIT] ON [WFACTIVITY_NOTIFY]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITYWFPROCESS_AC] ON [WFACTIVITY_NOTIFY]([ID_PROCESS], [ID_ACTIVITY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITYWFPROCESS_T2] ON [WFACTIVITY_NOTIFY]([ID_PROCESS_NOTIFY], [ID_ACTIVITY_NOTIFY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_TRANSITION_NOTIFYID_] ON [WFACTIVITY_NOTIFY]([ID_PROCESS]) ON [PRIMARY]
GO


 CREATE  INDEX [ACTIVITY_PARAM_PROCESS_ACTIVITY] ON [WFACTIVITY_PARAM]([ID_PROCESS], [ID_ACTIVITY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFRELDATAWFPROCESS_ACTIVITY_RE] ON [WFACTIVITY_PARAM]([ID_RELDATA]) ON [PRIMARY]
GO


 CREATE  INDEX [WFAPPLICATION_TYPEWFAPPLICATIO] ON [WFAPPLICATION]([ID_APP_TYPE]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [APPLICATION_NAME] ON [WFAPPLICATION]([NAME]) ON [PRIMARY]
GO


 CREATE  INDEX [NUM_PARAM] ON [WFAPPLICATION_PARAM]([NUM_PARAM]) ON [PRIMARY]
GO

 CREATE  INDEX [WFAPPLICATIONWFAPPLICATION_PAR] ON [WFAPPLICATION_PARAM]([ID_APPLICATION]) ON [PRIMARY]
GO

 CREATE  INDEX [WFDATATYPEWFAPPLICATION_PARAM] ON [WFAPPLICATION_PARAM]([ID_DATATYPE]) ON [PRIMARY]
GO

CREATE UNIQUE NONCLUSTERED INDEX [IX_WFAPPLICATION_PARAM_ID_APPLICATION_NAME] ON [WFAPPLICATION_PARAM]
(
	[ID_APPLICATION] ASC,
	[NAME] ASC
) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [CATEGORY_NAME] ON [WFCATEGORY]([NAME]) ON [PRIMARY]
GO


 CREATE  INDEX [WFDATATYPEWFDATASET] ON [WFDATASET]([ID_DATATYPE]) ON [PRIMARY]
GO


 CREATE  INDEX [WFDATASETWFDATASET_VALUE] ON [WFDATASET_VALUE]([ID_DATASET]) ON [PRIMARY]
GO


 CREATE  INDEX [IDUSER_WFDELEGATE] ON [WFDELEGATE]([ID_USER]) ON [PRIMARY]
GO

 CREATE  INDEX [IDUSERDELEGATE_WFDELEGATE] ON [WFDELEGATE]([ID_USER_DELEGATE]) ON [PRIMARY]
GO

 CREATE  INDEX [PROCESSPARTICIPANT_WFDELEGATE] ON [WFDELEGATE]([ID_PROCESS], [ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [DATES_WFDELEGATE] ON [WFDELEGATE]([ID_USER], [DATE_BEGIN], [DATE_END]) ON [PRIMARY]
GO


 CREATE  INDEX [WFFOLDERWFFOLDER_PERM] ON [WFFOLDER_PERM]([ID_FOLDER]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPARTICIPANTWFFOLDER_PERM] ON [WFFOLDER_PERM]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPERM_TYPEWFFOLDER_PERM] ON [WFFOLDER_PERM]([ID_PERM_TYPE]) ON [PRIMARY]
GO


 CREATE  INDEX [WFPARTICIPANT_TYPEWFPARTICIPAN] ON [WFPARTICIPANT]([ID_PARTICIPANT_TYPE]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPARTICIPANT] ON [WFPARTICIPANT]([ID_PROCESS]) ON [PRIMARY]
GO


 CREATE  INDEX [DIRECTORYWFPARTICIPANT_MAPTO] ON [WFPARTICIPANT_MAPTO]([ID_DIRECTORY]) ON [PRIMARY]
GO

 CREATE  INDEX [GROUPSWFPARTICIPANT_MAPTO] ON [WFPARTICIPANT_MAPTO]([ID_GROUP]) ON [PRIMARY]
GO

 CREATE  INDEX [NUM_MAPTO] ON [WFPARTICIPANT_MAPTO]([NUM_MAPTO]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFPARTICIPANT_MAPTO] ON [WFPARTICIPANT_MAPTO]([ID_USER]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPARTICIPANTWFPARTICIPANT_MAP] ON [WFPARTICIPANT_MAPTO]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE UNIQUE INDEX [IX_UNIQUE_WFPARTICIPANT_MAPTO] ON [WFPARTICIPANT_MAPTO]([ID_PARTICIPANT], [ID_DIRECTORY], [ID_GROUP], [ID_USER], [COORDINATOR]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFPROCESS] ON [WFPROCESS]([ID_USER_UPDATE]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFPROCESS1] ON [WFPROCESS]([ID_USER_CREATION]) ON [PRIMARY]
GO

 CREATE  INDEX [WFDURATION_UNITWFPROCESS] ON [WFPROCESS]([ID_DURATION_UNIT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFFOLDERWFPROCESS] ON [WFPROCESS]([ID_FOLDER]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_STATUSWFPROCESS] ON [WFPROCESS]([ID_PROCESS_STATUS]) ON [PRIMARY]
GO

 CREATE  UNIQUE  INDEX [NAME_VERSION] ON [WFPROCESS]([NAME], [VERSION]) ON [PRIMARY]
GO


 CREATE  INDEX [WFCATEGORYWFPROCESS_CATEGORY] ON [WFPROCESS_CATEGORY]([ID_CATEGORY]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_CATEGORY] ON [WFPROCESS_CATEGORY]([ID_PROCESS]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFPROCESS_INST] ON [WFPROCESS_INST]([ID_USER_REQUESTER]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSABORTED_WFPROCESS_INST] ON [WFPROCESS_INST]([ID_USER_ABORTED]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_INST] ON [WFPROCESS_INST]([ID_PROCESS]) ON [PRIMARY]
GO

 CREATE  INDEX [WFSUBSTATEWFPROCESS_INST] ON [WFPROCESS_INST]([ID_STATE], [ID_SUBSTATE]) ON [PRIMARY]
GO

 CREATE  INDEX [DATELIMITWFPROCESS_INST] ON [WFPROCESS_INST]([ID_STATE], [DATE_LIMIT]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFPROCESS_INST_DATE_OPEN] ON [WFPROCESS_INST] ([DATE_OPEN]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFPROCESS_INST_DATE_CLOSE] ON [WFPROCESS_INST] ([DATE_CLOSE]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFPROCESS_INST_DATE_LIMIT] ON [WFPROCESS_INST] ([DATE_LIMIT]) ON [PRIMARY]
GO

 CREATE  INDEX [USERSWFPROCESS_INST_RELDATA] ON [WFPROCESS_INST_RELDATA]([ID_USER_LOCK_BY]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_WFPROCESS_INST_RELDATA_ID_DATASET] ON [WFPROCESS_INST_RELDATA]([ID_DATASET]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_INSTWFPROCESS_INST_R] ON [WFPROCESS_INST_RELDATA]([ID_PROCESS_INST]) ON [PRIMARY]
GO

 CREATE  INDEX [WFREVDATAWFPROCESS_INST_REVDAT] ON [WFPROCESS_INST_RELDATA]([ID_RELDATA]) ON [PRIMARY]
GO


 CREATE INDEX [NUM_WFPROCESS_INST_COMMENT] ON [WFPROCESS_INST_COMMENT]([NUM_COMMENT]) ON [PRIMARY]
GO

 CREATE INDEX [USERS_WFPROCESS_INST_COMMENT] ON [WFPROCESS_INST_COMMENT]([ID_USER_AUTHOR]) ON [PRIMARY]
GO

 CREATE INDEX [ID_WFPROCESS_INST_COMMENT] ON [WFPROCESS_INST_COMMENT]([ID_PROCESS_INST]) ON [PRIMARY]
GO


 CREATE  INDEX [WFPARTICIPANT_ROLEWFPROCESS_PA] ON [WFPROCESS_PARTICIPANT]([ID_PARTICIPANT_ROLE]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPARTICIPANTWFPROCESS_PARTICI] ON [WFPROCESS_PARTICIPANT]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_PARTICIPANT] ON [WFPROCESS_PARTICIPANT]([ID_PROCESS]) ON [PRIMARY]
GO


 CREATE  INDEX [IX_WFPROCESS_RELDATA_ID_DATASET_DEFAULT] ON [WFPROCESS_RELDATA]([ID_DATASET_DEFAULT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_REVDATA] ON [WFPROCESS_RELDATA]([ID_PROCESS]) ON [PRIMARY]
GO

 CREATE  INDEX [WFREVDATAWFPROCESS_REVDATA] ON [WFPROCESS_RELDATA]([ID_RELDATA]) ON [PRIMARY]
GO


 CREATE  INDEX [WFPARTICIPANTWFPROCESS_RELDATA] ON [WFPROCESS_RELDATA_RESTRICT]([ID_PARTICIPANT]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_RELDATAWFPROCESS_REL] ON [WFPROCESS_RELDATA_RESTRICT]([ID_PROCESS], [ID_RELDATA]) ON [PRIMARY]
GO


 CREATE  INDEX [NUM_TRANS] ON [WFPROCESS_TRANSITION]([ID_TRANSITION]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESS_ACTIVITYWFPROCESS_TR] ON [WFPROCESS_TRANSITION]([ID_PROCESS], [ID_ACTIVITY_FROM]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFPROCESS_TRANSITION] ON [WFPROCESS_TRANSITION]([ID_PROCESS]) ON [PRIMARY]
GO

 CREATE  INDEX [REFERENCE_48_FK] ON [WFPROCESS_TRANSITION]([ID_PROCESS_FROM], [ID_ACTIVITY_FROM]) ON [PRIMARY]
GO

 CREATE  INDEX [REFERENCE_49_FK] ON [WFPROCESS_TRANSITION]([ID_PROCESS_TO], [ID_ACTIVITY_TO]) ON [PRIMARY]
GO


 CREATE  INDEX [WFDATATYPEWFREVDATA] ON [WFRELDATA]([ID_DATATYPE]) ON [PRIMARY]
GO

 CREATE  INDEX [WFPROCESSWFREVDATA] ON [WFRELDATA]([ID_PROCESS]) ON [PRIMARY]
GO


 CREATE  INDEX [WFSTATEWFSUBSTATE] ON [WFSUBSTATE]([ID_STATE]) ON [PRIMARY]
GO


 CREATE UNIQUE INDEX [IDX_WFLIST_UNIQUE_NAME] ON [WFLIST]([NAME] ASC) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFLIST_ID_PARTICIPANT] ON [WFLIST]([ID_PARTICIPANT] ASC) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFRELDATA_NAME] ON [WFRELDATA]([NAME]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFPROCESS_NAME] ON [WFPROCESS]([NAME]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFPART_NAME] ON [WFPARTICIPANT]([NAME]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_WFPROC_INS_COM_DATE_POST] ON [WFPROCESS_INST_COMMENT]([DATE_POST]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_USERS_ACTIVE] ON [USERS]([ACTIVE]) ON [PRIMARY]
GO

 CREATE INDEX [IDX_USERS_PUSH_TOKEN] ON [USERS_PUSH_TOKENS]([PUSH_TOKEN]) ON [PRIMARY]
GO


/* ----- END Create_WFG_SQL_Indexes.sql ----- */


/* ----- BEGIN Create_WFG_SQL_Triggers.sql ----- */


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO




/*==============================================================*/
/* Database name :  WorkflowGen v8                              */
/* Database type :  Microsoft SQL Server                        */
/* Update date   :  2021-04-19                                  */
/*==============================================================*/



/*  Update trigger "tu_directory" for table "DIRECTORY"  */
CREATE trigger tu_directory on DIRECTORY for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "DIRECTORY" to child "USERS"  */
      if update(ID_DIRECTORY)
      begin
         update USERS
          set   ID_DIRECTORY = i1.ID_DIRECTORY
         from   USERS t2, inserted i1, deleted d1
         where  t2.ID_DIRECTORY = d1.ID_DIRECTORY
          and  (i1.ID_DIRECTORY != d1.ID_DIRECTORY)
      end

      /*  Check and apply change from parent "DIRECTORY" to child "GROUPS"  */
      if update(ID_DIRECTORY)
      begin
         update GROUPS
          set   ID_DIRECTORY = i1.ID_DIRECTORY
         from   GROUPS t2, inserted i1, deleted d1
         where  t2.ID_DIRECTORY = d1.ID_DIRECTORY
          and  (i1.ID_DIRECTORY != d1.ID_DIRECTORY)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_directory" for table "DIRECTORY"  */
CREATE trigger td_directory on DIRECTORY for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  DB_DIR_DEL_DEF_002: Delete child in "USERS"  */
    delete USERS
    from   USERS t2, deleted t1
    where  t2.ID_DIRECTORY = t1.ID_DIRECTORY

    /*  DB_DIR_DEL_DEF_003: Delete child in "GROUPS"  */
    delete GROUPS
    from   GROUPS t2, deleted t1
    where  t2.ID_DIRECTORY = t1.ID_DIRECTORY

    /*  DB_DIR_DEL_DEF_001: Delete child in "WFPARTICIPANT_MAPTO"  */
    delete WFPARTICIPANT_MAPTO
    from   WFPARTICIPANT_MAPTO t2, deleted t1
    where  t2.ID_DIRECTORY = t1.ID_DIRECTORY

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_groups" for table "GROUPS"  */
CREATE trigger ti_groups on GROUPS for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "DIRECTORY" must exist in order to create child in "GROUPS"  */
    if update(ID_DIRECTORY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DIRECTORY is null)
       if @numnull != @numrows
          if (select count(*)
              from   DIRECTORY t1, inserted t2
              where  t1.ID_DIRECTORY = t2.ID_DIRECTORY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in DIRECTORY. Failed to create a child row in GROUPS.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_groups" for table "GROUPS"  */
CREATE trigger tu_groups on GROUPS for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "DIRECTORY" must exist in order to modify child in "GROUPS"  */
      if update(ID_DIRECTORY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DIRECTORY is null)
         if @numnull != @numrows
            if (select count(*)
                from   DIRECTORY t1, inserted t2
                where  t1.ID_DIRECTORY = t2.ID_DIRECTORY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in DIRECTORY. Failed to modify the child row in GROUPS.'
             goto error
          end
      end
      /*  Check and apply change from parent "GROUPS" to child "USERS_GROUPS"  */
      if update(ID_GROUP)
      begin
         update USERS_GROUPS
          set   ID_GROUP = i1.ID_GROUP
         from   USERS_GROUPS t2, inserted i1, deleted d1
         where  t2.ID_GROUP = d1.ID_GROUP
          and  (i1.ID_GROUP != d1.ID_GROUP)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_groups" for table "GROUPS"  */
CREATE trigger td_groups on GROUPS for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  DB_GROUP_DEL_DIR_001: Delete child in "USERS_GROUPS"  */
    delete USERS_GROUPS
    from   USERS_GROUPS t2, deleted t1
    where  t2.ID_GROUP = t1.ID_GROUP

    /*  DB_GROUP_DEL_DEF_001: Delete child in "WFPARTICIPANT_MAPTO"  */
    delete WFPARTICIPANT_MAPTO
    from   WFPARTICIPANT_MAPTO t2, deleted t1
    where  t2.ID_GROUP = t1.ID_GROUP

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_profile" for table "PROFILE"  */
CREATE trigger tu_profile on PROFILE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "PROFILE" to child "USERS_PROFILE"  */
      if update(ID_PROFILE)
      begin
         update USERS_PROFILE
          set   ID_PROFILE = i1.ID_PROFILE
         from   USERS_PROFILE t2, inserted i1, deleted d1
         where  t2.ID_PROFILE = d1.ID_PROFILE
          and  (i1.ID_PROFILE != d1.ID_PROFILE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_profile" for table "PROFILE"  */
CREATE trigger td_profile on PROFILE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "USERS_PROFILE"  */
    delete USERS_PROFILE
    from   USERS_PROFILE t2, deleted t1
    where  t2.ID_PROFILE = t1.ID_PROFILE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_users" for table "USERS"  */
CREATE trigger ti_users on USERS for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "DIRECTORY" must exist in order to create child in "USERS"  */
    if update(ID_DIRECTORY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DIRECTORY is null)
       if @numnull != @numrows
          if (select count(*)
              from   DIRECTORY t1, inserted t2
              where  t1.ID_DIRECTORY = t2.ID_DIRECTORY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in DIRECTORY. Failed to create a child row in USERS.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "USERS"  */
    if update(ID_USER_MANAGER)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_MANAGER is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_MANAGER) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in USERS.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_users" for table "USERS"  */
CREATE trigger tu_users on USERS for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "DIRECTORY" must exist in order to modify child in "USERS"  */
      if update(ID_DIRECTORY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DIRECTORY is null)
         if @numnull != @numrows
            if (select count(*)
                from   DIRECTORY t1, inserted t2
                where  t1.ID_DIRECTORY = t2.ID_DIRECTORY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in DIRECTORY. Failed to modify the child row in USERS.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "USERS"  */
      if update(ID_USER_MANAGER)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_MANAGER is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_MANAGER) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in USERS.'
             goto error
          end
      end
      /*  Check and apply change from parent "USERS" to child "WFACTIVITY_INST"  */
      if update(ID_USER)
      begin
         update WFACTIVITY_INST
          set   ID_USER_REQUESTER = i1.ID_USER
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_USER_REQUESTER = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "USERS_GROUPS"  */
      if update(ID_USER)
      begin
         update USERS_GROUPS
          set   ID_USER = i1.ID_USER
         from   USERS_GROUPS t2, inserted i1, deleted d1
         where  t2.ID_USER = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "USERS_PROFILE"  */
      if update(ID_USER)
      begin
         update USERS_PROFILE
          set   ID_USER = i1.ID_USER
         from   USERS_PROFILE t2, inserted i1, deleted d1
         where  t2.ID_USER = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "WFPROCESS_INST"  */
      if update(ID_USER)
      begin
         update WFPROCESS_INST
          set   ID_USER_REQUESTER = i1.ID_USER
         from   WFPROCESS_INST t2, inserted i1, deleted d1
         where  t2.ID_USER_REQUESTER = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "WFPROCESS_INST_RELDATA"  */
      if update(ID_USER)
      begin
         update WFPROCESS_INST_RELDATA
          set   ID_USER_LOCK_BY = i1.ID_USER
         from   WFPROCESS_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_USER_LOCK_BY = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end
      
      /*  Check and apply change from parent "USERS" to child "WFPROCESS_INST_COMMENT"  */
      if update(ID_USER)
      begin
         update WFPROCESS_INST_COMMENT
          set   ID_USER_AUTHOR = i1.ID_USER
         from   WFPROCESS_INST_COMMENT t2, inserted i1, deleted d1
         where  t2.ID_USER_AUTHOR = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "WFACTIVITY_INST"  */
      if update(ID_USER)
      begin
         update WFACTIVITY_INST
          set   ID_USER_ASSIGNEE = i1.ID_USER
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_USER_ASSIGNEE = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "WFACTIVITY_INST"  */
      if update(ID_USER)
      begin
         update WFACTIVITY_INST
          set   ID_USER_ASSIGNED_BY = i1.ID_USER
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_USER_ASSIGNED_BY = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      /*  Check and apply change from parent "USERS" to child "WFACTIVITY_INST_MAPTO"  */
      if update(ID_USER)
      begin
         update WFACTIVITY_INST_MAPTO
          set   ID_USER = i1.ID_USER
         from   WFACTIVITY_INST_MAPTO t2, inserted i1, deleted d1
         where  t2.ID_USER = d1.ID_USER
          and  (i1.ID_USER != d1.ID_USER)
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_users" for table "USERS"  */
CREATE trigger td_users on USERS for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return


    /*  DB_USER_DEL_DIR_003: Delete child in "USERS_GROUPS"  */
    delete USERS_GROUPS
    from   USERS_GROUPS t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_DIR_002: Delete child in "USERS_PROFILE"  */
    delete USERS_PROFILE
    from   USERS_PROFILE t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_REQ_001: Delete child in "WFPROCESS_INST"  */
    delete WFPROCESS_INST
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_USER_REQUESTER = t1.ID_USER

    /*  DB_USER_DEL_REQ_002: Delete child in "WFPROCESS_INST"  */
    delete WFPROCESS_INST
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_USER_REQUESTER_REAL = t1.ID_USER

    /*  DB_USER_DEL_REQ_003: Delete child in "WFPROCESS_INST"  */
    delete WFPROCESS_INST
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_USER_ABORTED = t1.ID_USER

    /*  DB_USER_DEL_REQ_004: Delete child in "WFPROCESS_INST_RELDATA"  */
    delete WFPROCESS_INST_RELDATA
    from   WFPROCESS_INST_RELDATA t2, deleted t1
    where  t2.ID_USER_LOCK_BY = t1.ID_USER
    
    /*  DB_USER_DEL_REQ_010: Delete child in "WFPROCESS_INST_COMMENT"  */
    delete WFPROCESS_INST_COMMENT
    from   WFPROCESS_INST_COMMENT t2, deleted t1
    where  t2.ID_USER_AUTHOR = t1.ID_USER

    /*  DB_USER_DEL_REQ_005: Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_USER_REQUESTER = t1.ID_USER

    /*  DB_USER_DEL_REQ_006: Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_USER_ASSIGNEE = t1.ID_USER

    /*  DB_USER_DEL_REQ_007: Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_USER_ASSIGNEE_REAL = t1.ID_USER

    /*  DB_USER_DEL_REQ_008: Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_USER_ASSIGNED_BY = t1.ID_USER

    /*  DB_USER_DEL_REQ_009: Delete child in "WFACTIVITY_INST_MAPTO"  */
    delete WFACTIVITY_INST_MAPTO
    from   WFACTIVITY_INST_MAPTO t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_DEF_003: Delete child in "WFPARTICIPANT_MAPTO"  */
    delete WFPARTICIPANT_MAPTO
    from   WFPARTICIPANT_MAPTO t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_DIR_004: Delete child in "USERS_VIEWS"  */
    delete USERS_VIEWS
    from   USERS_VIEWS t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_DIR_005: Delete child in "WFDELEGATE"  */
    delete WFDELEGATE
    from   WFDELEGATE t2, deleted t1
    where  t2.ID_USER = t1.ID_USER

    /*  DB_USER_DEL_DIR_006: Delete child in "WFDELEGATE"  */
    delete WFDELEGATE
    from   WFDELEGATE t2, deleted t1
    where  t2.ID_USER_DELEGATE = t1.ID_USER

	 /*  Delete child in "FAVORITE"  */
	 /*  This operation is needed to avoid the multiple cascade paths SQL Server issue (present in SQL Server 2016 and previous versions)   */
    delete FAVORITE
    from   FAVORITE t2, deleted t1
    where  t2.ID_USER_FAVORITE = t1.ID_USER

    /*  DB_USER_DEL_DIR_001: Update ID_USER_MANAGER to NULL in child "USERS"  */
    update USERS
    set    ID_USER_MANAGER = NULL
    from   USERS t2, deleted t1
    where  t2.ID_USER_MANAGER = t1.ID_USER

    /*  DB_USER_DEL_DEF_001: Update ID_USER_CREATION to NULL in child "WFPROCESS"  */
    update WFPROCESS
    set    ID_USER_CREATION = NULL
    from   WFPROCESS t2, deleted t1
    where  t2.ID_USER_CREATION = t1.ID_USER

    /*  DB_USER_DEL_DEF_002: Update ID_USER_UPDATE to NULL in child "WFPROCESS"  */
    update WFPROCESS
    set    ID_USER_UPDATE = NULL
    from   WFPROCESS t2, deleted t1
    where  t2.ID_USER_UPDATE = t1.ID_USER

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_users_groups" for table "USERS_GROUPS"  */
CREATE trigger ti_users_groups on USERS_GROUPS for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "USERS" must exist in order to create child in "USERS_GROUPS"  */
    if update(ID_USER)
    begin
       if (select count(*)
           from   USERS t1, inserted t2
           where  t1.ID_USER = t2.ID_USER) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in USERS_GROUPS.'
           goto error
        end
    end
    /*  The parent "GROUPS" must exist in order to create child in "USERS_GROUPS"  */
    if update(ID_GROUP)
    begin
       if (select count(*)
           from   GROUPS t1, inserted t2
           where  t1.ID_GROUP = t2.ID_GROUP) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in GROUPS. Failed to create a child row in USERS_GROUPS.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_users_groups" for table "USERS_GROUPS"  */
CREATE trigger tu_users_groups on USERS_GROUPS for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "USERS" must exist in order to modify child in "USERS_GROUPS"  */
      if update(ID_USER)
      begin
         if (select count(*)
             from   USERS t1, inserted t2
             where  t1.ID_USER = t2.ID_USER) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in USERS_GROUPS.'
             goto error
          end
      end
      /*  The parent "GROUPS" must exist in order to modify child in "USERS_GROUPS"  */
      if update(ID_GROUP)
      begin
         if (select count(*)
             from   GROUPS t1, inserted t2
             where  t1.ID_GROUP = t2.ID_GROUP) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in GROUPS. Failed to modify the child row in USERS_GROUPS.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_users_profile" for table "USERS_PROFILE"  */
CREATE trigger ti_users_profile on USERS_PROFILE for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "USERS" must exist in order to create child in "USERS_PROFILE"  */
    if update(ID_USER)
    begin
       if (select count(*)
           from   USERS t1, inserted t2
           where  t1.ID_USER = t2.ID_USER) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in USERS_PROFILE.'
           goto error
        end
    end
    /*  The parent "PROFILE" must exist in order to create child in "USERS_PROFILE"  */
    if update(ID_PROFILE)
    begin
       if (select count(*)
           from   PROFILE t1, inserted t2
           where  t1.ID_PROFILE = t2.ID_PROFILE) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in PROFILE. Failed to create a child row in USERS_PROFILE.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_users_profile" for table "USERS_PROFILE"  */
CREATE trigger tu_users_profile on USERS_PROFILE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "USERS" must exist in order to modify child in "USERS_PROFILE"  */
      if update(ID_USER)
      begin
         if (select count(*)
             from   USERS t1, inserted t2
             where  t1.ID_USER = t2.ID_USER) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in USERS_PROFILE.'
             goto error
          end
      end
      /*  The parent "PROFILE" must exist in order to modify child in "USERS_PROFILE"  */
      if update(ID_PROFILE)
      begin
         if (select count(*)
             from   PROFILE t1, inserted t2
             where  t1.ID_PROFILE = t2.ID_PROFILE) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in PROFILE. Failed to modify the child row in USERS_PROFILE.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity" for table "WFACTIVITY"  */
CREATE trigger ti_wfactivity on WFACTIVITY for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_PROCESS)
    begin
       if (select count(*)
           from   WFPROCESS t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_PARTICIPANT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PARTICIPANT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPARTICIPANT t1, inserted t2
              where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFPROCESS_RELDATA" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_PROCESS_ASSIGN) or
       update(ID_RELDATA_ASSIGN)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS_ASSIGN is null
                           and   ID_RELDATA_ASSIGN is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS_RELDATA t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS_ASSIGN
               and   t1.ID_RELDATA = t2.ID_RELDATA_ASSIGN) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_RELDATA. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFAPPLICATION" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_APPLICATION)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_APPLICATION is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFAPPLICATION t1, inserted t2
              where  t1.ID_APPLICATION = t2.ID_APPLICATION) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFAPPLICATION. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY_TYPE" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_ACTIVITY_TYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_ACTIVITY_TYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY_TYPE t1, inserted t2
              where  t1.ID_ACTIVITY_TYPE = t2.ID_ACTIVITY_TYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_TYPE. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY_ASSIGN_TYPE" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_ASSIGN_TYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_ASSIGN_TYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY_ASSIGN_TYPE t1, inserted t2
              where  t1.ID_ASSIGN_TYPE = t2.ID_ASSIGN_TYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_ASSIGN_TYPE. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end
    /*  The parent "WFDURATION_UNIT" must exist in order to create child in "WFACTIVITY"  */
    if update(ID_DURATION_UNIT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DURATION_UNIT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDURATION_UNIT t1, inserted t2
              where  t1.ID_DURATION_UNIT = t2.ID_DURATION_UNIT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDURATION_UNIT. Failed to create a child row in WFACTIVITY.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity" for table "WFACTIVITY"  */
CREATE trigger tu_wfactivity on WFACTIVITY for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_PROCESS)
      begin
         if (select count(*)
             from   WFPROCESS t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_PARTICIPANT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PARTICIPANT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPARTICIPANT t1, inserted t2
                where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFPROCESS_RELDATA" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_PROCESS_ASSIGN) or
         update(ID_RELDATA_ASSIGN)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS_ASSIGN is null
                             and   ID_RELDATA_ASSIGN is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS_RELDATA t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS_ASSIGN
                 and   t1.ID_RELDATA = t2.ID_RELDATA_ASSIGN) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_RELDATA. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFAPPLICATION" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_APPLICATION)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_APPLICATION is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFAPPLICATION t1, inserted t2
                where  t1.ID_APPLICATION = t2.ID_APPLICATION) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFAPPLICATION. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY_TYPE" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_ACTIVITY_TYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_ACTIVITY_TYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY_TYPE t1, inserted t2
                where  t1.ID_ACTIVITY_TYPE = t2.ID_ACTIVITY_TYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_TYPE. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY_ASSIGN_TYPE" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_ASSIGN_TYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_ASSIGN_TYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY_ASSIGN_TYPE t1, inserted t2
                where  t1.ID_ASSIGN_TYPE = t2.ID_ASSIGN_TYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_ASSIGN_TYPE. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  The parent "WFDURATION_UNIT" must exist in order to modify child in "WFACTIVITY"  */
      if update(ID_DURATION_UNIT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DURATION_UNIT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDURATION_UNIT t1, inserted t2
                where  t1.ID_DURATION_UNIT = t2.ID_DURATION_UNIT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDURATION_UNIT. Failed to modify the child row in WFACTIVITY.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFACTIVITY" to child "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFPROCESS_TRANSITION
          set   ID_PROCESS_FROM = i1.ID_PROCESS,
                ID_ACTIVITY_FROM = i1.ID_ACTIVITY
         from   WFPROCESS_TRANSITION t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_FROM = d1.ID_PROCESS
          and   t2.ID_ACTIVITY_FROM = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end

      /*  Check and apply change from parent "WFACTIVITY" to child "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFPROCESS_TRANSITION
          set   ID_PROCESS_TO = i1.ID_PROCESS,
                ID_ACTIVITY_TO = i1.ID_ACTIVITY
         from   WFPROCESS_TRANSITION t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_TO = d1.ID_PROCESS
          and   t2.ID_ACTIVITY_TO = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end

      /*  Check and apply change from parent "WFACTIVITY" to child "WFACTIVITY_PARAM"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFACTIVITY_PARAM
          set   ID_PROCESS = i1.ID_PROCESS,
                ID_ACTIVITY = i1.ID_ACTIVITY
         from   WFACTIVITY_PARAM t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and   t2.ID_ACTIVITY = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end

      /*  Check and apply change from parent "WFACTIVITY" to child "WFACTIVITY_NOTIFY"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFACTIVITY_NOTIFY
          set   ID_PROCESS = i1.ID_PROCESS,
                ID_ACTIVITY = i1.ID_ACTIVITY
         from   WFACTIVITY_NOTIFY t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and   t2.ID_ACTIVITY = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end

      /*  Check and apply change from parent "WFACTIVITY" to child "WFACTIVITY_NOTIFY"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFACTIVITY_NOTIFY
          set   ID_PROCESS_NOTIFY = i1.ID_PROCESS,
                ID_ACTIVITY_NOTIFY = i1.ID_ACTIVITY
         from   WFACTIVITY_NOTIFY t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_NOTIFY = d1.ID_PROCESS
          and   t2.ID_ACTIVITY_NOTIFY = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end

      /*  Check and apply change from parent "WFACTIVITY" to child "WFACTIVITY_INST"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         update WFACTIVITY_INST
          set   ID_PROCESS = i1.ID_PROCESS,
                ID_ACTIVITY = i1.ID_ACTIVITY
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and   t2.ID_ACTIVITY = d1.ID_ACTIVITY
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_ACTIVITY != d1.ID_ACTIVITY)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfactivity" for table "WFACTIVITY"  */
CREATE trigger td_wfactivity on WFACTIVITY for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_TRANSITION"  */
    delete WFPROCESS_TRANSITION
    from   WFPROCESS_TRANSITION t2, deleted t1
    where  t2.ID_PROCESS_FROM = t1.ID_PROCESS
     and   t2.ID_ACTIVITY_FROM = t1.ID_ACTIVITY

    /*  Delete child in "WFPROCESS_TRANSITION"  */
    delete WFPROCESS_TRANSITION
    from   WFPROCESS_TRANSITION t2, deleted t1
    where  t2.ID_PROCESS_TO = t1.ID_PROCESS
     and   t2.ID_ACTIVITY_TO = t1.ID_ACTIVITY

    /*  Delete child in "WFACTIVITY_PARAM"  */
    delete WFACTIVITY_PARAM
    from   WFACTIVITY_PARAM t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS
     and   t2.ID_ACTIVITY = t1.ID_ACTIVITY

    /*  Delete child in "WFACTIVITY_NOTIFY"  */
    delete WFACTIVITY_NOTIFY
    from   WFACTIVITY_NOTIFY t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS
     and   t2.ID_ACTIVITY = t1.ID_ACTIVITY

    /*  Delete child in "WFACTIVITY_NOTIFY"  */
    delete WFACTIVITY_NOTIFY
    from   WFACTIVITY_NOTIFY t2, deleted t1
    where  t2.ID_PROCESS_NOTIFY = t1.ID_PROCESS
     and   t2.ID_ACTIVITY_NOTIFY = t1.ID_ACTIVITY

    /*  Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS
     and   t2.ID_ACTIVITY = t1.ID_ACTIVITY


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_assign_type" for table "WFACTIVITY_ASSIGN_TYPE"  */
CREATE trigger tu_wfactivity_assign_type on WFACTIVITY_ASSIGN_TYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFACTIVITY_ASSIGN_TYPE" to child "WFACTIVITY"  */
      if update(ID_ASSIGN_TYPE)
      begin
         update WFACTIVITY
          set   ID_ASSIGN_TYPE = i1.ID_ASSIGN_TYPE
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_ASSIGN_TYPE = d1.ID_ASSIGN_TYPE
          and  (i1.ID_ASSIGN_TYPE != d1.ID_ASSIGN_TYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfactivity_assign_type" for table "WFACTIVITY_ASSIGN_TYPE"  */
CREATE trigger td_wfactivity_assign_type on WFACTIVITY_ASSIGN_TYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_ASSIGN_TYPE = t1.ID_ASSIGN_TYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_inst" for table "WFACTIVITY_INST"  */
CREATE trigger ti_wfactivity_inst on WFACTIVITY_INST for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS_INST" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_PROCESS_INST)
    begin
       if (select count(*)
           from   WFPROCESS_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end

	/*  Check if end route activity instance is unique in its block */
	if update(ID_ACTIVITY_INST)
	begin
		if (select ID_ACTIVITY_INST_BLOCK from inserted) is not null
		begin
			select @numnull = (select count(*)
			from WFACTIVITY_INST t1, WFACTIVITY t2, inserted t3
			where t1.ID_PROCESS_INST=t3.ID_PROCESS_INST
				and t1.ID_ACTIVITY_INST<>t3.ID_ACTIVITY_INST
				and t1.ID_PROCESS=t3.ID_PROCESS
				and t1.ID_ACTIVITY=t3.ID_ACTIVITY
				and t1.ID_ACTIVITY_INST_BLOCK=t3.ID_ACTIVITY_INST_BLOCK
				and t2.ID_PROCESS=t1.ID_PROCESS
				and t2.ID_ACTIVITY=t1.ID_ACTIVITY
				and t2.ID_ACTIVITY_TYPE='ROUTE'
				and t2.ID_ACTIVITY_BLOCK IS NOT NULL)

			if @numnull > 0
			begin
				select @errno = 50002,
					@errmsg = 'An End route activity already exists in the current block. Failed to create a row in WFACTIVITY_INST.'
				goto error
			end
		end
	end

    /*  The parent "USERS" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_USER_REQUESTER)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_REQUESTER is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_REQUESTER) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end
    /*  The parent "WFSUBSTATE" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_STATE) or
       update(ID_SUBSTATE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_STATE is null
                           and   ID_SUBSTATE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFSUBSTATE t1, inserted t2
              where  t1.ID_STATE = t2.ID_STATE
               and   t1.ID_SUBSTATE = t2.ID_SUBSTATE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFSUBSTATE. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_PROCESS) or
       update(ID_ACTIVITY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS is null
                           and   ID_ACTIVITY is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS
               and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_USER_ASSIGNEE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_ASSIGNEE is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_ASSIGNEE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "WFACTIVITY_INST"  */
    if update(ID_USER_ASSIGNED_BY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_ASSIGNED_BY is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_ASSIGNED_BY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFACTIVITY_INST.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_inst" for table "WFACTIVITY_INST"  */
CREATE trigger tu_wfactivity_inst on WFACTIVITY_INST for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS_INST" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_PROCESS_INST)
      begin
         if (select count(*)
             from   WFPROCESS_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_USER_REQUESTER)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_REQUESTER is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_REQUESTER) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end
      /*  The parent "WFSUBSTATE" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_STATE) or
         update(ID_SUBSTATE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_STATE is null
                             and   ID_SUBSTATE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFSUBSTATE t1, inserted t2
                where  t1.ID_STATE = t2.ID_STATE
                 and   t1.ID_SUBSTATE = t2.ID_SUBSTATE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFSUBSTATE. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS is null
                             and   ID_ACTIVITY is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS
                 and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_USER_ASSIGNEE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_ASSIGNEE is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_ASSIGNEE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFACTIVITY_INST"  */
      if update(ID_USER_ASSIGNED_BY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_ASSIGNED_BY is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_ASSIGNED_BY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFACTIVITY_INST.'
             goto error
          end
      end

      /*  Check if end route activity instance is unique in its block */
      if update(ID_ACTIVITY) or update(ID_ACTIVITY_INST_BLOCK)
      begin
         if (select ID_ACTIVITY_INST_BLOCK from inserted) is not null
         begin
            select @numnull = (select count(*)
            from WFACTIVITY_INST t1, WFACTIVITY t2, inserted t3
            where t1.ID_PROCESS_INST=t3.ID_PROCESS_INST
               and t1.ID_ACTIVITY_INST<>t3.ID_ACTIVITY_INST
               and t1.ID_PROCESS=t3.ID_PROCESS
               and t1.ID_ACTIVITY=t3.ID_ACTIVITY
               and t1.ID_ACTIVITY_INST_BLOCK=t3.ID_ACTIVITY_INST_BLOCK
               and t2.ID_PROCESS=t1.ID_PROCESS
               and t2.ID_ACTIVITY=t1.ID_ACTIVITY
               and t2.ID_ACTIVITY_TYPE='ROUTE'
               and t2.ID_ACTIVITY_BLOCK IS NOT NULL)

            if @numnull > 0
            begin
               select @errno = 50003,
                  @errmsg = 'An End route activity already exists in the current block. Failed to modify a row in WFACTIVITY_INST.'
               goto error
            end
         end
      end

      /*  Check and apply change from parent "WFACTIVITY_INST" to child "WFACTIVITY_INST_RELDATA"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         update WFACTIVITY_INST_RELDATA
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST,
                ID_ACTIVITY_INST = i1.ID_ACTIVITY_INST
         from   WFACTIVITY_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and   t2.ID_ACTIVITY_INST = d1.ID_ACTIVITY_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST or
                i1.ID_ACTIVITY_INST != d1.ID_ACTIVITY_INST)
      end

      /*  Check and apply change from parent "WFACTIVITY_INST" to child "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         update WFACTIVITY_INST_NOTIFY_OVERDUE
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST,
                ID_ACTIVITY_INST = i1.ID_ACTIVITY_INST
         from   WFACTIVITY_INST_NOTIFY_OVERDUE t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and   t2.ID_ACTIVITY_INST = d1.ID_ACTIVITY_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST or
                i1.ID_ACTIVITY_INST != d1.ID_ACTIVITY_INST)
      end

      /*  Check and apply change from parent "WFACTIVITY_INST" to child "WFACTIVITY_INST_MAPTO"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         update WFACTIVITY_INST_MAPTO
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST,
                ID_ACTIVITY_INST = i1.ID_ACTIVITY_INST
         from   WFACTIVITY_INST_MAPTO t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and   t2.ID_ACTIVITY_INST = d1.ID_ACTIVITY_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST or
                i1.ID_ACTIVITY_INST != d1.ID_ACTIVITY_INST)
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfactivity_inst" for table "WFACTIVITY_INST"  */
CREATE trigger td_wfactivity_inst on WFACTIVITY_INST for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFACTIVITY_INST_RELDATA"  */
    delete WFACTIVITY_INST_RELDATA
    from   WFACTIVITY_INST_RELDATA t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST
     and   t2.ID_ACTIVITY_INST = t1.ID_ACTIVITY_INST

    /*  Delete child in "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
    delete WFACTIVITY_INST_NOTIFY_OVERDUE
    from   WFACTIVITY_INST_NOTIFY_OVERDUE t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST
     and   t2.ID_ACTIVITY_INST = t1.ID_ACTIVITY_INST

    /*  Delete child in "WFACTIVITY_INST_MAPTO"  */
    delete WFACTIVITY_INST_MAPTO
    from   WFACTIVITY_INST_MAPTO t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST
     and   t2.ID_ACTIVITY_INST = t1.ID_ACTIVITY_INST
	
    /*  Update child in "WFPROCESS_INST" by removing reference of the parent action */
    update WFPROCESS_INST
    set    ID_PARENTPROCESS_INST = NULL, ID_PARENTACTIVITY_INST = NULL
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_PARENTPROCESS_INST = t1.ID_PROCESS_INST
     and   t2.ID_PARENTACTIVITY_INST = t1.ID_ACTIVITY_INST 

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_inst_mapto" for table "WFACTIVITY_INST_MAPTO"  */
CREATE trigger ti_wfactivity_inst_mapto on WFACTIVITY_INST_MAPTO for insert as
begin
    declare  
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFACTIVITY_INST" must exist in order to create child in "WFACTIVITY_INST_MAPTO"  */
    if update(ID_PROCESS_INST) or
       update(ID_ACTIVITY_INST)
    begin
       if (select count(*)
           from   WFACTIVITY_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
            and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to create a child row in WFACTIVITY_INST_MAPTO.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "WFACTIVITY_INST_MAPTO"  */
    if update(ID_USER)
    begin
       if (select count(*)
           from   USERS t1, inserted t2
           where  t1.ID_USER = t2.ID_USER) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFACTIVITY_INST_MAPTO.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO




/*  Update trigger "tu_wfactivity_inst_mapto" for table "WFACTIVITY_INST_MAPTO"  */
CREATE trigger tu_wfactivity_inst_mapto on WFACTIVITY_INST_MAPTO for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFACTIVITY_INST" must exist in order to modify child in "WFACTIVITY_INST_MAPTO"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         if (select count(*)
             from   WFACTIVITY_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
              and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to modify the child row in WFACTIVITY_INST_MAPTO.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFACTIVITY_INST_MAPTO"  */
      if update(ID_USER)
      begin
         if (select count(*)
             from   USERS t1, inserted t2
             where  t1.ID_USER = t2.ID_USER) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFACTIVITY_INST_MAPTO.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_inst_notify_overdue" for table "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
CREATE trigger ti_wfactivity_inst_notify_overdue on WFACTIVITY_INST_NOTIFY_OVERDUE for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFACTIVITY_NOTIFY" must exist in order to create child in "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
    if update(ID_PROCESS) or
       update(ID_ACTIVITY) or
       update(NUM_NOTIFY)
    begin
       if (select count(*)
           from   WFACTIVITY_NOTIFY t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS
            and   t1.ID_ACTIVITY = t2.ID_ACTIVITY
            and   t1.NUM_NOTIFY = t2.NUM_NOTIFY) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_NOTIFY. Failed to create a child row in WFACTIVITY_INST_NOTIFY_OVERDUE.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY_INST" must exist in order to create child in "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
    if update(ID_PROCESS_INST) or
       update(ID_ACTIVITY_INST)
    begin
       if (select count(*)
           from   WFACTIVITY_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
            and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to create a child row in WFACTIVITY_INST_NOTIFY_OVERDUE.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_inst_notify_overdue" for table "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
CREATE trigger tu_wfactivity_inst_notify_overdue on WFACTIVITY_INST_NOTIFY_OVERDUE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFACTIVITY_NOTIFY" must exist in order to modify child in "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY) or
         update(NUM_NOTIFY)
      begin
         if (select count(*)
             from   WFACTIVITY_NOTIFY t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS
              and   t1.ID_ACTIVITY = t2.ID_ACTIVITY
              and   t1.NUM_NOTIFY = t2.NUM_NOTIFY) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_NOTIFY. Failed to modify the child row in WFACTIVITY_INST_NOTIFY_OVERDUE.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY_INST" must exist in order to modify child in "WFACTIVITY_INST_NOTIFY_OVERDUE"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         if (select count(*)
             from   WFACTIVITY_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
              and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to modify the child row in WFACTIVITY_INST_NOTIFY_OVERDUE.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_inst_reldata" for table "WFACTIVITY_INST_RELDATA"  */
CREATE trigger ti_wfactivity_inst_reldata on WFACTIVITY_INST_RELDATA for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFACTIVITY_INST" must exist in order to create child in "WFACTIVITY_INST_RELDATA"  */
    if update(ID_PROCESS_INST) or
       update(ID_ACTIVITY_INST)
    begin
       if (select count(*)
           from   WFACTIVITY_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
            and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to create a child row in WFACTIVITY_INST_RELDATA.'
           goto error
        end
    end
    /*  The parent "WFDATASET" must exist in order to create child in "WFACTIVITY_INST_RELDATA"  */
    if update(ID_DATASET)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DATASET is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDATASET t1, inserted t2
              where  t1.ID_DATASET = t2.ID_DATASET) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDATASET. Failed to create a child row in WFACTIVITY_INST_RELDATA.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_inst_reldata" for table "WFACTIVITY_INST_RELDATA"  */
CREATE trigger tu_wfactivity_inst_reldata on WFACTIVITY_INST_RELDATA for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFACTIVITY_INST" must exist in order to modify child in "WFACTIVITY_INST_RELDATA"  */
      if update(ID_PROCESS_INST) or
         update(ID_ACTIVITY_INST)
      begin
         if (select count(*)
             from   WFACTIVITY_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST
              and   t1.ID_ACTIVITY_INST = t2.ID_ACTIVITY_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY_INST. Failed to modify the child row in WFACTIVITY_INST_RELDATA.'
             goto error
          end
      end
      /*  The parent "WFDATASET" must exist in order to modify child in "WFACTIVITY_INST_RELDATA"  */
      if update(ID_DATASET)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DATASET is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDATASET t1, inserted t2
                where  t1.ID_DATASET = t2.ID_DATASET) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDATASET. Failed to modify the child row in WFACTIVITY_INST_RELDATA.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_notify" for table "WFACTIVITY_NOTIFY"  */
CREATE trigger ti_wfactivity_notify on WFACTIVITY_NOTIFY for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFACTIVITY" must exist in order to create child in "WFACTIVITY_NOTIFY"  */
    if update(ID_PROCESS) or
       update(ID_ACTIVITY)
    begin
       if (select count(*)
           from   WFACTIVITY t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS
            and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFACTIVITY_NOTIFY.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFACTIVITY_NOTIFY"  */
    if update(ID_PARTICIPANT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PARTICIPANT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPARTICIPANT t1, inserted t2
              where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFACTIVITY_NOTIFY.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY" must exist in order to create child in "WFACTIVITY_NOTIFY"  */
    if update(ID_PROCESS_NOTIFY) or
       update(ID_ACTIVITY_NOTIFY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS_NOTIFY is null
                           and   ID_ACTIVITY_NOTIFY is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS_NOTIFY
               and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_NOTIFY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFACTIVITY_NOTIFY.'
           goto error
        end
    end
    /*  The parent "WFNOTIFY_TYPE" must exist in order to create child in "WFACTIVITY_NOTIFY"  */
    if update(ID_NOTIFY_TYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_NOTIFY_TYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFNOTIFY_TYPE t1, inserted t2
              where  t1.ID_NOTIFY_TYPE = t2.ID_NOTIFY_TYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFNOTIFY_TYPE. Failed to create a child row in WFACTIVITY_NOTIFY.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_notify" for table "WFACTIVITY_NOTIFY"  */
CREATE trigger tu_wfactivity_notify on WFACTIVITY_NOTIFY for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFACTIVITY_NOTIFY"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         if (select count(*)
             from   WFACTIVITY t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS
              and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFACTIVITY_NOTIFY.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFACTIVITY_NOTIFY"  */
      if update(ID_PARTICIPANT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PARTICIPANT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPARTICIPANT t1, inserted t2
                where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFACTIVITY_NOTIFY.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFACTIVITY_NOTIFY"  */
      if update(ID_PROCESS_NOTIFY) or
         update(ID_ACTIVITY_NOTIFY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS_NOTIFY is null
                             and   ID_ACTIVITY_NOTIFY is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS_NOTIFY
                 and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_NOTIFY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFACTIVITY_NOTIFY.'
             goto error
          end
      end
      /*  The parent "WFNOTIFY_TYPE" must exist in order to modify child in "WFACTIVITY_NOTIFY"  */
      if update(ID_NOTIFY_TYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_NOTIFY_TYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFNOTIFY_TYPE t1, inserted t2
                where  t1.ID_NOTIFY_TYPE = t2.ID_NOTIFY_TYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFNOTIFY_TYPE. Failed to modify the child row in WFACTIVITY_NOTIFY.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfactivity_param" for table "WFACTIVITY_PARAM"  */
CREATE trigger ti_wfactivity_param on WFACTIVITY_PARAM for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFACTIVITY" must exist in order to create child in "WFACTIVITY_PARAM"  */
    if update(ID_PROCESS) or
       update(ID_ACTIVITY)
    begin
       if (select count(*)
           from   WFACTIVITY t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS
            and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFACTIVITY_PARAM.'
           goto error
        end
    end
    /*  The parent "WFRELDATA" must exist in order to create child in "WFACTIVITY_PARAM"  */
    if update(ID_RELDATA)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_RELDATA is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFRELDATA t1, inserted t2
              where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFRELDATA. Failed to create a child row in WFACTIVITY_PARAM.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_param" for table "WFACTIVITY_PARAM"  */
CREATE trigger tu_wfactivity_param on WFACTIVITY_PARAM for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFACTIVITY_PARAM"  */
      if update(ID_PROCESS) or
         update(ID_ACTIVITY)
      begin
         if (select count(*)
             from   WFACTIVITY t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS
              and   t1.ID_ACTIVITY = t2.ID_ACTIVITY) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFACTIVITY_PARAM.'
             goto error
          end
      end
      /*  The parent "WFRELDATA" must exist in order to modify child in "WFACTIVITY_PARAM"  */
      if update(ID_RELDATA)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_RELDATA is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFRELDATA t1, inserted t2
                where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFRELDATA. Failed to modify the child row in WFACTIVITY_PARAM.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfactivity_type" for table "WFACTIVITY_TYPE"  */
CREATE trigger tu_wfactivity_type on WFACTIVITY_TYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFACTIVITY_TYPE" to child "WFACTIVITY"  */
      if update(ID_ACTIVITY_TYPE)
      begin
         update WFACTIVITY
          set   ID_ACTIVITY_TYPE = i1.ID_ACTIVITY_TYPE
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_ACTIVITY_TYPE = d1.ID_ACTIVITY_TYPE
          and  (i1.ID_ACTIVITY_TYPE != d1.ID_ACTIVITY_TYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfactivity_type" for table "WFACTIVITY_TYPE"  */
CREATE trigger td_wfactivity_type on WFACTIVITY_TYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_ACTIVITY_TYPE = t1.ID_ACTIVITY_TYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfapplication" for table "WFAPPLICATION"  */
CREATE trigger ti_wfapplication on WFAPPLICATION for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFAPPLICATION_TYPE" must exist in order to create child in "WFAPPLICATION"  */
    if update(ID_APP_TYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_APP_TYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFAPPLICATION_TYPE t1, inserted t2
              where  t1.ID_APP_TYPE = t2.ID_APP_TYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFAPPLICATION_TYPE. Failed to create a child row in WFAPPLICATION.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfapplication" for table "WFAPPLICATION"  */
CREATE trigger tu_wfapplication on WFAPPLICATION for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFAPPLICATION_TYPE" must exist in order to modify child in "WFAPPLICATION"  */
      if update(ID_APP_TYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_APP_TYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFAPPLICATION_TYPE t1, inserted t2
                where  t1.ID_APP_TYPE = t2.ID_APP_TYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFAPPLICATION_TYPE. Failed to modify the child row in WFAPPLICATION.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFAPPLICATION" to child "WFAPPLICATION_PARAM"  */
      if update(ID_APPLICATION)
      begin
         update WFAPPLICATION_PARAM
          set   ID_APPLICATION = i1.ID_APPLICATION
         from   WFAPPLICATION_PARAM t2, inserted i1, deleted d1
         where  t2.ID_APPLICATION = d1.ID_APPLICATION
          and  (i1.ID_APPLICATION != d1.ID_APPLICATION)
      end

      /*  Check and apply change from parent "WFAPPLICATION" to child "WFACTIVITY"  */
      if update(ID_APPLICATION)
      begin
         update WFACTIVITY
          set   ID_APPLICATION = i1.ID_APPLICATION
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_APPLICATION = d1.ID_APPLICATION
          and  (i1.ID_APPLICATION != d1.ID_APPLICATION)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfapplication" for table "WFAPPLICATION"  */
CREATE trigger td_wfapplication on WFAPPLICATION for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFAPPLICATION_PARAM"  */
    delete WFAPPLICATION_PARAM
    from   WFAPPLICATION_PARAM t2, deleted t1
    where  t2.ID_APPLICATION = t1.ID_APPLICATION

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_APPLICATION = t1.ID_APPLICATION


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfapplication_param" for table "WFAPPLICATION_PARAM"  */
CREATE trigger ti_wfapplication_param on WFAPPLICATION_PARAM for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFAPPLICATION" must exist in order to create child in "WFAPPLICATION_PARAM"  */
    if update(ID_APPLICATION)
    begin
       if (select count(*)
           from   WFAPPLICATION t1, inserted t2
           where  t1.ID_APPLICATION = t2.ID_APPLICATION) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFAPPLICATION. Failed to create a child row in WFAPPLICATION_PARAM.'
           goto error
        end
    end
    /*  The parent "WFDATATYPE" must exist in order to create child in "WFAPPLICATION_PARAM"  */
    if update(ID_DATATYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DATATYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDATATYPE t1, inserted t2
              where  t1.ID_DATATYPE = t2.ID_DATATYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDATATYPE. Failed to create a child row in WFAPPLICATION_PARAM.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfapplication_param" for table "WFAPPLICATION_PARAM"  */
CREATE trigger tu_wfapplication_param on WFAPPLICATION_PARAM for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFAPPLICATION" must exist in order to modify child in "WFAPPLICATION_PARAM"  */
      if update(ID_APPLICATION)
      begin
         if (select count(*)
             from   WFAPPLICATION t1, inserted t2
             where  t1.ID_APPLICATION = t2.ID_APPLICATION) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFAPPLICATION. Failed to modify the child row in WFAPPLICATION_PARAM.'
             goto error
          end
      end
      /*  The parent "WFDATATYPE" must exist in order to modify child in "WFAPPLICATION_PARAM"  */
      if update(ID_DATATYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DATATYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDATATYPE t1, inserted t2
                where  t1.ID_DATATYPE = t2.ID_DATATYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDATATYPE. Failed to modify the child row in WFAPPLICATION_PARAM.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfapplication_type" for table "WFAPPLICATION_TYPE"  */
CREATE trigger tu_wfapplication_type on WFAPPLICATION_TYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFAPPLICATION_TYPE" to child "WFAPPLICATION"  */
      if update(ID_APP_TYPE)
      begin
         update WFAPPLICATION
          set   ID_APP_TYPE = i1.ID_APP_TYPE
         from   WFAPPLICATION t2, inserted i1, deleted d1
         where  t2.ID_APP_TYPE = d1.ID_APP_TYPE
          and  (i1.ID_APP_TYPE != d1.ID_APP_TYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfapplication_type" for table "WFAPPLICATION_TYPE"  */
CREATE trigger td_wfapplication_type on WFAPPLICATION_TYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFAPPLICATION"  */
    delete WFAPPLICATION
    from   WFAPPLICATION t2, deleted t1
    where  t2.ID_APP_TYPE = t1.ID_APP_TYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfcategory" for table "WFCATEGORY"  */
CREATE trigger tu_wfcategory on WFCATEGORY for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFCATEGORY" to child "WFPROCESS_CATEGORY"  */
      if update(ID_CATEGORY)
      begin
         update WFPROCESS_CATEGORY
          set   ID_CATEGORY = i1.ID_CATEGORY
         from   WFPROCESS_CATEGORY t2, inserted i1, deleted d1
         where  t2.ID_CATEGORY = d1.ID_CATEGORY
          and  (i1.ID_CATEGORY != d1.ID_CATEGORY)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfcategory" for table "WFCATEGORY"  */
CREATE trigger td_wfcategory on WFCATEGORY for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_CATEGORY"  */
    delete WFPROCESS_CATEGORY
    from   WFPROCESS_CATEGORY t2, deleted t1
    where  t2.ID_CATEGORY = t1.ID_CATEGORY


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfdataset" for table "WFDATASET"  */
CREATE trigger tu_wfdataset on WFDATASET for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFDATASET" to child "WFPROCESS_RELDATA"  */
      if update(ID_DATASET)
      begin
         update WFPROCESS_RELDATA
          set   ID_DATASET_DEFAULT = i1.ID_DATASET
         from   WFPROCESS_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_DATASET_DEFAULT = d1.ID_DATASET
          and  (i1.ID_DATASET != d1.ID_DATASET)
      end

      /*  Check and apply change from parent "WFDATASET" to child "WFDATASET_VALUE"  */
      if update(ID_DATASET)
      begin
         update WFDATASET_VALUE
          set   ID_DATASET = i1.ID_DATASET
         from   WFDATASET_VALUE t2, inserted i1, deleted d1
         where  t2.ID_DATASET = d1.ID_DATASET
          and  (i1.ID_DATASET != d1.ID_DATASET)
      end

      /*  Check and apply change from parent "WFDATASET" to child "WFACTIVITY_INST_RELDATA"  */
      if update(ID_DATASET)
      begin
         update WFACTIVITY_INST_RELDATA
          set   ID_DATASET = i1.ID_DATASET
         from   WFACTIVITY_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_DATASET = d1.ID_DATASET
          and  (i1.ID_DATASET != d1.ID_DATASET)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfdataset" for table "WFDATASET"  */
CREATE trigger td_wfdataset on WFDATASET for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_RELDATA"  */
    delete WFPROCESS_RELDATA
    from   WFPROCESS_RELDATA t2, deleted t1
    where  t2.ID_DATASET_DEFAULT = t1.ID_DATASET

    /*  Delete child in "WFDATASET_VALUE"  */
    delete WFDATASET_VALUE
    from   WFDATASET_VALUE t2, deleted t1
    where  t2.ID_DATASET = t1.ID_DATASET

    /*  Delete child in "WFACTIVITY_INST_RELDATA"  */
    delete WFACTIVITY_INST_RELDATA
    from   WFACTIVITY_INST_RELDATA t2, deleted t1
    where  t2.ID_DATASET = t1.ID_DATASET
	
    /*  Delete child in WFPROCESS_INST_RELDATA"  */
    delete WFPROCESS_INST_RELDATA
    from   WFPROCESS_INST_RELDATA t2, deleted t1
    where  t2.ID_DATASET = t1.ID_DATASET

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfdataset_value" for table "WFDATASET_VALUE"  */
CREATE trigger ti_wfdataset_value on WFDATASET_VALUE for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFDATASET" must exist in order to create child in "WFDATASET_VALUE"  */
    if update(ID_DATASET)
    begin
       if (select count(*)
           from   WFDATASET t1, inserted t2
           where  t1.ID_DATASET = t2.ID_DATASET) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDATASET. Failed to create a child row in WFDATASET_VALUE.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfdataset_value" for table "WFDATASET_VALUE"  */
CREATE trigger tu_wfdataset_value on WFDATASET_VALUE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFDATASET" must exist in order to modify child in "WFDATASET_VALUE"  */
      if update(ID_DATASET)
      begin
         if (select count(*)
             from   WFDATASET t1, inserted t2
             where  t1.ID_DATASET = t2.ID_DATASET) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDATASET. Failed to modify the child row in WFDATASET_VALUE.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfdatatype" for table "WFDATATYPE"  */
CREATE trigger tu_wfdatatype on WFDATATYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFDATATYPE" to child "WFAPPLICATION_PARAM"  */
      if update(ID_DATATYPE)
      begin
         update WFAPPLICATION_PARAM
          set   ID_DATATYPE = i1.ID_DATATYPE
         from   WFAPPLICATION_PARAM t2, inserted i1, deleted d1
         where  t2.ID_DATATYPE = d1.ID_DATATYPE
          and  (i1.ID_DATATYPE != d1.ID_DATATYPE)
      end

      /*  Check and apply change from parent "WFDATATYPE" to child "WFRELDATA"  */
      if update(ID_DATATYPE)
      begin
         update WFRELDATA
          set   ID_DATATYPE = i1.ID_DATATYPE
         from   WFRELDATA t2, inserted i1, deleted d1
         where  t2.ID_DATATYPE = d1.ID_DATATYPE
          and  (i1.ID_DATATYPE != d1.ID_DATATYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfdatatype" for table "WFDATATYPE"  */
CREATE trigger td_wfdatatype on WFDATATYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFAPPLICATION_PARAM"  */
    delete WFAPPLICATION_PARAM
    from   WFAPPLICATION_PARAM t2, deleted t1
    where  t2.ID_DATATYPE = t1.ID_DATATYPE

    /*  Delete child in "WFRELDATA"  */
    delete WFRELDATA
    from   WFRELDATA t2, deleted t1
    where  t2.ID_DATATYPE = t1.ID_DATATYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfdelegate" for table "WFDELEGATE"  */
CREATE trigger ti_wfdelegate on WFDELEGATE for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS_PARTICIPANT" must exist in order to create child in "WFDELEGATE"  */
    if update(ID_PROCESS) or
       update(ID_PARTICIPANT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS is null
                           and   ID_PARTICIPANT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS_PARTICIPANT t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS
               and   t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_PARTICIPANT. Failed to create a child row in WFDELEGATE.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfdelegate" for table "WFDELEGATE"  */
CREATE trigger tu_wfdelegate on WFDELEGATE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS_PARTICIPANT" must exist in order to modify child in "WFDELEGATE"  */
      if update(ID_PROCESS) or
         update(ID_PARTICIPANT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS is null
                             and   ID_PARTICIPANT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS_PARTICIPANT t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS
                 and   t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_PARTICIPANT. Failed to modify the child row in WFDELEGATE.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfduration_unit" for table "WFDURATION_UNIT"  */
CREATE trigger tu_wfduration_unit on WFDURATION_UNIT for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFDURATION_UNIT" to child "WFPROCESS"  */
      if update(ID_DURATION_UNIT)
      begin
         update WFPROCESS
          set   ID_DURATION_UNIT = i1.ID_DURATION_UNIT
         from   WFPROCESS t2, inserted i1, deleted d1
         where  t2.ID_DURATION_UNIT = d1.ID_DURATION_UNIT
          and  (i1.ID_DURATION_UNIT != d1.ID_DURATION_UNIT)
      end

      /*  Check and apply change from parent "WFDURATION_UNIT" to child "WFACTIVITY"  */
      if update(ID_DURATION_UNIT)
      begin
         update WFACTIVITY
          set   ID_DURATION_UNIT = i1.ID_DURATION_UNIT
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_DURATION_UNIT = d1.ID_DURATION_UNIT
          and  (i1.ID_DURATION_UNIT != d1.ID_DURATION_UNIT)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfduration_unit" for table "WFDURATION_UNIT"  */
CREATE trigger td_wfduration_unit on WFDURATION_UNIT for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS"  */
    delete WFPROCESS
    from   WFPROCESS t2, deleted t1
    where  t2.ID_DURATION_UNIT = t1.ID_DURATION_UNIT

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_DURATION_UNIT = t1.ID_DURATION_UNIT


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wffolder" for table "WFFOLDER"  */
CREATE trigger td_wffolder on WFFOLDER for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFFOLDER_PERM"  */
    delete WFFOLDER_PERM
    from   WFFOLDER_PERM t2, deleted t1
    where  t2.ID_FOLDER = t1.ID_FOLDER

    /*  Delete child in "WFPROCESS"  */
    delete WFPROCESS
    from   WFPROCESS t2, deleted t1
    where  t2.ID_FOLDER = t1.ID_FOLDER


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wffolder" for table "WFFOLDER"  */
CREATE trigger tu_wffolder on WFFOLDER for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFFOLDER" to child "WFFOLDER_PERM"  */
      if update(ID_FOLDER)
      begin
         update WFFOLDER_PERM
          set   ID_FOLDER = i1.ID_FOLDER
         from   WFFOLDER_PERM t2, inserted i1, deleted d1
         where  t2.ID_FOLDER = d1.ID_FOLDER
          and  (i1.ID_FOLDER != d1.ID_FOLDER)
      end

      /*  Check and apply change from parent "WFFOLDER" to child "WFPROCESS"  */
      if update(ID_FOLDER)
      begin
         update WFPROCESS
          set   ID_FOLDER = i1.ID_FOLDER
         from   WFPROCESS t2, inserted i1, deleted d1
         where  t2.ID_FOLDER = d1.ID_FOLDER
          and  (i1.ID_FOLDER != d1.ID_FOLDER)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wffolder_perm" for table "WFFOLDER_PERM"  */
CREATE trigger ti_wffolder_perm on WFFOLDER_PERM for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFFOLDER" must exist in order to create child in "WFFOLDER_PERM"  */
    if update(ID_FOLDER)
    begin
       if (select count(*)
           from   WFFOLDER t1, inserted t2
           where  t1.ID_FOLDER = t2.ID_FOLDER) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFFOLDER. Failed to create a child row in WFFOLDER_PERM.'
           goto error
        end
    end
    /*  The parent "WFPERM_TYPE" must exist in order to create child in "WFFOLDER_PERM"  */
    if update(ID_PERM_TYPE)
    begin
       if (select count(*)
           from   WFPERM_TYPE t1, inserted t2
           where  t1.ID_PERM_TYPE = t2.ID_PERM_TYPE) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPERM_TYPE. Failed to create a child row in WFFOLDER_PERM.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFFOLDER_PERM"  */
    if update(ID_PARTICIPANT)
    begin
       if (select count(*)
           from   WFPARTICIPANT t1, inserted t2
           where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFFOLDER_PERM.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wffolder_perm" for table "WFFOLDER_PERM"  */
CREATE trigger tu_wffolder_perm on WFFOLDER_PERM for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFFOLDER" must exist in order to modify child in "WFFOLDER_PERM"  */
      if update(ID_FOLDER)
      begin
         if (select count(*)
             from   WFFOLDER t1, inserted t2
             where  t1.ID_FOLDER = t2.ID_FOLDER) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFFOLDER. Failed to modify the child row in WFFOLDER_PERM.'
             goto error
          end
      end
      /*  The parent "WFPERM_TYPE" must exist in order to modify child in "WFFOLDER_PERM"  */
      if update(ID_PERM_TYPE)
      begin
         if (select count(*)
             from   WFPERM_TYPE t1, inserted t2
             where  t1.ID_PERM_TYPE = t2.ID_PERM_TYPE) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPERM_TYPE. Failed to modify the child row in WFFOLDER_PERM.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFFOLDER_PERM"  */
      if update(ID_PARTICIPANT)
      begin
         if (select count(*)
             from   WFPARTICIPANT t1, inserted t2
             where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFFOLDER_PERM.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO



SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfparticipant" for table "WFPARTICIPANT"  */
CREATE trigger ti_wfparticipant on WFPARTICIPANT for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFPARTICIPANT"  */
    if update(ID_PROCESS)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPARTICIPANT.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT_TYPE" must exist in order to create child in "WFPARTICIPANT"  */
    if update(ID_PARTICIPANT_TYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PARTICIPANT_TYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPARTICIPANT_TYPE t1, inserted t2
              where  t1.ID_PARTICIPANT_TYPE = t2.ID_PARTICIPANT_TYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT_TYPE. Failed to create a child row in WFPARTICIPANT.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfparticipant" for table "WFPARTICIPANT"  */
CREATE trigger tu_wfparticipant on WFPARTICIPANT for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPARTICIPANT"  */
      if update(ID_PROCESS)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPARTICIPANT.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT_TYPE" must exist in order to modify child in "WFPARTICIPANT"  */
      if update(ID_PARTICIPANT_TYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PARTICIPANT_TYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPARTICIPANT_TYPE t1, inserted t2
                where  t1.ID_PARTICIPANT_TYPE = t2.ID_PARTICIPANT_TYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT_TYPE. Failed to modify the child row in WFPARTICIPANT.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFFOLDER_PERM"  */
      if update(ID_PARTICIPANT)
      begin
         update WFFOLDER_PERM
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFFOLDER_PERM t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end

      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFPARTICIPANT_MAPTO"  */
      if update(ID_PARTICIPANT)
      begin
         update WFPARTICIPANT_MAPTO
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFPARTICIPANT_MAPTO t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end

      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFPROCESS_PARTICIPANT"  */
      if update(ID_PARTICIPANT)
      begin
         update WFPROCESS_PARTICIPANT
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFPROCESS_PARTICIPANT t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end

      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFACTIVITY"  */
      if update(ID_PARTICIPANT)
      begin
         update WFACTIVITY
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end

      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFPROCESS_RELDATA_RESTRICT"  */
      if update(ID_PARTICIPANT)
      begin
         update WFPROCESS_RELDATA_RESTRICT
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFPROCESS_RELDATA_RESTRICT t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end

      /*  Check and apply change from parent "WFPARTICIPANT" to child "WFACTIVITY_NOTIFY"  */
      if update(ID_PARTICIPANT)
      begin
         update WFACTIVITY_NOTIFY
          set   ID_PARTICIPANT = i1.ID_PARTICIPANT
         from   WFACTIVITY_NOTIFY t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT = d1.ID_PARTICIPANT
          and  (i1.ID_PARTICIPANT != d1.ID_PARTICIPANT)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfparticipant" for table "WFPARTICIPANT"  */
CREATE trigger td_wfparticipant on WFPARTICIPANT for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFFOLDER_PERM"  */
    delete WFFOLDER_PERM
    from   WFFOLDER_PERM t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT

    /*  Delete child in "WFPARTICIPANT_MAPTO"  */
    delete WFPARTICIPANT_MAPTO
    from   WFPARTICIPANT_MAPTO t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT

    /*  Delete child in "WFPROCESS_PARTICIPANT"  */
    delete WFPROCESS_PARTICIPANT
    from   WFPROCESS_PARTICIPANT t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT

    /*  Delete child in "WFPROCESS_RELDATA_RESTRICT"  */
    delete WFPROCESS_RELDATA_RESTRICT
    from   WFPROCESS_RELDATA_RESTRICT t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT

    /*  Delete child in "WFACTIVITY_NOTIFY"  */
    delete WFACTIVITY_NOTIFY
    from   WFACTIVITY_NOTIFY t2, deleted t1
    where  t2.ID_PARTICIPANT = t1.ID_PARTICIPANT


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfparticipant_mapto" for table "WFPARTICIPANT_MAPTO"  */
CREATE trigger ti_wfparticipant_mapto on WFPARTICIPANT_MAPTO for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFPARTICIPANT_MAPTO"  */
    if update(ID_PARTICIPANT)
    begin
       if (select count(*)
           from   WFPARTICIPANT t1, inserted t2
           where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFPARTICIPANT_MAPTO.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfparticipant_mapto" for table "WFPARTICIPANT_MAPTO"  */
CREATE trigger tu_wfparticipant_mapto on WFPARTICIPANT_MAPTO for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFPARTICIPANT_MAPTO"  */
      if update(ID_PARTICIPANT)
      begin
         if (select count(*)
             from   WFPARTICIPANT t1, inserted t2
             where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFPARTICIPANT_MAPTO.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfparticipant_role" for table "WFPARTICIPANT_ROLE"  */
CREATE trigger tu_wfparticipant_role on WFPARTICIPANT_ROLE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFPARTICIPANT_ROLE" to child "WFPROCESS_PARTICIPANT"  */
      if update(ID_PARTICIPANT_ROLE)
      begin
         update WFPROCESS_PARTICIPANT
          set   ID_PARTICIPANT_ROLE = i1.ID_PARTICIPANT_ROLE
         from   WFPROCESS_PARTICIPANT t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT_ROLE = d1.ID_PARTICIPANT_ROLE
          and  (i1.ID_PARTICIPANT_ROLE != d1.ID_PARTICIPANT_ROLE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfparticipant_role" for table "WFPARTICIPANT_ROLE"  */
CREATE trigger td_wfparticipant_role on WFPARTICIPANT_ROLE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_PARTICIPANT"  */
    delete WFPROCESS_PARTICIPANT
    from   WFPROCESS_PARTICIPANT t2, deleted t1
    where  t2.ID_PARTICIPANT_ROLE = t1.ID_PARTICIPANT_ROLE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfparticipant_type" for table "WFPARTICIPANT_TYPE"  */
CREATE trigger tu_wfparticipant_type on WFPARTICIPANT_TYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFPARTICIPANT_TYPE" to child "WFPARTICIPANT"  */
      if update(ID_PARTICIPANT_TYPE)
      begin
         update WFPARTICIPANT
          set   ID_PARTICIPANT_TYPE = i1.ID_PARTICIPANT_TYPE
         from   WFPARTICIPANT t2, inserted i1, deleted d1
         where  t2.ID_PARTICIPANT_TYPE = d1.ID_PARTICIPANT_TYPE
          and  (i1.ID_PARTICIPANT_TYPE != d1.ID_PARTICIPANT_TYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfparticipant_type" for table "WFPARTICIPANT_TYPE"  */
CREATE trigger td_wfparticipant_type on WFPARTICIPANT_TYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPARTICIPANT"  */
    delete WFPARTICIPANT
    from   WFPARTICIPANT t2, deleted t1
    where  t2.ID_PARTICIPANT_TYPE = t1.ID_PARTICIPANT_TYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfperm_type" for table "WFPERM_TYPE"  */
CREATE trigger tu_wfperm_type on WFPERM_TYPE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFPERM_TYPE" to child "WFFOLDER_PERM"  */
      if update(ID_PERM_TYPE)
      begin
         update WFFOLDER_PERM
          set   ID_PERM_TYPE = i1.ID_PERM_TYPE
         from   WFFOLDER_PERM t2, inserted i1, deleted d1
         where  t2.ID_PERM_TYPE = d1.ID_PERM_TYPE
          and  (i1.ID_PERM_TYPE != d1.ID_PERM_TYPE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfperm_type" for table "WFPERM_TYPE"  */
CREATE trigger td_wfperm_type on WFPERM_TYPE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFFOLDER_PERM"  */
    delete WFFOLDER_PERM
    from   WFFOLDER_PERM t2, deleted t1
    where  t2.ID_PERM_TYPE = t1.ID_PERM_TYPE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess" for table "WFPROCESS"  */
CREATE trigger ti_wfprocess on WFPROCESS for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFFOLDER" must exist in order to create child in "WFPROCESS"  */
    if update(ID_FOLDER)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_FOLDER is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFFOLDER t1, inserted t2
              where  t1.ID_FOLDER = t2.ID_FOLDER) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFFOLDER. Failed to create a child row in WFPROCESS.'
           goto error
        end
    end
    /*  The parent "WFDURATION_UNIT" must exist in order to create child in "WFPROCESS"  */
    if update(ID_DURATION_UNIT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DURATION_UNIT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDURATION_UNIT t1, inserted t2
              where  t1.ID_DURATION_UNIT = t2.ID_DURATION_UNIT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDURATION_UNIT. Failed to create a child row in WFPROCESS.'
           goto error
        end
    end
    /*  The parent "WFPROCESS_STATUS" must exist in order to create child in "WFPROCESS"  */
    if update(ID_PROCESS_STATUS)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS_STATUS is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS_STATUS t1, inserted t2
              where  t1.ID_PROCESS_STATUS = t2.ID_PROCESS_STATUS) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_STATUS. Failed to create a child row in WFPROCESS.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess" for table "WFPROCESS"  */
CREATE trigger tu_wfprocess on WFPROCESS for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFFOLDER" must exist in order to modify child in "WFPROCESS"  */
      if update(ID_FOLDER)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_FOLDER is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFFOLDER t1, inserted t2
                where  t1.ID_FOLDER = t2.ID_FOLDER) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFFOLDER. Failed to modify the child row in WFPROCESS.'
             goto error
          end
      end
      /*  The parent "WFDURATION_UNIT" must exist in order to modify child in "WFPROCESS"  */
      if update(ID_DURATION_UNIT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DURATION_UNIT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDURATION_UNIT t1, inserted t2
                where  t1.ID_DURATION_UNIT = t2.ID_DURATION_UNIT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDURATION_UNIT. Failed to modify the child row in WFPROCESS.'
             goto error
          end
      end
      /*  The parent "WFPROCESS_STATUS" must exist in order to modify child in "WFPROCESS"  */
      if update(ID_PROCESS_STATUS)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS_STATUS is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS_STATUS t1, inserted t2
                where  t1.ID_PROCESS_STATUS = t2.ID_PROCESS_STATUS) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_STATUS. Failed to modify the child row in WFPROCESS.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFPROCESS" to child "WFPROCESS_CATEGORY"  */
      if update(ID_PROCESS)
      begin
         update WFPROCESS_CATEGORY
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPROCESS_CATEGORY t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFPROCESS_PARTICIPANT"  */
      if update(ID_PROCESS)
      begin
         update WFPROCESS_PARTICIPANT
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPROCESS_PARTICIPANT t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFPROCESS_RELDATA"  */
      if update(ID_PROCESS)
      begin
         update WFPROCESS_RELDATA
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPROCESS_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFPARTICIPANT"  */
      if update(ID_PROCESS)
      begin
         update WFPARTICIPANT
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPARTICIPANT t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFRELDATA"  */
      if update(ID_PROCESS)
      begin
         update WFRELDATA
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFRELDATA t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS)
      begin
         update WFPROCESS_TRANSITION
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPROCESS_TRANSITION t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFACTIVITY"  */
      if update(ID_PROCESS)
      begin
         update WFACTIVITY
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end

      /*  Check and apply change from parent "WFPROCESS" to child "WFPROCESS_INST"  */
      if update(ID_PROCESS)
      begin
         update WFPROCESS_INST
          set   ID_PROCESS = i1.ID_PROCESS
         from   WFPROCESS_INST t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and  (i1.ID_PROCESS != d1.ID_PROCESS)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfprocess" for table "WFPROCESS"  */
CREATE trigger td_wfprocess on WFPROCESS for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_CATEGORY"  */
    delete WFPROCESS_CATEGORY
    from   WFPROCESS_CATEGORY t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFPROCESS_PARTICIPANT"  */
    delete WFPROCESS_PARTICIPANT
    from   WFPROCESS_PARTICIPANT t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFPROCESS_RELDATA"  */
    delete WFPROCESS_RELDATA
    from   WFPROCESS_RELDATA t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFPARTICIPANT"  */
    delete WFPARTICIPANT
    from   WFPARTICIPANT t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFRELDATA"  */
    delete WFRELDATA
    from   WFRELDATA t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFPROCESS_TRANSITION"  */
    delete WFPROCESS_TRANSITION
    from   WFPROCESS_TRANSITION t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS

    /*  Delete child in "WFPROCESS_INST"  */
    delete WFPROCESS_INST
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_category" for table "WFPROCESS_CATEGORY"  */
CREATE trigger ti_wfprocess_category on WFPROCESS_CATEGORY for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFPROCESS_CATEGORY"  */
    if update(ID_PROCESS)
    begin
       if (select count(*)
           from   WFPROCESS t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPROCESS_CATEGORY.'
           goto error
        end
    end
    /*  The parent "WFCATEGORY" must exist in order to create child in "WFPROCESS_CATEGORY"  */
    if update(ID_CATEGORY)
    begin
       if (select count(*)
           from   WFCATEGORY t1, inserted t2
           where  t1.ID_CATEGORY = t2.ID_CATEGORY) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFCATEGORY. Failed to create a child row in WFPROCESS_CATEGORY.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_category" for table "WFPROCESS_CATEGORY"  */
CREATE trigger tu_wfprocess_category on WFPROCESS_CATEGORY for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPROCESS_CATEGORY"  */
      if update(ID_PROCESS)
      begin
         if (select count(*)
             from   WFPROCESS t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPROCESS_CATEGORY.'
             goto error
          end
      end
      /*  The parent "WFCATEGORY" must exist in order to modify child in "WFPROCESS_CATEGORY"  */
      if update(ID_CATEGORY)
      begin
         if (select count(*)
             from   WFCATEGORY t1, inserted t2
             where  t1.ID_CATEGORY = t2.ID_CATEGORY) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFCATEGORY. Failed to modify the child row in WFPROCESS_CATEGORY.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_inst" for table "WFPROCESS_INST"  */
CREATE trigger ti_wfprocess_inst on WFPROCESS_INST for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFSUBSTATE" must exist in order to create child in "WFPROCESS_INST"  */
    if update(ID_STATE) or
       update(ID_SUBSTATE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_STATE is null
                           and   ID_SUBSTATE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFSUBSTATE t1, inserted t2
              where  t1.ID_STATE = t2.ID_STATE
               and   t1.ID_SUBSTATE = t2.ID_SUBSTATE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFSUBSTATE. Failed to create a child row in WFPROCESS_INST.'
           goto error
        end
    end
    /*  The parent "WFPROCESS" must exist in order to create child in "WFPROCESS_INST"  */
    if update(ID_PROCESS)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPROCESS_INST.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "WFPROCESS_INST"  */
    if update(ID_USER_REQUESTER)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_REQUESTER is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_REQUESTER) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFPROCESS_INST.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_inst" for table "WFPROCESS_INST"  */
CREATE trigger tu_wfprocess_inst on WFPROCESS_INST for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFSUBSTATE" must exist in order to modify child in "WFPROCESS_INST"  */
      if update(ID_STATE) or
         update(ID_SUBSTATE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_STATE is null
                             and   ID_SUBSTATE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFSUBSTATE t1, inserted t2
                where  t1.ID_STATE = t2.ID_STATE
                 and   t1.ID_SUBSTATE = t2.ID_SUBSTATE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFSUBSTATE. Failed to modify the child row in WFPROCESS_INST.'
             goto error
          end
      end
      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPROCESS_INST"  */
      if update(ID_PROCESS)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPROCESS_INST.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFPROCESS_INST"  */
      if update(ID_USER_REQUESTER)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_REQUESTER is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_REQUESTER) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFPROCESS_INST.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFPROCESS_INST" to child "WFPROCESS_INST_RELDATA"  */
      if update(ID_PROCESS_INST)
      begin
         update WFPROCESS_INST_RELDATA
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST
         from   WFPROCESS_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST)
      end
      
      /*  Check and apply change from parent "WFPROCESS_INST" to child "WFPROCESS_INST_COMMENT"  */
      if update(ID_PROCESS_INST)
      begin
         update WFPROCESS_INST_COMMENT
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST
         from   WFPROCESS_INST_COMMENT t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST)
      end

      /*  Check and apply change from parent "WFPROCESS_INST" to child "WFACTIVITY_INST"  */
      if update(ID_PROCESS_INST)
      begin
         update WFACTIVITY_INST
          set   ID_PROCESS_INST = i1.ID_PROCESS_INST
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_INST = d1.ID_PROCESS_INST
          and  (i1.ID_PROCESS_INST != d1.ID_PROCESS_INST)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfprocess_inst" for table "WFPROCESS_INST"  */
CREATE trigger td_wfprocess_inst on WFPROCESS_INST for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_INST_RELDATA"  */
    delete WFPROCESS_INST_RELDATA
    from   WFPROCESS_INST_RELDATA t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST
    
    /*  Delete child in "WFPROCESS_INST_COMMENT"  */
    delete WFPROCESS_INST_COMMENT
    from   WFPROCESS_INST_COMMENT t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST

    /*  Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_PROCESS_INST = t1.ID_PROCESS_INST


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_inst_reldata" for table "WFPROCESS_INST_RELDATA"  */
CREATE trigger ti_wfprocess_inst_reldata on WFPROCESS_INST_RELDATA for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS_INST" must exist in order to create child in "WFPROCESS_INST_RELDATA"  */
    if update(ID_PROCESS_INST)
    begin
       if (select count(*)
           from   WFPROCESS_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to create a child row in WFPROCESS_INST_RELDATA.'
           goto error
        end
    end
    /*  The parent "WFRELDATA" must exist in order to create child in "WFPROCESS_INST_RELDATA"  */
    if update(ID_RELDATA)
    begin
       if (select count(*)
           from   WFRELDATA t1, inserted t2
           where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFRELDATA. Failed to create a child row in WFPROCESS_INST_RELDATA.'
           goto error
        end
    end
    /*  The parent "USERS" must exist in order to create child in "WFPROCESS_INST_RELDATA"  */
    if update(ID_USER_LOCK_BY)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_LOCK_BY is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_LOCK_BY) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFPROCESS_INST_RELDATA.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_inst_reldata" for table "WFPROCESS_INST_RELDATA"  */
CREATE trigger tu_wfprocess_inst_reldata on WFPROCESS_INST_RELDATA for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS_INST" must exist in order to modify child in "WFPROCESS_INST_RELDATA"  */
      if update(ID_PROCESS_INST)
      begin
         if (select count(*)
             from   WFPROCESS_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to modify the child row in WFPROCESS_INST_RELDATA.'
             goto error
          end
      end
      /*  The parent "WFRELDATA" must exist in order to modify child in "WFPROCESS_INST_RELDATA"  */
      if update(ID_RELDATA)
      begin
         if (select count(*)
             from   WFRELDATA t1, inserted t2
             where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFRELDATA. Failed to modify the child row in WFPROCESS_INST_RELDATA.'
             goto error
          end
      end
      /*  The parent "USERS" must exist in order to modify child in "WFPROCESS_INST_RELDATA"  */
      if update(ID_USER_LOCK_BY)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_LOCK_BY is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_LOCK_BY) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFPROCESS_INST_RELDATA.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO





/*  Insert trigger "ti_wfprocess_inst_comment" for table "WFPROCESS_INST_COMMENT"  */
CREATE trigger ti_wfprocess_inst_comment on WFPROCESS_INST_COMMENT for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS_INST" must exist in order to create child in "WFPROCESS_INST_COMMENT"  */
    if update(ID_PROCESS_INST)
    begin
       if (select count(*)
           from   WFPROCESS_INST t1, inserted t2
           where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to create a child row in WFPROCESS_INST_COMMENT.'
           goto error
        end
    end

    /*  The parent "USERS" must exist in order to create child in "WFPROCESS_INST_COMMENT"  */
    if update(ID_USER_AUTHOR)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_USER_AUTHOR is null)
       if @numnull != @numrows
          if (select count(*)
              from   USERS t1, inserted t2
              where  t1.ID_USER = t2.ID_USER_AUTHOR) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in USERS. Failed to create a child row in WFPROCESS_INST_COMMENT.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_inst_comment" for table "WFPROCESS_INST_COMMENT"  */
CREATE trigger tu_wfprocess_inst_comment on WFPROCESS_INST_COMMENT for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS_INST" must exist in order to modify child in "WFPROCESS_INST_COMMENT"  */
      if update(ID_PROCESS_INST)
      begin
         if (select count(*)
             from   WFPROCESS_INST t1, inserted t2
             where  t1.ID_PROCESS_INST = t2.ID_PROCESS_INST) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_INST. Failed to modify the child row in WFPROCESS_INST_COMMENT.'
             goto error
          end
      end
      
      /*  The parent "USERS" must exist in order to modify child in "WFPROCESS_INST_COMMENT"  */
      if update(ID_USER_AUTHOR)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_USER_AUTHOR is null)
         if @numnull != @numrows
            if (select count(*)
                from   USERS t1, inserted t2
                where  t1.ID_USER = t2.ID_USER_AUTHOR) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in USERS. Failed to modify the child row in WFPROCESS_INST_COMMENT.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_participant" for table "WFPROCESS_PARTICIPANT"  */
CREATE trigger ti_wfprocess_participant on WFPROCESS_PARTICIPANT for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFPROCESS_PARTICIPANT"  */
    if update(ID_PROCESS)
    begin
       if (select count(*)
           from   WFPROCESS t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPROCESS_PARTICIPANT.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFPROCESS_PARTICIPANT"  */
    if update(ID_PARTICIPANT)
    begin
       if (select count(*)
           from   WFPARTICIPANT t1, inserted t2
           where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFPROCESS_PARTICIPANT.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT_ROLE" must exist in order to create child in "WFPROCESS_PARTICIPANT"  */
    if update(ID_PARTICIPANT_ROLE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PARTICIPANT_ROLE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPARTICIPANT_ROLE t1, inserted t2
              where  t1.ID_PARTICIPANT_ROLE = t2.ID_PARTICIPANT_ROLE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT_ROLE. Failed to create a child row in WFPROCESS_PARTICIPANT.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_participant" for table "WFPROCESS_PARTICIPANT"  */
CREATE trigger tu_wfprocess_participant on WFPROCESS_PARTICIPANT for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPROCESS_PARTICIPANT"  */
      if update(ID_PROCESS)
      begin
         if (select count(*)
             from   WFPROCESS t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPROCESS_PARTICIPANT.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFPROCESS_PARTICIPANT"  */
      if update(ID_PARTICIPANT)
      begin
         if (select count(*)
             from   WFPARTICIPANT t1, inserted t2
             where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFPROCESS_PARTICIPANT.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT_ROLE" must exist in order to modify child in "WFPROCESS_PARTICIPANT"  */
      if update(ID_PARTICIPANT_ROLE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PARTICIPANT_ROLE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPARTICIPANT_ROLE t1, inserted t2
                where  t1.ID_PARTICIPANT_ROLE = t2.ID_PARTICIPANT_ROLE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT_ROLE. Failed to modify the child row in WFPROCESS_PARTICIPANT.'
             goto error
          end
      end


      return



error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_reldata" for table "WFPROCESS_RELDATA"  */
CREATE trigger ti_wfprocess_reldata on WFPROCESS_RELDATA for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFPROCESS_RELDATA"  */
    if update(ID_PROCESS)
    begin
       if (select count(*)
           from   WFPROCESS t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPROCESS_RELDATA.'
           goto error
        end
    end
    /*  The parent "WFRELDATA" must exist in order to create child in "WFPROCESS_RELDATA"  */
    if update(ID_RELDATA)
    begin
       if (select count(*)
           from   WFRELDATA t1, inserted t2
           where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFRELDATA. Failed to create a child row in WFPROCESS_RELDATA.'
           goto error
        end
    end
    /*  The parent "WFDATASET" must exist in order to create child in "WFPROCESS_RELDATA"  */
    if update(ID_DATASET_DEFAULT)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DATASET_DEFAULT is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDATASET t1, inserted t2
              where  t1.ID_DATASET = t2.ID_DATASET_DEFAULT) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDATASET. Failed to create a child row in WFPROCESS_RELDATA.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_reldata" for table "WFPROCESS_RELDATA"  */
CREATE trigger tu_wfprocess_reldata on WFPROCESS_RELDATA for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPROCESS_RELDATA"  */
      if update(ID_PROCESS)
      begin
         if (select count(*)
             from   WFPROCESS t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPROCESS_RELDATA.'
             goto error
          end
      end
      /*  The parent "WFRELDATA" must exist in order to modify child in "WFPROCESS_RELDATA"  */
      if update(ID_RELDATA)
      begin
         if (select count(*)
             from   WFRELDATA t1, inserted t2
             where  t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFRELDATA. Failed to modify the child row in WFPROCESS_RELDATA.'
             goto error
          end
      end
      /*  The parent "WFDATASET" must exist in order to modify child in "WFPROCESS_RELDATA"  */
      if update(ID_DATASET_DEFAULT)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DATASET_DEFAULT is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDATASET t1, inserted t2
                where  t1.ID_DATASET = t2.ID_DATASET_DEFAULT) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDATASET. Failed to modify the child row in WFPROCESS_RELDATA.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFPROCESS_RELDATA" to child "WFACTIVITY"  */
      if update(ID_PROCESS) or
         update(ID_RELDATA)
      begin
         update WFACTIVITY
          set   ID_PROCESS_ASSIGN = i1.ID_PROCESS,
                ID_RELDATA_ASSIGN = i1.ID_RELDATA
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_ASSIGN = d1.ID_PROCESS
          and   t2.ID_RELDATA_ASSIGN = d1.ID_RELDATA
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_RELDATA != d1.ID_RELDATA)
      end

      /*  Check and apply change from parent "WFPROCESS_RELDATA" to child "WFPROCESS_RELDATA_RESTRICT"  */
      if update(ID_PROCESS) or
         update(ID_RELDATA)
      begin
         update WFPROCESS_RELDATA_RESTRICT
          set   ID_PROCESS = i1.ID_PROCESS,
                ID_RELDATA = i1.ID_RELDATA
         from   WFPROCESS_RELDATA_RESTRICT t2, inserted i1, deleted d1
         where  t2.ID_PROCESS = d1.ID_PROCESS
          and   t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_PROCESS != d1.ID_PROCESS or
                i1.ID_RELDATA != d1.ID_RELDATA)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfprocess_reldata" for table "WFPROCESS_RELDATA"  */
CREATE trigger td_wfprocess_reldata on WFPROCESS_RELDATA for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_PROCESS_ASSIGN = t1.ID_PROCESS
     and   t2.ID_RELDATA_ASSIGN = t1.ID_RELDATA

    /*  Delete child in "WFPROCESS_RELDATA_RESTRICT"  */
    delete WFPROCESS_RELDATA_RESTRICT
    from   WFPROCESS_RELDATA_RESTRICT t2, deleted t1
    where  t2.ID_PROCESS = t1.ID_PROCESS
     and   t2.ID_RELDATA = t1.ID_RELDATA


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_reldata_restrict" for table "WFPROCESS_RELDATA_RESTRICT"  */
CREATE trigger ti_wfprocess_reldata_restrict on WFPROCESS_RELDATA_RESTRICT for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS_RELDATA" must exist in order to create child in "WFPROCESS_RELDATA_RESTRICT"  */
    if update(ID_PROCESS) or
       update(ID_RELDATA)
    begin
       if (select count(*)
           from   WFPROCESS_RELDATA t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS
            and   t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS_RELDATA. Failed to create a child row in WFPROCESS_RELDATA_RESTRICT.'
           goto error
        end
    end
    /*  The parent "WFPARTICIPANT" must exist in order to create child in "WFPROCESS_RELDATA_RESTRICT"  */
    if update(ID_PARTICIPANT)
    begin
       if (select count(*)
           from   WFPARTICIPANT t1, inserted t2
           where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to create a child row in WFPROCESS_RELDATA_RESTRICT.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_reldata_restrict" for table "WFPROCESS_RELDATA_RESTRICT"  */
CREATE trigger tu_wfprocess_reldata_restrict on WFPROCESS_RELDATA_RESTRICT for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS_RELDATA" must exist in order to modify child in "WFPROCESS_RELDATA_RESTRICT"  */
      if update(ID_PROCESS) or
         update(ID_RELDATA)
      begin
         if (select count(*)
             from   WFPROCESS_RELDATA t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS
              and   t1.ID_RELDATA = t2.ID_RELDATA) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS_RELDATA. Failed to modify the child row in WFPROCESS_RELDATA_RESTRICT.'
             goto error
          end
      end
      /*  The parent "WFPARTICIPANT" must exist in order to modify child in "WFPROCESS_RELDATA_RESTRICT"  */
      if update(ID_PARTICIPANT)
      begin
         if (select count(*)
             from   WFPARTICIPANT t1, inserted t2
             where  t1.ID_PARTICIPANT = t2.ID_PARTICIPANT) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPARTICIPANT. Failed to modify the child row in WFPROCESS_RELDATA_RESTRICT.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_status" for table "WFPROCESS_STATUS"  */
CREATE trigger tu_wfprocess_status on WFPROCESS_STATUS for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFPROCESS_STATUS" to child "WFPROCESS"  */
      if update(ID_PROCESS_STATUS)
      begin
         update WFPROCESS
          set   ID_PROCESS_STATUS = i1.ID_PROCESS_STATUS
         from   WFPROCESS t2, inserted i1, deleted d1
         where  t2.ID_PROCESS_STATUS = d1.ID_PROCESS_STATUS
          and  (i1.ID_PROCESS_STATUS != d1.ID_PROCESS_STATUS)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfprocess_status" for table "WFPROCESS_STATUS"  */
CREATE trigger td_wfprocess_status on WFPROCESS_STATUS for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS"  */
    delete WFPROCESS
    from   WFPROCESS t2, deleted t1
    where  t2.ID_PROCESS_STATUS = t1.ID_PROCESS_STATUS


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfprocess_transition" for table "WFPROCESS_TRANSITION"  */
CREATE trigger ti_wfprocess_transition on WFPROCESS_TRANSITION for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFPROCESS" must exist in order to create child in "WFPROCESS_TRANSITION"  */
    if update(ID_PROCESS)
    begin
       if (select count(*)
           from   WFPROCESS t1, inserted t2
           where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFPROCESS_TRANSITION.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY" must exist in order to create child in "WFPROCESS_TRANSITION"  */
    if update(ID_PROCESS_FROM) or
       update(ID_ACTIVITY_FROM)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS_FROM is null
                           and   ID_ACTIVITY_FROM is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS_FROM
               and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_FROM) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFPROCESS_TRANSITION.'
           goto error
        end
    end
    /*  The parent "WFACTIVITY" must exist in order to create child in "WFPROCESS_TRANSITION"  */
    if update(ID_PROCESS_TO) or
       update(ID_ACTIVITY_TO)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS_TO is null
                           and   ID_ACTIVITY_TO is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFACTIVITY t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS_TO
               and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_TO) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFACTIVITY. Failed to create a child row in WFPROCESS_TRANSITION.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfprocess_transition" for table "WFPROCESS_TRANSITION"  */
CREATE trigger tu_wfprocess_transition on WFPROCESS_TRANSITION for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFPROCESS" must exist in order to modify child in "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS)
      begin
         if (select count(*)
             from   WFPROCESS t1, inserted t2
             where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFPROCESS_TRANSITION.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS_FROM) or
         update(ID_ACTIVITY_FROM)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS_FROM is null
                             and   ID_ACTIVITY_FROM is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS_FROM
                 and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_FROM) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFPROCESS_TRANSITION.'
             goto error
          end
      end
      /*  The parent "WFACTIVITY" must exist in order to modify child in "WFPROCESS_TRANSITION"  */
      if update(ID_PROCESS_TO) or
         update(ID_ACTIVITY_TO)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS_TO is null
                             and   ID_ACTIVITY_TO is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFACTIVITY t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS_TO
                 and   t1.ID_ACTIVITY = t2.ID_ACTIVITY_TO) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFACTIVITY. Failed to modify the child row in WFPROCESS_TRANSITION.'
             goto error
          end
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfreldata" for table "WFRELDATA"  */
CREATE trigger ti_wfreldata on WFRELDATA for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFDATATYPE" must exist in order to create child in "WFRELDATA"  */
    if update(ID_DATATYPE)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_DATATYPE is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFDATATYPE t1, inserted t2
              where  t1.ID_DATATYPE = t2.ID_DATATYPE) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFDATATYPE. Failed to create a child row in WFRELDATA.'
           goto error
        end
    end
    /*  The parent "WFPROCESS" must exist in order to create child in "WFRELDATA"  */
    if update(ID_PROCESS)
    begin
       select @numnull = (select count(*)
                          from   inserted
                          where  ID_PROCESS is null)
       if @numnull != @numrows
          if (select count(*)
              from   WFPROCESS t1, inserted t2
              where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFPROCESS. Failed to create a child row in WFRELDATA.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfreldata" for table "WFRELDATA"  */
CREATE trigger tu_wfreldata on WFRELDATA for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFDATATYPE" must exist in order to modify child in "WFRELDATA"  */
      if update(ID_DATATYPE)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_DATATYPE is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFDATATYPE t1, inserted t2
                where  t1.ID_DATATYPE = t2.ID_DATATYPE) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFDATATYPE. Failed to modify the child row in WFRELDATA.'
             goto error
          end
      end
      /*  The parent "WFPROCESS" must exist in order to modify child in "WFRELDATA"  */
      if update(ID_PROCESS)
      begin
         select @numnull = (select count(*)
                            from   inserted
                            where  ID_PROCESS is null)
         if @numnull != @numrows
            if (select count(*)
                from   WFPROCESS t1, inserted t2
                where  t1.ID_PROCESS = t2.ID_PROCESS) != @numrows - @numnull
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFPROCESS. Failed to modify the child row in WFRELDATA.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFRELDATA" to child "WFPROCESS_RELDATA"  */
      if update(ID_RELDATA)
      begin
         update WFPROCESS_RELDATA
          set   ID_RELDATA = i1.ID_RELDATA
         from   WFPROCESS_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end

      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY_PARAM"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY_PARAM
          set   ID_RELDATA = i1.ID_RELDATA
         from   WFACTIVITY_PARAM t2, inserted i1, deleted d1
         where  t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end

      /*  Check and apply change from parent "WFRELDATA" to child "WFPROCESS_INST_RELDATA"  */
      if update(ID_RELDATA)
      begin
         update WFPROCESS_INST_RELDATA
          set   ID_RELDATA = i1.ID_RELDATA
         from   WFPROCESS_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end
	  
      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY_INST_RELDATA"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY_INST_RELDATA
          set   ID_RELDATA = i1.ID_RELDATA
         from   WFACTIVITY_INST_RELDATA t2, inserted i1, deleted d1
         where  t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end

      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY_NOTIFY"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY_NOTIFY
          set   ID_RELDATA = i1.ID_RELDATA
         from   WFACTIVITY_NOTIFY t2, inserted i1, deleted d1
         where  t2.ID_RELDATA = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end

      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY_NOTIFY"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY_NOTIFY
          set   ID_RELDATA_TEMPLATE = i1.ID_RELDATA
         from   WFACTIVITY_NOTIFY t2, inserted i1, deleted d1
         where  t2.ID_RELDATA_TEMPLATE = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end
	  
      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY_PARAM"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY_PARAM
          set   ID_RELDATA_DEFAULT = i1.ID_RELDATA
         from   WFACTIVITY_PARAM t2, inserted i1, deleted d1
         where  t2.ID_RELDATA_DEFAULT = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end
	  
      /*  Check and apply change from parent "WFRELDATA" to child "WFACTIVITY"  */
      if update(ID_RELDATA)
      begin
         update WFACTIVITY
          set   ID_RELDATA_LIMIT = i1.ID_RELDATA
         from   WFACTIVITY t2, inserted i1, deleted d1
         where  t2.ID_RELDATA_LIMIT = d1.ID_RELDATA
          and  (i1.ID_RELDATA != d1.ID_RELDATA)
      end

      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfreldata" for table "WFRELDATA"  */
CREATE trigger td_wfreldata on WFRELDATA for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_RELDATA"  */
    delete WFPROCESS_RELDATA
    from   WFPROCESS_RELDATA t2, deleted t1
    where  t2.ID_RELDATA = t1.ID_RELDATA

    /*  Delete child in "WFACTIVITY_PARAM"  */
    delete WFACTIVITY_PARAM
    from   WFACTIVITY_PARAM t2, deleted t1
    where  t2.ID_RELDATA = t1.ID_RELDATA

    /*  Delete child in "WFPROCESS_INST_RELDATA"  */
    delete WFPROCESS_INST_RELDATA
    from   WFPROCESS_INST_RELDATA t2, deleted t1
    where  t2.ID_RELDATA = t1.ID_RELDATA

    /*  Delete child in "WFACTIVITY_INST_RELDATA"  */
    delete WFACTIVITY_INST_RELDATA
    from   WFACTIVITY_INST_RELDATA t2, deleted t1
    where  t2.ID_RELDATA = t1.ID_RELDATA
	
	/*  Delete child in "WFACTIVITY_NOTIFY"  */
    delete WFACTIVITY_NOTIFY
    from   WFACTIVITY_NOTIFY t2, deleted t1
    where  t2.ID_RELDATA = t1.ID_RELDATA
	
	/*  Delete child in "WFACTIVITY_NOTIFY"  */
    delete WFACTIVITY_NOTIFY
    from   WFACTIVITY_NOTIFY t2, deleted t1
    where  t2.ID_RELDATA_TEMPLATE = t1.ID_RELDATA
	
	/*  Delete child in "WFACTIVITY_PARAM"  */
    delete WFACTIVITY_PARAM
    from   WFACTIVITY_PARAM t2, deleted t1
    where  t2.ID_RELDATA_DEFAULT = t1.ID_RELDATA
	
	/*  Delete child in "WFACTIVITY"  */
    delete WFACTIVITY
    from   WFACTIVITY t2, deleted t1
    where  t2.ID_RELDATA_LIMIT = t1.ID_RELDATA

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfstate" for table "WFSTATE"  */
CREATE trigger tu_wfstate on WFSTATE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  Check and apply change from parent "WFSTATE" to child "WFSUBSTATE"  */
      if update(ID_STATE)
      begin
         update WFSUBSTATE
          set   ID_STATE = i1.ID_STATE
         from   WFSUBSTATE t2, inserted i1, deleted d1
         where  t2.ID_STATE = d1.ID_STATE
          and  (i1.ID_STATE != d1.ID_STATE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfstate" for table "WFSTATE"  */
CREATE trigger td_wfstate on WFSTATE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFSUBSTATE"  */
    delete WFSUBSTATE
    from   WFSUBSTATE t2, deleted t1
    where  t2.ID_STATE = t1.ID_STATE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Insert trigger "ti_wfsubstate" for table "WFSUBSTATE"  */
CREATE trigger ti_wfsubstate on WFSUBSTATE for insert as
begin
    declare
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  The parent "WFSTATE" must exist in order to create child in "WFSUBSTATE"  */
    if update(ID_STATE)
    begin
       if (select count(*)
           from   WFSTATE t1, inserted t2
           where  t1.ID_STATE = t2.ID_STATE) != @numrows
        begin
           select @errno  = 50002,
                  @errmsg = 'The parent row was not found in WFSTATE. Failed to create a child row in WFSUBSTATE.'
           goto error
        end
    end

    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Update trigger "tu_wfsubstate" for table "WFSUBSTATE"  */
CREATE trigger tu_wfsubstate on WFSUBSTATE for update as
begin
   declare
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

      /*  The parent "WFSTATE" must exist in order to modify child in "WFSUBSTATE"  */
      if update(ID_STATE)
      begin
         if (select count(*)
             from   WFSTATE t1, inserted t2
             where  t1.ID_STATE = t2.ID_STATE) != @numrows
          begin
             select @errno  = 50003,
                    @errmsg = 'The parent row was not found in WFSTATE. Failed to modify the child row in WFSUBSTATE.'
             goto error
          end
      end
      /*  Check and apply change from parent "WFSUBSTATE" to child "WFPROCESS_INST"  */
      if update(ID_STATE) or
         update(ID_SUBSTATE)
      begin
         update WFPROCESS_INST
          set   ID_STATE = i1.ID_STATE,
                ID_SUBSTATE = i1.ID_SUBSTATE
         from   WFPROCESS_INST t2, inserted i1, deleted d1
         where  t2.ID_STATE = d1.ID_STATE
          and   t2.ID_SUBSTATE = d1.ID_SUBSTATE
          and  (i1.ID_STATE != d1.ID_STATE or
                i1.ID_SUBSTATE != d1.ID_SUBSTATE)
      end

      /*  Check and apply change from parent "WFSUBSTATE" to child "WFACTIVITY_INST"  */
      if update(ID_STATE) or
         update(ID_SUBSTATE)
      begin
         update WFACTIVITY_INST
          set   ID_STATE = i1.ID_STATE,
                ID_SUBSTATE = i1.ID_SUBSTATE
         from   WFACTIVITY_INST t2, inserted i1, deleted d1
         where  t2.ID_STATE = d1.ID_STATE
          and   t2.ID_SUBSTATE = d1.ID_SUBSTATE
          and  (i1.ID_STATE != d1.ID_STATE or
                i1.ID_SUBSTATE != d1.ID_SUBSTATE)
      end


      return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO






/*  Delete trigger "td_wfsubstate" for table "WFSUBSTATE"  */
CREATE trigger td_wfsubstate on WFSUBSTATE for delete as
begin
    declare
       @numrows  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

    /*  Delete child in "WFPROCESS_INST"  */
    delete WFPROCESS_INST
    from   WFPROCESS_INST t2, deleted t1
    where  t2.ID_STATE = t1.ID_STATE
     and   t2.ID_SUBSTATE = t1.ID_SUBSTATE

    /*  Delete child in "WFACTIVITY_INST"  */
    delete WFACTIVITY_INST
    from   WFACTIVITY_INST t2, deleted t1
    where  t2.ID_STATE = t1.ID_STATE
     and   t2.ID_SUBSTATE = t1.ID_SUBSTATE


    return


error:
    raiserror (@errmsg, 16, 1)
    rollback  transaction
end




GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO




/* ----- END Create_WFG_SQL_Triggers.sql ----- */


/* ----- BEGIN Create_WFG_SQL_Const.sql ----- */


/* DIRECTORY */
DELETE FROM DIRECTORY
INSERT INTO DIRECTORY(ID_DIRECTORY,DIRNAME,DESCRIPTION,DISP_ORDER,DEFAULTDIR,READONLY,BUILTIN,ADS_PATH,AUTH,FIELDS_MAPPING_USERS,FIELDS_MAPPING_GROUPS,NEW_USER_ACTIVE,NEW_USER_SELFACTIVATION) VALUES (1,N'WORKFLOWGEN',N'WorkflowGen',1,N'Y',N'N',N'Y',Null,N'N','<?xml version="1.0" encoding="utf-8" ?><fieldsMapping><field key="OBJECTSID">objectSid</field><field key="USERNAME">sAMAccountName</field><field key="LASTNAME">sn</field><field key="FIRSTNAME">givenName</field><field key="PASSWORD">userPassword</field><field key="PHONE">telephoneNumber</field><field key="EMAIL">mail</field><field key="MOBILE">mobile</field><field key="PAGER">pager</field><field key="FAX">facSimileTelephoneNumber</field><field key="OFFICE">physicalDeliveryOfficeName</field><field key="DEPARTMENT">department</field><field key="JOBTITLE">title</field><field key="INITIALS">initials</field><field key="PERSONALTITLE">personalTitle</field><field key="EMPLOYEENUMBER">employeeID</field><field key="EMPLOYEETYPE">employeeType</field><field key="POSTALADDRESS">postalAddress</field><field key="POSTALCODE">postalCode</field><field key="CITY">l</field><field key="STATE">st</field><field key="COUNTRY">co</field><field key="ADS_PATH">ADsPath</field><field key="ADS_CN">cn</field><field key="ADS_DN">distinguishedName</field><field key="EXTATT_1">extensionAttribute1</field><field key="EXTATT_2">extensionAttribute2</field><field key="EXTATT_3">extensionAttribute3</field><field key="EXTATT_4">extensionAttribute4</field><field key="EXTATT_5">extensionAttribute5</field><field key="MANAGER">manager</field></fieldsMapping>','<?xml version="1.0" encoding="utf-8" ?><fieldsMapping><field key="OBJECTSID">objectSid</field><field key="GROUPNAME">sAMAccountName</field><field key="DESCRIPTION">Description</field><field key="EMAIL">mail</field><field key="ADS_PATH">AdsPath</field><field key="ADS_DN">DistinguishedName</field><field key="ADS_CN">cn</field><field key="GROUPNUMBER">groupCode</field></fieldsMapping>',N'Y',N'N');
GO

/* PROFILE */
DELETE FROM PROFILE
INSERT INTO PROFILE(ID_PROFILE,DESCRIPTION,DISP_ORDER) VALUES (1,N'Administrator',1);
INSERT INTO PROFILE(ID_PROFILE,DESCRIPTION,DISP_ORDER) VALUES (2,N'User',2);
GO

/* USERS */
DELETE FROM USERS
INSERT INTO USERS(ID_USER,ID_DIRECTORY,DATE_CREATION,DATE_UPDATE,LASTNAME,FIRSTNAME,USERNAME,PASSWORD,ACTIVE,ARCHIVE,[LANGUAGE],ID_TIMEZONE) VALUES(1,1,GETDATE(),GETDATE(),N'Administrator',N'WorkflowGen',N'wfgen_admin',NUll,N'Y',N'N',N'en-US',9)
GO

/* USERS_PROFILE */
DELETE FROM USERS_PROFILE
INSERT INTO USERS_PROFILE(ID_USER,ID_PROFILE) VALUES(1,1)
GO

/* WFACTIVITY_ASSIGN_TYPE */
DELETE FROM WFACTIVITY_ASSIGN_TYPE
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PULL',N'Self Service',N'Self Service',15);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_HUMAN',N'Automatique à la personne',N'Automatic to the person',2);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_INITIATOR',N'Automatique à l''initiateur de l''action',N'Automatic to the action initiator',7);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_REQUESTER',N'Automatique au demandeur',N'Automatic to the requester',5);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_SYSTEM',N'Automatique au système',N'Automatic to the system',1);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_MANUAL_BYACTION_ASSIGNEE',N'Manuelle par la personne qui a fait',N'Manual by the person who handled',13);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_MANUAL_BYCOORD',N'Manuelle par le coordinateur',N'Manual by the coordinator',12);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_MANUAL_BYINITIATOR',N'Manuelle par l''initiateur de l''action',N'Manual by the action initiator',10);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'SAME_AS',N'Automatique à la personne qui a fait',N'Automatic to the person who handled',3);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_REQUESTER_MANAGER',N'Automatique au manager du demandeur',N'Automatic to the manager of the requester',6);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'PUSH_AUTO_INITIATOR_MANAGER',N'Automatique au manager de l''initiateur de l''action',N'Automatic to the manager of the action initiator',8);
INSERT INTO WFACTIVITY_ASSIGN_TYPE (ID_ASSIGN_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'SAME_AS_MANAGER',N'Automatique au manager de la personne qui a fait',N'Automatic to the manager of the person who handled',4);

/* WFACTIVITY_TYPE */
DELETE FROM WFACTIVITY_TYPE
INSERT INTO WFACTIVITY_TYPE(ID_ACTIVITY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,HELP_FR,HELP_EN,DISP_ORDER) VALUES (N'APPLICATION',N'Application',N'Application',N'Action qui consiste à utiliser une application',N'Action which is using an application',1);
INSERT INTO WFACTIVITY_TYPE(ID_ACTIVITY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,HELP_FR,HELP_EN,DISP_ORDER) VALUES (N'MANUAL',N'Manuelle',N'Manual',N'Action qui n''est pas gérée par WorkflowGen',N'Action which is not managed by WorkflowGen',3);
INSERT INTO WFACTIVITY_TYPE(ID_ACTIVITY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,HELP_FR,HELP_EN,DISP_ORDER) VALUES (N'ROUTE',N'Synchronisation',N'Synchronization',N'Action qui se déclenche automatiquement quand les actions précédentes se terminent',N'Action which is automatically launched when the previous actions are terminated',2);
INSERT INTO WFACTIVITY_TYPE(ID_ACTIVITY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,HELP_FR,HELP_EN,DISP_ORDER) VALUES (N'SUBFLOW',N'Sous-process',N'Subflow',N'Action qui consiste à lancer un sous-process',N'Action which launch a subflow',4);
GO

/* WFNOTIFY_TYPE */
DELETE FROM WFNOTIFY_TYPE
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'assign',N'A faire',N'To do',1);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'cancel',N'Annulé',N'Cancelled',2);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'cancel_assign',N'Prise en charge annulée',N'Assignment cancelled',3);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'closed',N'Réalisé',N'Closed',7);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'error',N'Erreur d''exécution',N'Execution error',8);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'error_assign',N'Erreur d''assignation',N'Assignment error',4);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'overdue',N'En retard',N'Overdue',5);
INSERT INTO WFNOTIFY_TYPE(ID_NOTIFY_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'prior_overdue',N'Pré-retard',N'Prior overdue',6);
GO

/* WFAPPLICATION_TYPE */
DELETE FROM WFAPPLICATION_TYPE
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'WEBAPP',N'Application Web',N'Web Application',1);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'WEBPROC',N'Procédure Web',N'Web Procedure',2);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'WEBPROCASYNC',N'Procédure Web asynchrone',N'Asynchronous Web Procedure',3);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'WEBSERVICE',N'Service Web SOAP',N'SOAP Web Service',4);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'WCFSERVICE',N'Service WCF',N'WCF Service',5);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'ASSEMBLY',N'Assembly',N'Assembly',6);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'INWEBHOOK',N'Incoming Webhook',N'Incoming Webhook',7);
INSERT INTO WFAPPLICATION_TYPE(ID_APP_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'NONINTERACTIVECLIENT',N'Client Non Interactif',N'Non Interactive Client',8);

GO

/* WFAPPLICATION */
DELETE FROM WFAPPLICATION
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,URL,CONTEXT_SCHEMA,CONTEXT_SCHEMA_EMBEDDED,DEFAULTAPP,ACTIVE) VALUES(1,1,N'EFORMASPX',N'WebForms management',N'WEBAPP',N'/wfgen/wfapps/webapps/eformaspx/default.aspx',N'WFCONTEXT',N'Y',N'Y',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(3,2,N'XMLTODATABASE',N'Export data from a XML to a database',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.XmlToDatabase.XmlToDatabaseService',N'Export',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(5,3,N'GETUSERSFROMDIR',N'Get the users from a directory',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.GetUsersFromDir.GetUsersFromDirService',N'GetUsers',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(8,4,N'XMLTRANS',N'Xml Transformation',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.XmlTrans.XmlTransService',N'Convert',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(10,5,N'RAISEEXCEPTION',N'Raise Exception',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'RaiseExceptionOnActivityInstanceWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(11,6,N'UPDATEPROCESSDATA',N'Update process data',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'UpdateProcessInstanceDataWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(12,7,N'COMPLETEACTION',N'Complete action',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'CompleteActivityInstanceWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(13,8,N'CANCELREQUEST',N'Cancel request',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'CancelProcessInstanceWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(14,9,N'GETPROCESSDATA',N'Get process data',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'GetProcessInstanceContextWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(15,10,N'GETFORMDATA',N'Get form data',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'GetProcessInstanceFormDataWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(16,11,N'STARTPROCESS',N'Start process',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'StartProcessWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(17,12,N'MERGEFORM',N'Merge form data',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.MergeForm.MergeForm',N'Merge',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(18,13,N'COPYDATA',N'Copy data passed as INOUT parameters',N'ASSEMBLY',N'Advantys.Workflow.Web.Services.Processes.Runtime',N'Advantys.Workflow.Web.Services.Processes.Runtime.RuntimeService',N'CopyDataWithContext',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(19,14,N'SENDMESSAGE',N'Send phone messages',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.SendMessage.SendMessage',N'Send',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(20,15,N'SENDHTTPPOST',N'Send an HTTP POST request',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.RestApiClient.RestApiClient',N'SendHttpPost',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(21,16,N'RESTAPICLIENT',N'Call REST API endpoints',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.RestApiClient.RestApiClient',N'Send',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(22,17,N'EXECSQL',N'Execute SQL queries',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.ExecSql.ExecSql',N'Execute',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(23,18,N'JSONTODATA',N'Transform JSON content to process data',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.JsonToData.JsonToData',N'Transform',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(24,19,N'DOCUSIGNSEND',N'Send documents to DocuSign',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.DocuSign.DocuSign',N'Send',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(25,20,N'DOCUSIGNCHECK',N'Check DocuSign documents status and download it',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.DocuSign.DocuSign',N'CheckAndDownload',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(26,21,N'ADOBESIGNSEND',N'Send documents to AdobeSign',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.AdobeSign.AdobeSign',N'Send',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(27,22,N'ADOBESIGNCHECK',N'Check AdobeSign agreement status and download document',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.AdobeSign.AdobeSign',N'CheckAndDownload',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(28,23,N'DOCAPOSTESEND',N'Send documents to Docaposte',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.Docaposte.Docaposte',N'Send',N'N',N'Y')
INSERT INTO WFAPPLICATION(ID_APPLICATION,DISP_ORDER,NAME,DESCRIPTION,ID_APP_TYPE,ASSEMBLY,CLASS,WEBMETHOD,DEFAULTAPP,ACTIVE) VALUES(29,24,N'DOCAPOSTECHECK',N'Check Docaposte transaction status and download documents',N'ASSEMBLY',N'Advantys.Workflow.Applications',N'Advantys.Workflow.Applications.Docaposte.Docaposte',N'CheckAndDownload',N'N',N'Y')

GO

/* WFDATATYPE */
DELETE FROM WFDATATYPE
INSERT INTO WFDATATYPE(ID_DATATYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'DATETIME',N'Date/Heure',N'Date/Time',3);
INSERT INTO WFDATATYPE(ID_DATATYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'FILE',N'Fichier',N'File',4);
INSERT INTO WFDATATYPE(ID_DATATYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'NUMERIC',N'Numérique',N'Numeric',2);
INSERT INTO WFDATATYPE(ID_DATATYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'TEXT',N'Texte',N'Text',1);
GO

/* WFAPPLICATION_PARAM */
DELETE FROM WFAPPLICATION_PARAM
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,1,N'FORM_DATA',N'XML form data',N'FILE',N'INOUT',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,2,N'FORM_URL',N'WebForm''s URL',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,3,N'FORM_ARCHIVE',N'HTML static file',N'FILE',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,4,N'FORM_DRAFT',N'Save as draft',N'TEXT',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,5,N'FORM_FIELDS_REQUIRED',N'Required fields',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,6,N'FORM_FIELDS_READONLY',N'Read-only fields',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,7,N'FORM_FIELDS_HIDDEN',N'Hidden fields',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,8,N'CURRENT_REQUEST',N'The current request Id',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,9,N'CURRENT_ACTION',N'The current action name',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,10,N'FORM_FIELDS_ARCHIVE_HIDDEN',N'Hidden fields in the archive of the webform',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(1,11,N'PARAMS_XPATH',N'XPath expression representing the location where the data will be situated in your FORM_DATA',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,1,N'TRANSACTION',N'Transaction name',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,2,N'XML',N'XML data',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,3,N'TRANSACTIONS_TEXT',N'Transactions xml text',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,4,N'TRANSACTIONS_FILE',N'Transactions xml file',N'FILE',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,5,N'XML_FIELDS_DATE',N'List of date fields',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,6,N'XML_FIELDS_NUMERIC',N'List of numeric fields',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(3,7,N'XML_LOCALE',N'Culture code for date and numeric values',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,1,N'QUERY1_CMD',N'Query #1',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,2,N'RESULT_LIST',N'Result',N'TEXT',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,3,N'QUERY1_TOP',N'Returns the TOP first records',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,4,N'QUERY1_DEFAULT_VALUE',N'Returns the default value if the query #1 returns nothing',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,5,N'QUERY1_RESULT_LIST',N'List of usernames returned by the query #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,6,N'QUERY1_RESULT_COUNT',N'# of records returned by the query #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,7,N'QUERY1_RESULT_LIST_EMAIL',N'List of emails returned by the the query #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,8,N'RESULT_COUNT',N'# of records returned by all queries',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,9,N'RESULT_SEPARATOR',N'Separator used in lists',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(5,10,N'RESULT_LIST_EMAIL',N'List of emails returned by all queries',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(8,1,N'XML',N'XML file to convert',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(8,2,N'XSLT',N'XSLT file',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(8,3,N'RESULT',N'Transformed file',N'FILE',N'OUT',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(8,4,N'RESULT_FILEEXT',N'The file extension if the output is not XML',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(8,5,N'RESULT_MIMETYPE',N'The MIME type of the file if an extension is specified',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,1,N'REQUEST_ID',N'Request Id',N'NUMERIC',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,2,N'ACTIVITY_NAME',N'Name of the action',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,3,N'ACTIVITY_NAME_LIST',N'List of actions names',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,4,N'REQUEST_ID_LIST',N'List of requests Id',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,5,N'EX1_ACTIVITY_NAME_LIST',N'List of actions names',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,6,N'EX1_REQUEST_ID_LIST',N'List of requests Id',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,7,N'IGNORE_NOTHINGTODO_ERROR',N'Ignore the nothingtodo errors',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,8,N'EXCEPTION_NAME',N'Exception name',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(10,9,N'EXCEPTION_MESSAGE',N'Exception message',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(11,1,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(12,1,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(12,2,N'ACTION_ID',N'Action identifier',N'NUMERIC',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(12,3,N'ACTION_NAME',N'Action name',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(12,4,N'IMPERSONATE_USERNAME',N'Impersonate username',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(13,1,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(13,2,N'NOTIFY_PARTICIPANT',N'Notify participant',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(14,1,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(15,1,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(15,2,N'FORM_DATA_NAME',N'Form data name',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,1,N'PROCESS_ID',N'Process identifier',N'NUMERIC',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,2,N'PROCESS_NAME',N'Process name',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,3,N'PROCESS_VERSION',N'Process version',N'NUMERIC',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,4,N'TEST',N'Test',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,5,N'IMPERSONATE_USERNAME',N'Impersonate username',N'TEXT',N'IN',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(16,6,N'REQUEST_ID',N'Request identifier',N'NUMERIC',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,1,N'FORM_DATA',N'The merge target form data',N'FILE',N'INOUT',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,2,N'FORM_DATA_SOURCE1',N'The form data file to merge with the target form data',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,3,N'FORM_FIELDS_MERGE1',N'The fields to merge from FORM_DATA_SOURCE1 to FORM_DATA, separated by commas',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,4,N'FORM_ARCHIVE',N'The merge target form archive',N'FILE',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,5,N'FORM_ARCHIVE_SOURCE1',N'The form archive file to merge with the target form archive',N'FILE',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(17,6,N'FORM_FIELDS_ARCHIVE1',N'The sections to merge from FORM_ARCHIVE_SOURCE1 to FORM_ARCHIVE, separated by commas',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(18,1,N'DATA_TEXT1',N'TEXT type data to copy',N'TEXT',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(18,2,N'DATA_FILE1',N'FILE type data to copy',N'FILE',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(18,3,N'DATA_NUMERIC1',N'NUMERIC type data to copy',N'NUMERIC',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(18,4,N'DATA_DATETIME1',N'DATETIME type data to copy',N'DATETIME',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,1,N'BODY',N'Message body',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,2,N'TO',N'Message recipient phone number',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,3,N'ACCOUNT_SID',N'Provider account sid',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,4,N'AUTH_TOKEN',N'Provider token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,5,N'FROM',N'Sender phone number',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,6,N'MESSAGE_SID',N'Alphanumeric message identifier',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,7,N'ERROR_MESSAGE',N'Error description',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(19,8,N'ERROR_CODE',N'Provider error code',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(20,1,N'APP_URL',N'API url',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(20,2,N'APP_CONTENT_TYPE',N'Application Content Type',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(20,3,N'APP_TIMEOUT',N'Application Timeout',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(20,4,N'TOKEN',N'API token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(20,5,N'APP_RESPONSE_CONTENT',N'API response content',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,1,N'APP_URL', N'API Request URL',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,2,N'APP_METHOD',N'API Request Method',N'TEXT',N'IN', N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,3,N'APP_TIMEOUT',N'API Request Timeout',N'NUMERIC',N'IN', N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,4,N'APP_REQUEST_CONTENT',N'API Request Content',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,5,N'APP_REQUEST_CONTENT_FILE',N'API Request Content File',N'FILE',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,6,N'APP_REQUEST_CONTENT_TYPE',N'API Request Content Type',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,7,N'APP_REQUEST_CONTENT_IS_ARRAY',N'API Request Content Is Array',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,8,N'APP_AUTH_BASIC_USERNAME',N'API Authorization Basic Username',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,9,N'APP_AUTH_BASIC_PASSWORD',N'API Authorization Basic Password',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,10,N'APP_AUTH_BEARER_TOKEN',N'API Authorization Bearer Token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,11,N'APP_AUTH_AZ_SAS_TOKEN',N'API Authorization Azure SAS Token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,12,N'APP_JSONPATH_DELIMITER',N'API Response JSON path delimiter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,13,N'APP_RESPONSE_CONTENT',N'API Response Content',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,14,N'APP_RESPONSE_CONTENT_FILE',N'API Response Content File',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,15,N'APP_RESPONSE_CONTENT_TYPE',N'API Response Content Type',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,16,N'APP_RESPONSE_IGNORE_ERROR',N'API Response Ignore Error',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES(21,17,N'APP_RESPONSE_CONTENT_IS_ARRAY',N'API Response Content Is Array',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,1,N'CONNECTION_NAME',N'Connection name to use',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,2,N'TYPE',N'SQL Command type',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,3,N'QUERY',N'SQL Query',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,4,N'RESULT_JSON',N'Query result returned in a JSON string',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,5,N'RESULT_JSON_FILE',N'Query result returned in a JSON file',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,6,N'RESULT_XML',N'Query result returned in a XML string',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,7,N'RESULT_XML_FILE',N'Query result returnedin in a XML file',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,8,N'RESULT_CSV',N'Query result returned in a csv string',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,9,N'RESULT_CSV_SEPARATOR',N'Separator used in csv return',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,10,N'RESULT_CSV_FILE',N'Query result returned in a csv file',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,11,N'RESULT',N'Query result for a scalar query',N'NUMERIC',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,12,N'TRANSACTION',N'Specify if a SQL transaction should be executed for the command',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,13,N'FORM_DATA',N'XML Form data',N'FILE',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,14,N'FORM_DATA_GRIDVIEW',N'Id of the gridview to filled',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,15,N'RESULT_COMMIT',N'Returns if the transaction has been committed',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,16,N'ON_ERROR',N'Specify the error management',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,17,N'ERROR_MESSAGE',N'Error message',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,18,N'TIMEOUT',N'Execution timeout in seconds',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,19,N'CMD1_CONNECTION_NAME',N'Connection name to use - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,20,N'CMD1_TYPE',N'SQL Command type - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,21,N'CMD1_QUERY',N'SQL Query - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,22,N'CMD1_RESULT_JSON',N'Query result returned in a JSON string - #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,23,N'CMD1_RESULT_JSON_FILE',N'Query result returned in a JSON file - #1',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,24,N'CMD1_RESULT_XML',N'Query result returned in a XML string - #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,25,N'CMD1_RESULT_XML_FILE',N'Query result returnedin in a XML file - #1',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,26,N'CMD1_RESULT_CSV',N'Query result returned in a csv string - #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,27,N'CMD1_RESULT_CSV_SEPARATOR',N'Separator used in csv return - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,28,N'CMD1_RESULT_CSV_FILE',N'Query result returned in a csv file - #1',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,29,N'CMD1_RESULT',N'Query result for a scalar query - #1',N'NUMERIC',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,30,N'CMD1_TRANSACTION',N'Specify if a SQL transaction should be executed for the command - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,31,N'CMD1_FORM_DATA',N'XML Form data - #1',N'FILE',N'INOUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,32,N'CMD1_FORM_DATA_GRIDVIEW',N'Id of the gridview to filled - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,33,N'CMD1_RESULT_COMMIT',N'Returns if the transaction has been committed - #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,34,N'CMD1_ON_ERROR',N'Specify the error management - #1',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,35,N'CMD1_ERROR_MESSAGE',N'Error message - #1',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (22,36,N'CMD1_TIMEOUT',N'Execution timeout in seconds - #1',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (23,1,N'JSON_CONTENT',N'Json string content',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (23,2,N'JSON_CONTENT_FILE',N'Json string content file',N'FILE',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,1,N'DOCUSIGN_CLIENT_ID',N'DocuSign Client ID',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,2,N'DOCUSIGN_USER_GUID',N'DocuSign User guid',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,3,N'DOCUSIGN_AUTH_SERVER',N'DocuSign Auth Server',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,4,N'DOCUSIGN_RSA_KEY',N'RSA Key',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,5,N'DOCUSIGN_HOST_SERVER',N'DocuSign Host Server',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,6,N'SIGNER_NAME_LIST',N'List of signers name, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,7,N'SIGNER_EMAIL_LIST',N'List of signers email, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,8,N'FILE1',N'File to send to DocuSign',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,9,N'EMAIL_SUBJECT',N'Email subject used for DocuSign envelope',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,10,N'PREFIX_SIGNHERE',N'Prefix of the "SignHere" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,11,N'SUFFIX_SIGNHERE',N'Suffix of the "SignHere" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,12,N'X_OFFSET_SIGNHERE',N'Vertical alignment of the "SignHere" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,13,N'Y_OFFSET_SIGNHERE',N'Horizontal alignment of the "SignHere" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,14,N'PREFIX_FULLNAME',N'Prefix of the "Full name" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,15,N'SUFFIX_FULLNAME',N'Suffix of the "Full name" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,16,N'X_OFFSET_FULLNAME',N'Vertical alignment of the "Full name" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,17,N'Y_OFFSET_FULLNAME',N'Horizontal alignment of the "Full name" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,18,N'PREFIX_DATE',N'Prefix of the "Date" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,19,N'SUFFIX_DATE',N'Suffix of the "Date" tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,20,N'X_OFFSET_DATE',N'Vertical alignment of the "Date" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,21,N'Y_OFFSET_DATE',N'Horizontal alignment of the "Date" tag in pixel',N'NUMERIC',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,22,N'DATA_SEPARATOR',N'Separator use to separate SIGNERS_NAME_LIST, SIGNERS_EMAIL_LIST and SIGNER_ACCESS_CODE_LIST content',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,23,N'DOCUSIGN_ENVELOPE_ID',N'DocuSign envelope ID',N'TEXT',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,24,N'SIGNER_NAME1',N'Name of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,25,N'SIGNER_EMAIL1',N'Email of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,26,N'SIGNER_ACCESS_CODE1',N'Access code for the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (24,27,N'SIGNER_ACCESS_CODE_LIST',N'List of access code, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,1,N'DOCUSIGN_CLIENT_ID',N'DocuSign Client ID',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,2,N'DOCUSIGN_USER_GUID',N'DocuSign User guid',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,3,N'DOCUSIGN_AUTH_SERVER',N'DocuSign Auth Server',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,4,N'DOCUSIGN_RSA_KEY',N'RSA Key',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,5,N'DOCUSIGN_HOST_SERVER',N'DocuSign Host Server tag',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,6,N'DOCUSIGN_ENVELOPE_ID',N'Envelope ID to check',N'TEXT',N'IN',N'Y',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,7,N'VALID_STATUS_LIST',N'Valid status to check',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,8,N'DOCUSIGN_DOCUMENT',N'DocuSign document',N'FILE',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (25,9,N'DOCUSIGN_STATUS',N'Envelope status',N'TEXT',N'OUT',N'Y',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,1,N'ADOBESIGN_CLIENT_ID',N'AdobeSign Client ID',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,2,N'ADOBESIGN_CLIENT_SECRET',N'AdobeSign Client Secret',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,3,N'ADOBESIGN_REFRESH_TOKEN',N'AdobeSign Refresh token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,4,N'ADOBESIGN_HOST_SERVER',N'AdobeSign Host server,',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,5,N'SIGNER_NAME_LIST',N'List of signers name, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,6,N'SIGNER_EMAIL_LIST',N'List of signers email, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,7,N'SIGNER_ROLE_LIST',N'List of signers role, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,8,N'DATA_SEPARATOR',N'Separator use to separate SIGNERS_NAME_LIST, SIGNERS_EMAIL_LIST and SIGNER_ROLE_LIST content',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,9,N'SIGNER_NAME1',N'Name of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,10,N'SIGNER_EMAIL1',N'Email of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,11,N'SIGNER_ROLE1',N'Role of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,12,N'FILE1',N'File to send to AdobeSign',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,13,N'SIGNER_MESSAGE',N'Message to send to signers',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,14,N'ADOBESIGN_AGREEMENT_ID',N'AdobeSign agreement ID',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (26,15,N'AGREEMENT_NAME',N'Agreement name',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,1,N'ADOBESIGN_CLIENT_ID',N'AdobeSign Client ID',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,2,N'ADOBESIGN_CLIENT_SECRET',N'AdobeSign Client Secret',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,3,N'ADOBESIGN_REFRESH_TOKEN',N'AdobeSign Refresh token',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,4,N'ADOBESIGN_HOST_SERVER',N'AdobeSign Host server,',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,5,N'ADOBESIGN_AGREEMENT_ID',N'AdobeSign agreement ID',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,6,N'VALID_STATUS_LIST',N'Valid status for downloading the document',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,7,N'ADOBESIGN_DOCUMENT',N'AdobeSign document',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (27,8,N'ADOBESIGN_STATUS',N'Agreement status',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,1,N'DOCAPOSTE_USERNAME',N'Docaposte username',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,2,N'DOCAPOSTE_PASSWORD',N'Docaposte password',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,3,N'DOCAPOSTE_HOST_SERVER',N'Docaposte Host server,',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,4,N'DOCAPOSTE_OFFER_CODE',N'Docaposte offer code',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,5,N'DOCAPOSTE_ORGANIZATIONAL_UNIT_CODE',N'Docaposte organization unit code',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,6,N'CUSTOM_REFERENCE',N'Organisation reference',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,7,N'TEST_MODE',N'Flags the transaction as a test transaction',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,8,N'SIGNER_FIRSTNAME_LIST',N'List of signers firstname, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,9,N'SIGNER_LASTNAME_LIST',N'List of signers firstname, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,10,N'SIGNER_EMAIL_LIST',N'List of signers email, separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,11,N'SIGNATURE_TYPE_LIST',N'List of signature type by signer (OTP, PAD, TOKEN, CONSENT_PROOF or IDENTITY), separate by the value defined in the `DATA_SEPARATOR` parameter',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,12,N'DATA_SEPARATOR',N'Separator use to separate SIGNER_FIRSTNAME_LIST, SIGNER_LASTNAME_LIST, SIGNERS_EMAIL_LIST and SIGNATURE_TYPE_LIST content',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,13,N'SIGNER_FIRSTNAME1',N'Firstname of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,14,N'SIGNER_LASTNAME1',N'Lastname of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,15,N'SIGNER_EMAIL1',N'Email of the first signer',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,16,N'SIGNATURE_TYPE1',N'Type of the signature of the first signer (OTP, PAD, TOKEN, CONSENT_PROOF or IDENTITY)',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,17,N'FILE1',N'File to send to Docaposte',N'FILE',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,18,N'EMAIL_SUBJECT',N'Subject of the email send to signers',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,19,N'EMAIL_FROM',N'The domain name which the e-mail is to be sent',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,20,N'EMAIL_BODY',N'Signer email template body',N'FILE',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,21,N'DOCAPOSTE_TRANSACTION_ID',N'Docaposte transaction ID',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (28,22,N'DOCAPOSTE_DOCUMENT_NAMES',N'Transaction document names',N'TEXT',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,1,N'DOCAPOSTE_USERNAME',N'Docaposte username',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,2,N'DOCAPOSTE_PASSWORD',N'Docaposte password',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,3,N'DOCAPOSTE_HOST_SERVER',N'Docaposte Host server,',N'TEXT',N'IN',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,4,N'DOCAPOSTE_TRANSACTION_ID',N'Docaposte transaction ID',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,5,N'DOCAPOSTE_DOCUMENT_NAMES',N'Transaction document names',N'TEXT',N'IN',N'N',N'Y')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,6,N'DOCAPOSTE_DOCUMENT1',N'First Docaposte document',N'FILE',N'OUT',N'N',N'N')
INSERT INTO WFAPPLICATION_PARAM(ID_APPLICATION,NUM_PARAM,NAME,DESCRIPTION,ID_DATATYPE,DIRECTION,[DEFAULT],[REQUIRED]) VALUES (29,7,N'DOCAPOSTE_STATUS',N'Transaction status',N'TEXT',N'OUT',N'N',N'N')
GO

/* WFDURATION_UNIT */
DELETE FROM WFDURATION_UNIT
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'd',N'Jours',N'Day',3);
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'h',N'Heures',N'Hour',4);
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'm',N'Mois',N'Month',2);
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'n',N'Minutes',N'Minute',5);
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N's',N'Secondes',N'Second',6);
INSERT INTO WFDURATION_UNIT(ID_DURATION_UNIT,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'yyyy',N'Années',N'Year',1);
GO

/* WFPARTICIPANT_ROLE */
DELETE FROM WFPARTICIPANT_ROLE
INSERT INTO WFPARTICIPANT_ROLE(ID_PARTICIPANT_ROLE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'ACTOR',N'Intervenant',N'Actor',2);
INSERT INTO WFPARTICIPANT_ROLE(ID_PARTICIPANT_ROLE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'REQUESTER',N'Demandeur',N'Requester',1);
INSERT INTO WFPARTICIPANT_ROLE(ID_PARTICIPANT_ROLE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'SUPERVISOR',N'Superviseur',N'Process supervisor',3);
GO

/* WFPARTICIPANT_TYPE */
DELETE FROM WFPARTICIPANT_TYPE
INSERT INTO WFPARTICIPANT_TYPE(ID_PARTICIPANT_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'COORDINATOR',N'Liste de personnes avec un coordinateur',N'list_of_persons_with_coordinator',4);
INSERT INTO WFPARTICIPANT_TYPE(ID_PARTICIPANT_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'HUMAN',N'Personne',N'person',2);
INSERT INTO WFPARTICIPANT_TYPE(ID_PARTICIPANT_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'ROLE',N'Liste de personnes',N'list_of_persons',3);
GO

/* WFPERM_TYPE */
DELETE FROM WFPERM_TYPE
INSERT INTO WFPERM_TYPE(ID_PERM_TYPE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'MANAGER',N'Manager',N'Manager',N'1');
GO

/* WFPROCESS_STATUS */
DELETE FROM WFPROCESS_STATUS
INSERT INTO WFPROCESS_STATUS(ID_PROCESS_STATUS,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'ACTIVE',N'Actif',N'Active',1);
INSERT INTO WFPROCESS_STATUS(ID_PROCESS_STATUS,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'ARCHIVE',N'Archivé',N'Archived',4);
INSERT INTO WFPROCESS_STATUS(ID_PROCESS_STATUS,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'DEV',N'En construction',N'Under_construction',3);
INSERT INTO WFPROCESS_STATUS(ID_PROCESS_STATUS,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'TEST',N'En test',N'In_test',2);
GO

/* WFSTATE */
DELETE FROM WFSTATE
INSERT INTO WFSTATE(ID_STATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'closed',N'clôturé',N'closed',2);
INSERT INTO WFSTATE(ID_STATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'open',N'en cours',N'open',1);
GO

/* WFSUBSTATE */
DELETE FROM WFSUBSTATE
INSERT INTO WFSUBSTATE(ID_STATE,ID_SUBSTATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'closed',N'aborted',N'closed.aborted',N'closed.aborted',4);
INSERT INTO WFSUBSTATE(ID_STATE,ID_SUBSTATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'closed',N'completed',N'closed.completed',N'closed.completed',3);
INSERT INTO WFSUBSTATE(ID_STATE,ID_SUBSTATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'open',N'not_running.not_started',N'open.not_running.not_started',N'open.not_running.not_started',1);
INSERT INTO WFSUBSTATE(ID_STATE,ID_SUBSTATE,DESCRIPTION_FR,DESCRIPTION_EN,DISP_ORDER) VALUES (N'open',N'running',N'open.running',N'open.running',2);
GO

/* WFCOUNTER */
DELETE FROM WFCOUNTER
INSERT INTO WFCOUNTER(ID_COUNTER,COUNTER_VALUE) VALUES(N'WFDATASET.ID_DATASET',0)
INSERT INTO WFCOUNTER(ID_COUNTER,COUNTER_VALUE) VALUES(N'WFPROCESS.ID_PROCESS',0)
INSERT INTO WFCOUNTER(ID_COUNTER,COUNTER_VALUE) VALUES(N'WFPROCESS_INST.ID_PROCESS_INST',0)
GO



/* WFPARTICIPANT */
DELETE FROM WFPARTICIPANT
INSERT INTO WFPARTICIPANT(ID_PARTICIPANT,NAME,DESCRIPTION,GLOBAL_SCOPE,ID_PROCESS,ID_PARTICIPANT_TYPE) VALUES(1,'DEFAULT_PROCESSMANAGER','Default process manager','Y',NULL,'ROLE')
GO
/* WFPARTICIPANT_MAPTO */
DELETE FROM WFPARTICIPANT_MAPTO
INSERT INTO WFPARTICIPANT_MAPTO(ID_PARTICIPANT,NUM_MAPTO,MAPTO,ID_DIRECTORY,ID_GROUP,ID_USER,COORDINATOR) VALUES(1,1,'USERS',NULL,NULL,1,'N')
GO
/* WFFOLDER */
DELETE FROM WFFOLDER
INSERT INTO WFFOLDER(ID_FOLDER,NAME,DESCRIPTION) VALUES(1,'DEFAULT','Default folder')
GO
/* WFFOLDER_PERM */
DELETE FROM WFFOLDER_PERM
INSERT INTO WFFOLDER_PERM(ID_FOLDER,ID_PARTICIPANT,ID_PERM_TYPE) VALUES(1,1,'MANAGER')
GO

/* FAVORITE_TYPE */
DELETE FROM FAVORITE_TYPE
INSERT INTO FAVORITE_TYPE(ID_FAVORITE_TYPE,DESCRIPTION) VALUES('PROCESS','FAVORITE PROCESS')
INSERT INTO FAVORITE_TYPE(ID_FAVORITE_TYPE,DESCRIPTION) VALUES('VIEW','FAVORITE VIEW')
GO


/* ----- END Create_WFG_SQL_Const.sql ----- */


